aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorBart Ribbers <bribbers@disroot.org>2019-12-16 12:47:35 +0100
committerLeo <thinkabit.ukim@gmail.com>2019-12-23 14:33:29 +0100
commit3cbde1dc9526ef8329d8e0ff35c98aee39b321e1 (patch)
tree951ac863a86faefbb9edb1e2758f5cb2a5705bc0
parent74fad971f1fcb30104bc6d3f91fd9666f5111bee (diff)
downloadaports-3cbde1dc9526ef8329d8e0ff35c98aee39b321e1.tar.gz
aports-3cbde1dc9526ef8329d8e0ff35c98aee39b321e1.tar.bz2
aports-3cbde1dc9526ef8329d8e0ff35c98aee39b321e1.tar.xz
{community,testing}/kde-service-release: upgrade to 19.12.0
-rw-r--r--community/ark/APKBUILD6
-rw-r--r--community/audiocd-kio/APKBUILD6
-rw-r--r--community/baloo-widgets/APKBUILD6
-rw-r--r--community/dolphin/APKBUILD6
-rw-r--r--community/gwenview/APKBUILD10
-rw-r--r--community/kate/APKBUILD6
-rw-r--r--community/kcalc/APKBUILD6
-rw-r--r--community/kdialog/APKBUILD6
-rw-r--r--community/keditbookmarks/APKBUILD6
-rw-r--r--community/kfind/APKBUILD6
-rw-r--r--community/kio-extras/APKBUILD9
-rw-r--r--community/kio-extras/libssh09.patch15
-rw-r--r--community/kolourpaint/APKBUILD6
-rw-r--r--community/konsole/APKBUILD6
-rw-r--r--community/libkcddb/APKBUILD6
-rw-r--r--community/libkcompactdisc/APKBUILD6
-rw-r--r--community/libkdcraw/APKBUILD6
-rw-r--r--community/libkipi/APKBUILD6
-rw-r--r--community/libksane/APKBUILD6
-rw-r--r--community/okular/APKBUILD6
-rw-r--r--community/print-manager/APKBUILD6
-rw-r--r--community/spectacle/APKBUILD6
-rw-r--r--testing/akonadi-calendar-tools/APKBUILD6
-rw-r--r--testing/akonadi-calendar/APKBUILD6
-rw-r--r--testing/akonadi-contacts/APKBUILD6
-rw-r--r--testing/akonadi-import-wizard/APKBUILD6
-rw-r--r--testing/akonadi-mime/APKBUILD6
-rw-r--r--testing/akonadi-notes/APKBUILD6
-rw-r--r--testing/akonadi-search/APKBUILD6
-rw-r--r--testing/akonadi/APKBUILD6
-rw-r--r--testing/akonadiconsole/APKBUILD6
-rw-r--r--testing/akregator/APKBUILD6
-rw-r--r--testing/analitza/APKBUILD6
-rw-r--r--testing/artikulate/APKBUILD6
-rw-r--r--testing/blinken/APKBUILD6
-rw-r--r--testing/bovo/APKBUILD6
-rw-r--r--testing/calendarsupport/APKBUILD6
-rw-r--r--testing/cantor/APKBUILD6
-rw-r--r--testing/cervisia/APKBUILD6
-rw-r--r--testing/dolphin-plugins/APKBUILD6
-rw-r--r--testing/dragon/APKBUILD6
-rw-r--r--testing/eventviews/APKBUILD6
-rw-r--r--testing/ffmpegthumbs/APKBUILD6
-rw-r--r--testing/filelight/APKBUILD6
-rw-r--r--testing/granatier/APKBUILD6
-rw-r--r--testing/grantlee-editor/APKBUILD6
-rw-r--r--testing/grantleetheme/APKBUILD6
-rw-r--r--testing/incidenceeditor/APKBUILD6
-rw-r--r--testing/juk/APKBUILD6
-rw-r--r--testing/kaccounts-integration/APKBUILD6
-rw-r--r--testing/kaccounts-providers/APKBUILD6
-rw-r--r--testing/kajongg/APKBUILD6
-rw-r--r--testing/kalarm/APKBUILD6
-rw-r--r--testing/kalarmcal/APKBUILD6
-rw-r--r--testing/kalgebra/APKBUILD6
-rw-r--r--testing/kalzium/APKBUILD6
-rw-r--r--testing/kamera/APKBUILD6
-rw-r--r--testing/kamoso/APKBUILD6
-rw-r--r--testing/kanagram/APKBUILD6
-rw-r--r--testing/kapman/APKBUILD6
-rw-r--r--testing/kapptemplate/APKBUILD6
-rw-r--r--testing/katomic/APKBUILD6
-rw-r--r--testing/kbackup/APKBUILD6
-rw-r--r--testing/kblackbox/APKBUILD6
-rw-r--r--testing/kbruch/APKBUILD6
-rw-r--r--testing/kcachegrind/APKBUILD6
-rw-r--r--testing/kcalutils/APKBUILD6
-rw-r--r--testing/kcharselect/APKBUILD6
-rw-r--r--testing/kcolorchooser/APKBUILD6
-rw-r--r--testing/kcron/APKBUILD6
-rw-r--r--testing/kde-applications/APKBUILD2
-rw-r--r--testing/kde-dev-scripts/APKBUILD6
-rw-r--r--testing/kde-dev-utils/APKBUILD6
-rw-r--r--testing/kdebugsettings/APKBUILD6
-rw-r--r--testing/kdenetwork-filesharing/APKBUILD6
-rw-r--r--testing/kdenlive/APKBUILD6
-rw-r--r--testing/kdepim-addons/APKBUILD6
-rw-r--r--testing/kdepim-apps-libs/APKBUILD6
-rw-r--r--testing/kdesdk-kioslaves/APKBUILD6
-rw-r--r--testing/kdesdk-thumbnailers/APKBUILD6
-rw-r--r--testing/kdf/APKBUILD6
-rw-r--r--testing/kfloppy/APKBUILD6
-rw-r--r--testing/kgeography/APKBUILD6
-rw-r--r--testing/kget/APKBUILD6
-rw-r--r--testing/kgpg/APKBUILD6
-rw-r--r--testing/khangman/APKBUILD6
-rw-r--r--testing/kidentitymanagement/APKBUILD6
-rw-r--r--testing/kig/APKBUILD6
-rw-r--r--testing/kimagemapeditor/APKBUILD19
-rw-r--r--testing/kimap/APKBUILD6
-rw-r--r--testing/kirigami-gallery/APKBUILD6
-rw-r--r--testing/kiten/APKBUILD6
-rw-r--r--testing/kitinerary/APKBUILD7
-rw-r--r--testing/kldap/APKBUILD6
-rw-r--r--testing/kleopatra/APKBUILD6
-rw-r--r--testing/klettres/APKBUILD6
-rw-r--r--testing/kmag/APKBUILD6
-rw-r--r--testing/kmail-account-wizard/APKBUILD6
-rw-r--r--testing/kmail/APKBUILD6
-rw-r--r--testing/kmailtransport/APKBUILD6
-rw-r--r--testing/kmbox/APKBUILD6
-rw-r--r--testing/kmime/APKBUILD6
-rw-r--r--testing/kmix/APKBUILD6
-rw-r--r--testing/kmousetool/APKBUILD6
-rw-r--r--testing/kmouth/APKBUILD6
-rw-r--r--testing/kmplot/APKBUILD6
-rw-r--r--testing/knotes/APKBUILD6
-rw-r--r--testing/kompare/APKBUILD6
-rw-r--r--testing/kontact/APKBUILD6
-rw-r--r--testing/kontactinterface/APKBUILD6
-rw-r--r--testing/kopete/APKBUILD6
-rw-r--r--testing/korganizer/APKBUILD6
-rw-r--r--testing/kpimtextedit/APKBUILD6
-rw-r--r--testing/kpkpass/APKBUILD6
-rw-r--r--testing/krdc/APKBUILD6
-rw-r--r--testing/krfb/APKBUILD6
-rw-r--r--testing/kruler/APKBUILD6
-rw-r--r--testing/ksmtp/APKBUILD6
-rw-r--r--testing/kteatime/APKBUILD6
-rw-r--r--testing/ktimer/APKBUILD6
-rw-r--r--testing/ktnef/APKBUILD6
-rw-r--r--testing/ktouch/APKBUILD6
-rw-r--r--testing/kturtle/APKBUILD6
-rw-r--r--testing/kwalletmanager/APKBUILD6
-rw-r--r--testing/kwave/APKBUILD6
-rw-r--r--testing/kwordquiz/APKBUILD6
-rw-r--r--testing/libgravatar/APKBUILD6
-rw-r--r--testing/libkdegames/APKBUILD6
-rw-r--r--testing/libkdepim/APKBUILD6
-rw-r--r--testing/libkeduvocdocument/APKBUILD6
-rw-r--r--testing/libkgapi/APKBUILD6
-rw-r--r--testing/libkleo/APKBUILD6
-rw-r--r--testing/libkmahjongg/APKBUILD6
-rw-r--r--testing/libkomparediff2/APKBUILD6
-rw-r--r--testing/libksieve/APKBUILD10
-rw-r--r--testing/lokalize/APKBUILD6
-rw-r--r--testing/mailcommon/APKBUILD19
-rw-r--r--testing/mailimporter/APKBUILD6
-rw-r--r--testing/marble/APKBUILD6
-rw-r--r--testing/messagelib/APKBUILD19
-rw-r--r--testing/minuet/APKBUILD6
-rw-r--r--testing/parley/APKBUILD6
-rw-r--r--testing/pimcommon/APKBUILD6
-rw-r--r--testing/poxml/APKBUILD6
-rw-r--r--testing/rocs/APKBUILD6
-rw-r--r--testing/step/APKBUILD6
-rw-r--r--testing/sweeper/APKBUILD6
-rw-r--r--testing/umbrello/APKBUILD6
-rw-r--r--testing/yakuake/APKBUILD6
-rw-r--r--testing/zeroconf-ioslave/APKBUILD6
150 files changed, 483 insertions, 473 deletions
diff --git a/community/ark/APKBUILD b/community/ark/APKBUILD
index 435f003e19..c424599ae4 100644
--- a/community/ark/APKBUILD
+++ b/community/ark/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=ark
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
pkgdesc="Graphical file compression/decompression utility with support for multiple formats"
arch="all"
@@ -10,7 +10,7 @@ license="GPL-2.0-only"
depends="lrzip zstd p7zip zip unzip unrar"
makedepends="extra-cmake-modules qt5-qtbase-dev karchive-dev kconfig-dev kcrash-dev kdbusaddons-dev kdoctools-dev ki18n-dev kiconthemes-dev kitemmodels-dev kio-dev kservice-dev kparts-dev kpty-dev kwidgetsaddons-dev libarchive-dev libzip-dev xz-dev shared-mime-info"
checkdepends="xvfb-run"
-source="https://download.kde.org/stable/applications/$pkgver/src/ark-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/ark-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
prepare() {
@@ -38,4 +38,4 @@ package() {
cd "$builddir"/build
DESTDIR="$pkgdir" make install
}
-sha512sums="2bbbce37e5f892840517688eb4ce78770514eb5c780d34ae3c33c4b4e60cd153ebc190e4613411d5e01f01a78b6a74bad86c79b9efe8a156250c18033a3271cf ark-19.08.3.tar.xz"
+sha512sums="ac4f0379cc7927bada4416a5569c96ace173ec1b85e46e95682f46e254da094d9cfc6049ba8f49c6dcd6bc0d3ee6e08a00150f9f6088ff2325bd1a1179d7184f ark-19.12.0.tar.xz"
diff --git a/community/audiocd-kio/APKBUILD b/community/audiocd-kio/APKBUILD
index bf65faffa0..16d6a95a4d 100644
--- a/community/audiocd-kio/APKBUILD
+++ b/community/audiocd-kio/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=audiocd-kio
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://www.kde.org/applications/multimedia/"
pkgdesc="Kioslave for accessing audio CDs"
license="GPL-2.0-or-later AND GFDL-1.2-only"
makedepends="extra-cmake-modules qt5-qtbase-dev kconfig-dev ki18n-dev kdoctools-dev kio-dev kcmutils-dev libkcddb-dev libkcompactdisc-dev cdparanoia-dev flac-dev libvorbis-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/audiocd-kio-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/audiocd-kio-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
options="!check" # No tests
@@ -37,4 +37,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="602d125e05e3d86256860efd8bc822373b8d4c464f12ff05c811e16a5adc0d48fcd0523b09b521f5c759021e3f0c2fe47d57928f4be3132a757e61748d447b9e audiocd-kio-19.08.3.tar.xz"
+sha512sums="dfab78c873f1abec022499a2db6c509f8ba86a643c343297d23c654210c7bf89fca8475538cb9c4f862b144a8f908c40294d4da00e53a31d9b8076bb85b35718 audiocd-kio-19.12.0.tar.xz"
diff --git a/community/baloo-widgets/APKBUILD b/community/baloo-widgets/APKBUILD
index da6185fdd9..144c25c4bd 100644
--- a/community/baloo-widgets/APKBUILD
+++ b/community/baloo-widgets/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=baloo-widgets
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
pkgdesc="Widgets for Baloo"
arch="all"
@@ -10,7 +10,7 @@ license="LGPL-2.0-only AND LGPL-2.1-or-later"
depends_dev="qt5-qtbase-dev kconfig-dev kio-dev ki18n-dev kfilemetadata-dev baloo-dev"
makedepends="$depends_dev extra-cmake-modules"
checkdepends="xvfb-run"
-source="https://download.kde.org/stable/applications/$pkgver/src/baloo-widgets-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/baloo-widgets-$pkgver.tar.xz"
subpackages="$pkgname-dev $pkgname-lang"
prepare() {
@@ -38,4 +38,4 @@ package() {
cd "$builddir"/build
DESTDIR="$pkgdir" make install
}
-sha512sums="f63525822a3e90e1f0c13e6b8d893f1e796efbd6061cdb6b976d9869e929b1c05ad5af1a955be0c7664372ba82f87978337a4ff3b4141d30cad80ad4606fded5 baloo-widgets-19.08.3.tar.xz"
+sha512sums="25c3cbf25b32f61a9b27f63d8a6ae83c43980778da626232697ec043d01e2c755119ccf51395e8e429c1040e9a0932aa816441052505be7b6cc58444c3fb53f2 baloo-widgets-19.12.0.tar.xz"
diff --git a/community/dolphin/APKBUILD b/community/dolphin/APKBUILD
index 1cf8cae9c3..274db97fea 100644
--- a/community/dolphin/APKBUILD
+++ b/community/dolphin/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=dolphin
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://kde.org/applications/system/dolphin"
@@ -15,7 +15,7 @@ depends_dev="qt5-qtbase-dev kdoctools-dev kinit-dev kcmutils-dev knewstuff-dev
phonon-dev baloo-dev baloo-widgets-dev kfilemetadata-dev kactivities-dev"
makedepends="$depends_dev extra-cmake-modules ruby-test-unit"
checkdepends="xvfb-run"
-source="https://download.kde.org/stable/applications/$pkgver/src/dolphin-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/dolphin-$pkgver.tar.xz"
subpackages="$pkgname-dev $pkgname-doc $pkgname-lang"
prepare() {
@@ -44,4 +44,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="4390f97398b437b24f0139982e068e32a042a0740790b7dbf19747cd77b41c70dd04f0c6ba3120775f8ce48f43bdd3d2cff4590ba5556773950dd73dd9f7aad0 dolphin-19.08.3.tar.xz"
+sha512sums="e9f47d8ed9e5b3def97182d9d1600730aa41e69d32aaf49b705fe2542eeda93ec719624e735e5f7d36a1dbf64c58e2a7f177e3ac4daf303ad5a2ba519d03923e dolphin-19.12.0.tar.xz"
diff --git a/community/gwenview/APKBUILD b/community/gwenview/APKBUILD
index dfe714a1be..0e8fb6a300 100644
--- a/community/gwenview/APKBUILD
+++ b/community/gwenview/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=gwenview
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://kde.org/applications/graphics/org.kde.gwenview"
@@ -12,7 +12,7 @@ makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtsvg-dev qt5-qtx11extras-de
kiconthemes-dev knotifications-dev kactivities-dev libjpeg-turbo-dev
libpng-dev libkipi-dev lcms2-dev baloo-dev libkdcraw-dev purpose-dev"
checkdepends="xvfb-run kinit"
-source="https://download.kde.org/stable/applications/$pkgver/src/gwenview-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/gwenview-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
prepare() {
@@ -33,8 +33,8 @@ build() {
check() {
cd "$builddir"/build
# urlutilstest is broken
- # recursivedirmodeltest requires running DBus
- CTEST_OUTPUT_ON_FAILURE=TRUE xvfb-run ctest -E "(urlutils|recursivedirmodel)test"
+ # recursivedirmodeltest and contextmanagertest requires running DBus
+ CTEST_OUTPUT_ON_FAILURE=TRUE xvfb-run ctest -E "(urlutils|recursivedirmodel|contextmanager)test"
}
package() {
@@ -42,4 +42,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="5db117a5975ee09b8b40fa420cc129fc6cb786a19d67dd391f12a560049134328977f3ed1dbf3f6ba379d46d0d8c00fb2290dda84fb44e90055037818cce84bf gwenview-19.08.3.tar.xz"
+sha512sums="4018fe46ccb0b9a7c9cd4ad03c7804816bb6ace1d0f57499204ace818226b115ae88177e00df7704b0214555f1a346433e48d763f1666a24dbf919c210ec55dd gwenview-19.12.0.tar.xz"
diff --git a/community/kate/APKBUILD b/community/kate/APKBUILD
index 075b63cf00..ddfe509f62 100644
--- a/community/kate/APKBUILD
+++ b/community/kate/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kate
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://kde.org/applications/utilities/org.kde.kate"
@@ -9,7 +9,7 @@ pkgdesc="A multi-document, multi-view text editor"
license="LGPL-2.0-only AND LGPL-2.0-or-later"
makedepends="extra-cmake-modules qt5-qtbase-dev kconfig-dev kcrash-dev ki18n-dev kjobwidgets-dev kio-dev kparts-dev ktexteditor-dev kwindowsystem-dev kxmlgui-dev kiconthemes-dev kactivities-dev kdoctools-dev plasma-framework-dev kitemmodels-dev threadweaver-dev knewstuff-dev"
checkdepends="xvfb-run"
-source="https://download.kde.org/stable/applications/$pkgver/src/kate-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/kate-$pkgver.tar.xz"
subpackages="kwrite:kwrite kwrite-doc:kwrite_doc kwrite-lang:kwrite_lang $pkgname-doc $pkgname-lang"
prepare() {
@@ -83,4 +83,4 @@ kwrite_lang() {
done
}
-sha512sums="0a0b33858bd4856bdf29d354603d33541b2c0aab134025db3014aa31cf3231fa2bcc244252872c0b51c28b7cd715556966d9049ce85a8ad614e1f552479c1bc8 kate-19.08.3.tar.xz"
+sha512sums="37106b3db09c302d69922cb81a425b2a74bc7bac8cc7d767d6efa59d60b5e80b4f1d2e20dc1e87a2cc57b534fdaefd58b40ce463894f58b56d8ec9a229487db8 kate-19.12.0.tar.xz"
diff --git a/community/kcalc/APKBUILD b/community/kcalc/APKBUILD
index f2bf3de72f..96c79308c3 100644
--- a/community/kcalc/APKBUILD
+++ b/community/kcalc/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kcalc
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://kde.org/applications/utilities/org.kde.kcalc"
pkgdesc="Scientific Calculator"
license="GPL-2.0-or-later"
makedepends="extra-cmake-modules qt5-qtbase-dev kcrash-dev kconfig-dev kconfigwidgets-dev kdoctools-dev kguiaddons-dev ki18n-dev kinit-dev knotifications-dev kxmlgui-dev gmp-dev mpfr-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/kcalc-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/kcalc-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
prepare() {
@@ -36,4 +36,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="e27eefd90f3b32db383305e1eecade41545dfe8f9dd9a6c5b4f48b2082a7323e5a7d812ee54b45cea28c76ba6e82104e1fd2d001060f1588b4b1d62241421e7f kcalc-19.08.3.tar.xz"
+sha512sums="148424327d86b691e16ac4cf2a9842ae1003d212ba399ba0dad8e0c33c91f89326cdf2b1646bcb3a3c9a4fe9bdab74205770d93ff620a14fe0f92836aeab54b0 kcalc-19.12.0.tar.xz"
diff --git a/community/kdialog/APKBUILD b/community/kdialog/APKBUILD
index b06bf878ef..bf0b6951f0 100644
--- a/community/kdialog/APKBUILD
+++ b/community/kdialog/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kdialog
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://www.kde.org/"
pkgdesc="A utility for displaying dialog boxes from shell scripts"
license="GPL-2.0-or-later AND GFDL-1.2-only"
makedepends="extra-cmake-modules qt5-qtbase-dev ktextwidgets-dev knotifications-dev kguiaddons-dev kiconthemes-dev kwindowsystem-dev kio-dev kdbusaddons-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/kdialog-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/kdialog-$pkgver.tar.xz"
subpackages="$pkgname-lang"
prepare() {
@@ -36,4 +36,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="35690c7522bf96ee82081e7ed618205493efdbcd1b91c8a1ad975ec03f9d88b87f58b459f193892519b2deddcaf53d81dd36e271b25ecbbef01463fc51913cbe kdialog-19.08.3.tar.xz"
+sha512sums="19ff31e4ffe1c019c9ebcef1715947a886e375e55a70a5411cafdb985cefe91d082196f09ab9d5b580c82d2f3c73075630f16c144e731e3a0a1b9a53822b8905 kdialog-19.12.0.tar.xz"
diff --git a/community/keditbookmarks/APKBUILD b/community/keditbookmarks/APKBUILD
index 7676264897..36a2222274 100644
--- a/community/keditbookmarks/APKBUILD
+++ b/community/keditbookmarks/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=keditbookmarks
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://www.kde.org/"
@@ -9,7 +9,7 @@ pkgdesc="Bookmark Organizer and Editor"
license="GPL-2.0-only AND GFDL-1.2-only"
makedepends="extra-cmake-modules qt5-qtbase-dev ki18n-dev kio-dev kbookmarks-dev kparts-dev kwindowsystem-dev kiconthemes-dev kdoctools-dev"
checkdepends="xvfb-run"
-source="https://download.kde.org/stable/applications/$pkgver/src/keditbookmarks-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/keditbookmarks-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
prepare() {
@@ -37,4 +37,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="dfe6637232b33b01ca74626225c9040f462d4b8db59f10c97a505f3caa56cac07a7a63c154c3ba5be2832a1fa9be9080262773edd8b37469c92288b1a38a397c keditbookmarks-19.08.3.tar.xz"
+sha512sums="d48791672609ebeeaeaee21814fd8392240a6215fa26a763619161ca13b874bf6154c3385a7868da939be165f635bc16c27badcf549c660b7a0f4170eb1ee4c5 keditbookmarks-19.12.0.tar.xz"
diff --git a/community/kfind/APKBUILD b/community/kfind/APKBUILD
index e37b6cb7f0..339d38cb55 100644
--- a/community/kfind/APKBUILD
+++ b/community/kfind/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kfind
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://www.kde.org/applications/utilities/kfind"
pkgdesc="Find Files/Folders"
license="GPL-2.0-or-later AND GFDL-1.2-only"
makedepends="extra-cmake-modules karchive-dev kcoreaddons-dev kdoctools-dev kfilemetadata-dev ki18n-dev kio-dev ktextwidgets-dev kwidgetsaddons-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/kfind-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/kfind-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
options="!check" # No tests
@@ -37,4 +37,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="d78f00640b40f7143299f3aeef9c16eaca30893daab4d5153c6e3fd2683383e79c2c992cfdc0fc1311386757524dc7e7896341d8b2c1869f5e03321b5f66432b kfind-19.08.3.tar.xz"
+sha512sums="7b5a65582d553c4789699c1b53bc2521ca839db3ad3485de10b9d9417f7cead2b2027e93b948689f3913d4994673c90744fa11344a3fe5368d8199f8354c5cf4 kfind-19.12.0.tar.xz"
diff --git a/community/kio-extras/APKBUILD b/community/kio-extras/APKBUILD
index 672d7c6b4f..089832401d 100644
--- a/community/kio-extras/APKBUILD
+++ b/community/kio-extras/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kio-extras
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://www.kde.org/applications/internet/"
@@ -10,9 +10,7 @@ license="GPL-2.0-or-later (LGPL-2.1-only OR LGPL-3.0-only)"
depends="kinit"
makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtsvg-dev karchive-dev kconfig-dev kconfigwidgets-dev kcoreaddons-dev kdbusaddons-dev kdoctools-dev kdnssd-dev kiconthemes-dev ki18n-dev kio-dev solid-dev kbookmarks-dev kguiaddons-dev syntax-highlighting-dev kpty-dev kactivities-dev phonon-dev samba-dev libssh-dev libmtp-dev gperf khtml-dev shared-mime-info nfs-utils-dev"
checkdepends="xvfb-run"
-source="https://download.kde.org/stable/applications/$pkgver/src/kio-extras-$pkgver.tar.xz
- libssh09.patch
- "
+source="https://download.kde.org/stable/release-service/$pkgver/src/kio-extras-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
options="!check" # Requires running dbus-server
@@ -41,5 +39,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="e2e5c6e3a8487c7251b77283c63eae75ea071f9d9f5f4544690083ab7f834abf6b10c715cad4fb49fbbfa34d2fbf9de358a4c606b299b2f4bf44444a57cadba6 kio-extras-19.08.3.tar.xz
-61384020012ec9840e0cdf4a4f8eff20d86feacb5b2c885059ba28a4b6511e8fa4e3c269c8a9a8684fa1c73aaddc768c0087e4c2f032e793a4b89d3b9b783b03 libssh09.patch"
+sha512sums="0aeb0186da8f4d24ba9020d49f9204ec3fdf3a20aa42a0e6fcc769ae99cba36b3e63d02d56cfd105c66f009f08274fc117219c0296749cf95aad52e4fb7e17eb kio-extras-19.12.0.tar.xz"
diff --git a/community/kio-extras/libssh09.patch b/community/kio-extras/libssh09.patch
deleted file mode 100644
index ecdb50d822..0000000000
--- a/community/kio-extras/libssh09.patch
+++ /dev/null
@@ -1,15 +0,0 @@
-diff --git a/sftp/CMakeLists.txt b/sftp/CMakeLists.txt
-index 5e8d2cb1..aa88f054 100644
---- a/sftp/CMakeLists.txt
-+++ b/sftp/CMakeLists.txt
-@@ -9,6 +9,9 @@ target_link_libraries(kio_sftp
- KF5::I18n
- Qt5::Network
- ${LIBSSH_LIBRARIES})
-+if(TARGET ssh) # libssh 0.9
-+ target_link_libraries(kio_sftp ssh)
-+endif()
- set_target_properties(kio_sftp PROPERTIES OUTPUT_NAME "sftp")
-
- install(TARGETS kio_sftp DESTINATION ${PLUGIN_INSTALL_DIR}/kf5/kio)
-
diff --git a/community/kolourpaint/APKBUILD b/community/kolourpaint/APKBUILD
index e00b8282ac..0d11fe2008 100644
--- a/community/kolourpaint/APKBUILD
+++ b/community/kolourpaint/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kolourpaint
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="http://www.kolourpaint.org/"
pkgdesc="An easy-to-use paint program"
license="BSD-2-Clauase AND LGPL-2.0-or-later AND GFDL-1.2"
makedepends="extra-cmake-modules qt5-qtbase-dev kdoctools-dev ki18n-dev kguiaddons-dev kwidgetsaddons-dev kio-dev kxmlgui-dev kiconthemes-dev ktextwidgets-dev kitemmodels-dev kdelibs4support-dev libksane-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/kolourpaint-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/kolourpaint-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
prepare() {
@@ -36,4 +36,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="97430f2a04d60bfe4d5131e961381b3390181a57cc4b6ca8eda048b60a32804dcd89fec5a69bc50383f88e1bce05a5b7a1dfde33292d0e72f6bda76cda0dd851 kolourpaint-19.08.3.tar.xz"
+sha512sums="901152a81a302de808343774b238ab7693c4298888a815debac91fc43ec84e2c784a6c26420a703f1887003962e0bd4b60946fc8d8f2ba43748997922988557f kolourpaint-19.12.0.tar.xz"
diff --git a/community/konsole/APKBUILD b/community/konsole/APKBUILD
index 66fff577ad..833646fa43 100644
--- a/community/konsole/APKBUILD
+++ b/community/konsole/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=konsole
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://kde.org/applications/system/konsole"
@@ -14,7 +14,7 @@ makedepends="extra-cmake-modules qt5-qtbase-dev kbookmarks-dev kcompletion-dev
ktextwidgets-dev kwidgetsaddons-dev kwindowsystem-dev kxmlgui-dev
kdbusaddons-dev kglobalaccel-dev kdoctools-dev"
checkdepends="xvfb-run"
-source="https://download.kde.org/stable/applications/$pkgver/src/konsole-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/konsole-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
prepare() {
@@ -43,4 +43,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="140a34b8f73786557b71ac5b23b500950c598ef88795e660c7fde3077c9f5d842ae1eed73966eb14dfb54d2833fa63c310fa2cb340a81c30f31fdd77e9f263dc konsole-19.08.3.tar.xz"
+sha512sums="3a9bcbc9c07eafe178406d4ea5eab06c24ede5fcb7ad43dc8b0a46776cdd64ce6d2033ea1083f648370cdb50eda4e93ec1cdd76e318a2d7ec44f46b4be75e89d konsole-19.12.0.tar.xz"
diff --git a/community/libkcddb/APKBUILD b/community/libkcddb/APKBUILD
index f49d09483a..db4ad529c0 100644
--- a/community/libkcddb/APKBUILD
+++ b/community/libkcddb/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=libkcddb
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://www.kde.org/applications/multimedia/"
pkgdesc="KDE CDDB library"
license="LGPL-2.0-or-later AND GPL-2.0-or-later"
makedepends="extra-cmake-modules qt5-qtbase-dev kconfig-dev kdoctools-dev kcodecs-dev ki18n-dev kio-dev kwidgetsaddons-dev libmusicbrainz-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/libkcddb-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/libkcddb-$pkgver.tar.xz"
subpackages="$pkgname-dev $pkgname-doc $pkgname-lang"
prepare() {
@@ -38,4 +38,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="2d24289bf67c4063fad0e61b2b1e0a062cb2db0e9b5c7e82965e140691d69537c811552871296c9f3e0d8d695596c1386485a7626f8d8d3f79d898827652d659 libkcddb-19.08.3.tar.xz"
+sha512sums="a46d50d35d1f5e000f0c9b43031e5827a46d68a8f8783fc760afbb251200f7491973b571ed809a0975df3d6894213dd0177cf6bf23d95051121dad1e72521059 libkcddb-19.12.0.tar.xz"
diff --git a/community/libkcompactdisc/APKBUILD b/community/libkcompactdisc/APKBUILD
index 461a88f836..fb1da4713d 100644
--- a/community/libkcompactdisc/APKBUILD
+++ b/community/libkcompactdisc/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=libkcompactdisc
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://www.kde.org/applications/multimedia/"
pkgdesc="Library for interfacing with CDs"
license="GPL-2.0-or-later AND LGPL-2.0-or-later"
makedepends="extra-cmake-modules qt5-qtbase-dev kcoreaddons-dev solid-dev ki18n-dev phonon-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/libkcompactdisc-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/libkcompactdisc-$pkgver.tar.xz"
subpackages="$pkgname-dev $pkgname-lang"
options="!check" # No tests
@@ -37,4 +37,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="5366a85763ec8fb34038775a2a187b1dc5bad3a7fc7900dc65e3b08ab57f3a73f297ddb47c359baeef7c79af8c797572c724899d1fdf730f728fc65e2dbca6e5 libkcompactdisc-19.08.3.tar.xz"
+sha512sums="e0c8aad613831c88cd2ff26ff99c56589e0bc3b4088c15d971271ce7b6221d826157ba8b20365717b6d652b374136b0afad0d3c8bf641e6c2cfaac2fa4344007 libkcompactdisc-19.12.0.tar.xz"
diff --git a/community/libkdcraw/APKBUILD b/community/libkdcraw/APKBUILD
index ab1ca78b4d..0d40565158 100644
--- a/community/libkdcraw/APKBUILD
+++ b/community/libkdcraw/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=libkdcraw
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://kde.org"
@@ -9,7 +9,7 @@ pkgdesc="RAW image file format support for KDE"
license="GPL-2.0-or-later and LGPL-2.0-or-later"
depends_dev="qt5-qtbase-dev libraw-dev"
makedepends="$depends_dev extra-cmake-modules"
-source="https://download.kde.org/stable/applications/$pkgver/src/libkdcraw-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/libkdcraw-$pkgver.tar.xz"
subpackages="$pkgname-dev"
prepare() {
@@ -37,4 +37,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="295e171f174e574c2bd016f597321b2aa04f82bb8fbd4144d1227834cf11b22cbaeb4c07154ce23d917c6fd606f6235680f38e877bb1f769212c7308815dde9d libkdcraw-19.08.3.tar.xz"
+sha512sums="cd8f941568e096ce12a90eedb8b6a7860fbbbdc9ca0d7e6d9374278055a6ef3aca9b6cf7de5289c2fce45764f7714eae856dc35f0f89c0beeb560a39bac884b2 libkdcraw-19.12.0.tar.xz"
diff --git a/community/libkipi/APKBUILD b/community/libkipi/APKBUILD
index 9c4b725a5f..c72beaea74 100644
--- a/community/libkipi/APKBUILD
+++ b/community/libkipi/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=libkipi
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
pkgdesc="KDE Image Plugin Interface library"
arch="all"
@@ -9,7 +9,7 @@ url="https://www.digikam.org/"
license="GPL-2.0-or-later AND LGPL-2.0-or-later"
depends_dev="qt5-qtbase-dev kconfig-dev kxmlgui-dev kservice-dev"
makedepends="$depends_dev extra-cmake-modules"
-source="https://download.kde.org/stable/applications/$pkgver/src/libkipi-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/libkipi-$pkgver.tar.xz"
subpackages="$pkgname-dev"
options="!check" # Test suite fails to compile
@@ -38,4 +38,4 @@ package() {
cd "$builddir"/build
DESTDIR="$pkgdir" make install
}
-sha512sums="6fe9b5e96768c644fc1fc395b0787bf99504fdaed319261f04a0a88be50df5624a5cc3738e609d29da4da50b1db720098986b2da215035752b6c5d0e6b175aa4 libkipi-19.08.3.tar.xz"
+sha512sums="ff798ad355bc309858d6ed4eea01e1076071621e5fff450ddf2ddc7ee97ebc37be7feeb6c91d35bc37c02a67f6ec66aa93dfc6fc223d34be011687d1a962303f libkipi-19.12.0.tar.xz"
diff --git a/community/libksane/APKBUILD b/community/libksane/APKBUILD
index fbb23f1116..6a58bd5fd3 100644
--- a/community/libksane/APKBUILD
+++ b/community/libksane/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=libksane
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://www.kde.org/applications/graphics/"
pkgdesc="An image scanning library"
license="LGPL-2.1-only OR LGPL-3.0-only"
makedepends="extra-cmake-modules qt5-qtbase-dev ki18n-dev kwidgetsaddons-dev ktextwidgets-dev kwallet-dev sane-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/libksane-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/libksane-$pkgver.tar.xz"
subpackages="$pkgname-dev $pkgname-lang"
prepare() {
@@ -36,4 +36,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="66514aa5918124cd9b9837c7e896ecdaf7cdb4d42c753fb8e95851882a3b2cd705e0463b751470b6b3f142983aa912856c838c1241ec158bcfdd89b3f4a3130d libksane-19.08.3.tar.xz"
+sha512sums="18733ead017660af4741967941df9ff9188b8ad2bee5d15a29b7f452cbd68a94f09ce20e4cc69e7ef993054689a975342b2739cdb49a5118a2078b7148ed5de8 libksane-19.12.0.tar.xz"
diff --git a/community/okular/APKBUILD b/community/okular/APKBUILD
index 5a11c239eb..a20e27f5df 100644
--- a/community/okular/APKBUILD
+++ b/community/okular/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=okular
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://kde.org/applications/office/org.kde.okular"
@@ -14,7 +14,7 @@ makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtspeech-dev karchive-dev
kactivities-dev phonon-dev purpose-dev zlib-dev poppler-qt5-dev
kirigami2-dev qca-dev kpty-dev"
checkdepends="xvfb-run"
-source="https://download.kde.org/stable/applications/$pkgver/src/okular-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/okular-$pkgver.tar.xz"
subpackages="$pkgname-dev $pkgname-doc $pkgname-lang $pkgname-mobile"
prepare() {
@@ -59,4 +59,4 @@ mobile() {
mv "$pkgdir"/usr/share/applications/org.kde.mobile.okular_plucker.desktop "$subpkgdir"/usr/share/applications/
}
-sha512sums="2fffce8023d9b0d08ec03cc51d21827772ed07c3004fcf8a23589211e7f676b61253dc39c8a41da5d9c4764ac9895c1a0e16c72c7157213b2e79ccaf35db77fa okular-19.08.3.tar.xz"
+sha512sums="93fb134f18b00ce84e9b2ce84974562a5d22f956b459e540750d0c67a980f66383ec13fa8f3bb52f196ce7fabe468de4fe63b0fa6678df840d2defb0e22fc30b okular-19.12.0.tar.xz"
diff --git a/community/print-manager/APKBUILD b/community/print-manager/APKBUILD
index 0b69d04c40..8e7a6950a1 100644
--- a/community/print-manager/APKBUILD
+++ b/community/print-manager/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=print-manager
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://www.kde.org/applications/utilities/"
pkgdesc="A tool for managing print jobs and printers"
license="GPL-2.0-or-later"
makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtdeclarative-dev cups-dev kconfig-dev kconfigwidgets-dev kcoreaddons-dev kdbusaddons-dev kiconthemes-dev ki18n-dev kcmutils-dev kio-dev knotifications-dev plasma-framework-dev kwidgetsaddons-dev kwindowsystem-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/print-manager-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/print-manager-$pkgver.tar.xz"
subpackages="$pkgname-lang"
options="!check" # No tests available
@@ -37,4 +37,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="b68d9f28a2e387ee11c5756c18a08e60dfb31561721e97b7d55749c60b65b887c217e096ec8bc27004f7da22700500c767b894b84e16a6d571a4cc8e112ffcb8 print-manager-19.08.3.tar.xz"
+sha512sums="88c30d81521de51da98c04a2c3a2584975376f14771169a95df9f9f1635a39a19eaef3c94e44bca44857af8b7de11b6e2ef159562cadb4cbc57ec7cce7914f48 print-manager-19.12.0.tar.xz"
diff --git a/community/spectacle/APKBUILD b/community/spectacle/APKBUILD
index 15b774bad2..ab5940c819 100644
--- a/community/spectacle/APKBUILD
+++ b/community/spectacle/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=spectacle
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
pkgdesc="Application for capturing desktop screenshots"
arch="all"
url="https://kde.org/applications/utilities/org.kde.spectacle"
license="GPL-2.0-only"
makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtx11extras-dev kcoreaddons-dev kwidgetsaddons-dev kdbusaddons-dev knotifications-dev kconfig-dev ki18n-dev kio-dev kwindowsystem-dev kdoctools-dev knewstuff-dev kdeclarative-dev libkipi-dev purpose-dev kwayland-dev xcb-util-image-dev xcb-util-cursor-dev libxcb-dev xcb-util-renderutil-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/spectacle-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/spectacle-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
prepare() {
@@ -35,4 +35,4 @@ package() {
cd "$builddir"/build
DESTDIR="$pkgdir" make install
}
-sha512sums="36a023b1c32c71ff60ba3613800abf16b877f8069937b7feca9d57faab9fdd8fb9db259bec33f96caded688b85e81ad89a6725fa9fb65369f97ad2133273668f spectacle-19.08.3.tar.xz"
+sha512sums="b1ae329943876d4f634d3112304ab4f21a6fa24526ad15d19e2a058506c41a40c872c62ce58ed988c416334d08219c4d93fc57adcb8292ad32cc260b9ffee6c7 spectacle-19.12.0.tar.xz"
diff --git a/testing/akonadi-calendar-tools/APKBUILD b/testing/akonadi-calendar-tools/APKBUILD
index 733fa7b9f8..174137b5b6 100644
--- a/testing/akonadi-calendar-tools/APKBUILD
+++ b/testing/akonadi-calendar-tools/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=akonadi-calendar-tools
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all !ppc64le !s390x" # Limited by akonadi-calendar -> kmailtransport -> libkgapi -> qt5-qtwebengine
url="https://kontact.kde.org/"
pkgdesc="CLI tools to manage akonadi calendars"
license="GPL-2.0-or-later AND GFDL-1.2-only"
makedepends="extra-cmake-modules qt5-qtbase-dev kdoctools-dev akonadi-dev kcalendarcore-dev kcalutils-dev akonadi-calendar-dev libkdepim-dev calendarsupport-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/akonadi-calendar-tools-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/akonadi-calendar-tools-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
options="!check" # No tests available
@@ -37,4 +37,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="4cc146da96f6a006749e4c3e0962155fc8bcd788d2ed39adbbe73f1d82bc4264349ce06a9b524ff4fb1a1675e0d66345e5bbad8044360b6fe28d9565672f3922 akonadi-calendar-tools-19.08.3.tar.xz"
+sha512sums="90df1342f3685df0c0496d83dc1b483d0c126bbc7ad03d6abd51c421c5edeae18b3b677b790e3646f55bfd37d27d9aaa0f484ac8983755de20b187efed34cd76 akonadi-calendar-tools-19.12.0.tar.xz"
diff --git a/testing/akonadi-calendar/APKBUILD b/testing/akonadi-calendar/APKBUILD
index f187594540..5521826632 100644
--- a/testing/akonadi-calendar/APKBUILD
+++ b/testing/akonadi-calendar/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=akonadi-calendar
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
pkgdesc="Libraries and daemons to implement basic email handling"
arch="all !ppc64le !s390x" # Limited by kmailtransport -> libkgapi -> qt5-qtwebengine
@@ -12,7 +12,7 @@ depends_dev="ki18n-dev kwidgetsaddons-dev kxmlgui-dev kio-dev kcodecs-dev
kcalendarcore-dev kcalutils-dev akonadi-dev akonadi-contacts-dev"
makedepends="$depends_dev extra-cmake-modules"
checkdepends="xvfb-run"
-source="https://download.kde.org/stable/applications/$pkgver/src/akonadi-calendar-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/akonadi-calendar-$pkgver.tar.xz"
subpackages="$pkgname-dev $pkgname-lang"
options="!check" # Broken
@@ -40,4 +40,4 @@ package() {
cd "$builddir"/build
DESTDIR="$pkgdir" make install
}
-sha512sums="e4c22cb43b7ec87f947ceb2746e159d75f6c370f16a9448c7d6ab46b30ce00f25624fc94f68e5a866651e49689248aa36de6f2d72cd3e15d5ef05eb82d6885ae akonadi-calendar-19.08.3.tar.xz"
+sha512sums="414720ee822103c940fbab39f8272f2ab52f32e32c60bb1630e0eb4805ee778d9ca772c4f5a40859f2ceae2eac569202a98a485d31f3b41799d4d2100e4c578a akonadi-calendar-19.12.0.tar.xz"
diff --git a/testing/akonadi-contacts/APKBUILD b/testing/akonadi-contacts/APKBUILD
index 15aa7de67c..3591f8b32f 100644
--- a/testing/akonadi-contacts/APKBUILD
+++ b/testing/akonadi-contacts/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=akonadi-contacts
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
pkgdesc="Libraries and daemons to implement Contact Management in Akonadi"
arch="all"
@@ -13,7 +13,7 @@ depends_dev="qt5-qtbase-dev kio-dev ki18n-dev kcompletion-dev kconfig-dev
akonadi-dev"
makedepends="$depends_dev extra-cmake-modules"
checkdepends="xvfb-run"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-dev $pkgname-lang"
build() {
@@ -31,4 +31,4 @@ check() {
package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="e22cb4406e06d4c39bca3ceb9cd507a70091e4ae1919b7ec137ce51c2c8151246eca071ec640ddfc1127cf7496deb945c8c617f3f64434a9739ff5736358d47f akonadi-contacts-19.08.3.tar.xz"
+sha512sums="ebf93cb3e40da1115be36455fd89ab3204648e98c917bb817bbe36ece4fd9c983e2552a8dbb8005ef6adef645898b012d8f34806ebabd5d3e03c2ef7d59cddcf akonadi-contacts-19.12.0.tar.xz"
diff --git a/testing/akonadi-import-wizard/APKBUILD b/testing/akonadi-import-wizard/APKBUILD
index 4936eb9095..70aae39abc 100644
--- a/testing/akonadi-import-wizard/APKBUILD
+++ b/testing/akonadi-import-wizard/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=akonadi-import-wizard
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all !ppc64le !s390x" # Limited by kmailtransport -> libkgapi -> qt5-qtwebengine
url="https://kontact.kde.org/"
pkgdesc="Import data from other mail clients to KMail"
license="GPL-2.0-or-later AND LGPL-2.0-or-later AND GFDL-1.2-only"
makedepends="extra-cmake-modules qt5-qtbase-dev kwallet-dev kconfig-dev kdbusaddons-dev kauth-dev kdoctools-dev kcrash-dev kio-dev akonadi-dev kcontacts-dev kidentitymanagement-dev kmailtransport-dev mailcommon-dev messagelib-dev pimcommon-dev libkdepim-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-dev $pkgname-doc $pkgname-lang"
build() {
@@ -27,4 +27,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="8564a9a7d3aa87583bc486de9eb09d31fcc7e7351bdbed282a0dc17e4aa7caf41b8153341bc1e01c58154563f1b6d1e8b85bd46225219a3ea6e59daeec8b4c61 akonadi-import-wizard-19.08.3.tar.xz"
+sha512sums="d6e2f75f23f139bbdd0d520756976af83193430de75e193d281b40754fb891ada62359a575233f5ef7210cdeba71bcc3be3a133a58e12a173894043d8c189736 akonadi-import-wizard-19.12.0.tar.xz"
diff --git a/testing/akonadi-mime/APKBUILD b/testing/akonadi-mime/APKBUILD
index 8a10183a30..42d30df969 100644
--- a/testing/akonadi-mime/APKBUILD
+++ b/testing/akonadi-mime/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=akonadi-mime
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
pkgdesc="Libraries and daemons to implement basic email handling"
arch="all"
@@ -9,7 +9,7 @@ url="https://community.kde.org/KDE_PIM"
license="LGPL-2.0-or-later"
depends_dev="qt5-qtbase-dev kcodecs-dev kconfigwidgets-dev kdbusaddons-dev kio-dev ki18n-dev kxmlgui-dev kmime-dev kitemmodels-dev akonadi-dev shared-mime-info libxslt-dev"
makedepends="$depends_dev extra-cmake-modules"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-dev $pkgname-lang"
build() {
@@ -28,4 +28,4 @@ check() {
package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="a8f501f36107818f5e0553aef7a4b958ad58fdea9c335e5ab53fd4dbb7729f49be2c459c6e3ad3d42ff4807817ef38059acbb1d1a11d1f9f88290758299c84c6 akonadi-mime-19.08.3.tar.xz"
+sha512sums="27c66e8c6069fbca2d82fccd1c2dbf77c3dfcda97e5f16353db5efd4928b361a719da964397fb04322f32b2a147d25b3310f7101886ec94c959c71ebe62c6a23 akonadi-mime-19.12.0.tar.xz"
diff --git a/testing/akonadi-notes/APKBUILD b/testing/akonadi-notes/APKBUILD
index ff5d8e5d23..4e3c4305ed 100644
--- a/testing/akonadi-notes/APKBUILD
+++ b/testing/akonadi-notes/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=akonadi-notes
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
pkgdesc="Libraries and daemons to implement management of notes"
arch="all"
@@ -9,7 +9,7 @@ url="https://community.kde.org/KDE_PIM"
license="LGPL-2.0-or-later"
depends_dev="qt5-qtbase-dev ki18n-dev kmime-dev"
makedepends="$depends_dev extra-cmake-modules"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-dev $pkgname-lang"
build() {
@@ -27,4 +27,4 @@ check() {
package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="de3bd78e98e85020c6eb5922e4033f45d323bbd90843932d223f22592b538d9460e027bd89fbf167e9bdad2c4b55d4142e857f89a8d93ab4530ff6f575e92806 akonadi-notes-19.08.3.tar.xz"
+sha512sums="353a468233d30dc1aa75a1e16e0a879dfb8b493c99305b4c30befeaf6e9c080571105c672af8043d3352a4b120d70e44a9c5369b5bb6d6940783383932324b2b akonadi-notes-19.12.0.tar.xz"
diff --git a/testing/akonadi-search/APKBUILD b/testing/akonadi-search/APKBUILD
index 7fa234b1be..00c3f48304 100644
--- a/testing/akonadi-search/APKBUILD
+++ b/testing/akonadi-search/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=akonadi-search
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
pkgdesc="Libraries and daemons to implement searching in Akonadi"
arch="all"
@@ -10,7 +10,7 @@ license="(GPL-2.0-only OR GPL-3.0-only) AND (LGPL-2.1-only OR LGPL-3.0-only)"
depends_dev="qt5-qtbase-dev ki18n-dev kconfig-dev kcrash-dev kdbusaddons-dev kcmutils-dev kio-dev krunner-dev xapian-core-dev akonadi-dev kcontacts-dev kmime-dev akonadi-mime-dev kcalendarcore-dev"
makedepends="$depends_dev extra-cmake-modules"
checkdepends="xvfb-run"
-source="https://download.kde.org/stable/applications/$pkgver/src/akonadi-search-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/akonadi-search-$pkgver.tar.xz"
subpackages="$pkgname-dev $pkgname-lang"
prepare() {
@@ -53,4 +53,4 @@ package() {
cd "$builddir"/build
DESTDIR="$pkgdir" make install
}
-sha512sums="48e9b6247acab7c8dd874693c7302566b43f7758089a51b2c2e4d4c1eeb6ad6d217529c418254f8d930370d69c977264ddd1919f26a7f692ba0cff2426d0b3ec akonadi-search-19.08.3.tar.xz"
+sha512sums="a0d2964e582d7c5bf536a4d617be7e322b00306aaef1149973dfedd897a2ad524752966ef733c80f6e1df66a27f919219716e1f5300f5e308f543e5937d47e9b akonadi-search-19.12.0.tar.xz"
diff --git a/testing/akonadi/APKBUILD b/testing/akonadi/APKBUILD
index acdc6d6d98..fadbdcff07 100644
--- a/testing/akonadi/APKBUILD
+++ b/testing/akonadi/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=akonadi
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
pkgdesc="A cross-desktop storage service for PIM data and meta data providing concurrent read, write, and query access"
arch="all"
@@ -11,7 +11,7 @@ depends="mariadb"
depends_dev="qt5-qtbase-dev kcompletion-dev kconfig-dev kconfigwidgets-dev kcoreaddons-dev kdbusaddons-dev ki18n-dev kiconthemes-dev kitemmodels-dev kitemviews-dev kio-dev kwidgetsaddons-dev kwindowsystem-dev kxmlgui-dev kcrash-dev boost-dev shared-mime-info libxml2-dev sqlite-dev"
makedepends="$depends_dev extra-cmake-modules qt5-qttools-dev"
checkdepends="xvfb-run"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-dev $pkgname-lang"
options="!check" # Requires running dbus server
@@ -31,4 +31,4 @@ check() {
package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="612cf8860476c32462dfa565c392a94f7fdb60953dc3afe7ea87ffdd9e78ec5f01e44aaf2ba0c6b018fa0f4cc75d1c56da1211daa13eb9589f270c2761da1e6e akonadi-19.08.3.tar.xz"
+sha512sums="1c3d770dfccae7b596dd45af65aa05652a96f2c81fbd6094a089d7fa610b55b30339eb2b2cecb798ed8a40f389f896fcbd381ea8a8bb6f05951a7f8b7dc5fed3 akonadi-19.12.0.tar.xz"
diff --git a/testing/akonadiconsole/APKBUILD b/testing/akonadiconsole/APKBUILD
index af7465637b..eb84bf2958 100644
--- a/testing/akonadiconsole/APKBUILD
+++ b/testing/akonadiconsole/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=akonadiconsole
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all !s390x !ppc64le" # calendarsupport messagelib missing
url="https://kontact.kde.org/"
@@ -9,7 +9,7 @@ pkgdesc="Application for debugging Akonadi Resources"
license="GPL-2.0-or-later AND GFDL-1.2-only"
makedepends="extra-cmake-modules qt5-qtbase-dev kcompletion-dev kconfig-dev kconfigwidgets-dev kdbusaddons-dev kdoctools-dev ki18n-dev kitemmodels-dev ktextwidgets-dev kwidgetsaddons-dev kxmlgui-dev kcrash-dev kcompletion-dev kitemviews-dev kio-dev akonadi-dev kcontacts-dev kcalendarcore-dev kmime-dev akonadi-contacts-dev calendarsupport-dev messagelib-dev libkdepim-dev akonadi-search-dev xapian-bindings"
checkdepends="xvfb-run"
-source="https://download.kde.org/stable/applications/$pkgver/src/akonadiconsole-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/akonadiconsole-$pkgver.tar.xz"
prepare() {
default_prepare
@@ -36,4 +36,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="dec8b73d970e16906fc21bc10cc6b102f79b3891c2e5fbcf543473393803809414a5bf17045fe504d0bce8cf6bd5456b046d0a47b667b2b5902bb61b31fa2071 akonadiconsole-19.08.3.tar.xz"
+sha512sums="429699e2b6ae54e2b62fbeebfd5250d310dbd049251a1521f3610b6aeaee057d8257a4d2c881349e179ebf4e7442885d7a231e68b1601eec7390595a8f9a1b7c akonadiconsole-19.12.0.tar.xz"
diff --git a/testing/akregator/APKBUILD b/testing/akregator/APKBUILD
index 68811c8fa2..132d28d6df 100644
--- a/testing/akregator/APKBUILD
+++ b/testing/akregator/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=akregator
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all !ppc64le !s390x" # Limited by qt5-qtwebengine
url="https://kontact.kde.org/components/akregator.html"
@@ -9,7 +9,7 @@ pkgdesc="RSS Feed Reader"
license="GPL-2.0-or-later AND LGPL-2.0-or-later"
makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtwebengine-dev grantlee-dev kcrash-dev kdoctools-dev kcmutils-dev knotifyconfig-dev kparts-dev ktexteditor-dev kxmlgui-dev kiconthemes-dev knotifications-dev syndication-dev grantleetheme-dev kontactinterface-dev libkdepim-dev libkleo-dev messagelib-dev kpimtextedit-dev akonadi-mime-dev pimcommon-dev"
checkdepends="xvfb-run"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
build() {
@@ -28,4 +28,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="96b24da53a1491a51949e5fdf4417b1dc2698cd8914a20b202bd03e598c69d9d7605964ec6c4703efaaa4150c3f5ecd84a92714cd89010f84b27c950aedc2475 akregator-19.08.3.tar.xz"
+sha512sums="95608dfb3857400e4c07a553250df5616e695b486f74d105c6ec422728d593c1d836b5b8b782608bf4c97062002522d81f4bfa815b106e5fe4193e690284ba50 akregator-19.12.0.tar.xz"
diff --git a/testing/analitza/APKBUILD b/testing/analitza/APKBUILD
index 7d04eb6e4b..58aff9f867 100644
--- a/testing/analitza/APKBUILD
+++ b/testing/analitza/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=analitza
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://edu.kde.org/"
@@ -9,7 +9,7 @@ pkgdesc="A library to add mathematical features to your program"
license="GPL-2.0-or-later AND GFDL-1.2-only"
makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtdeclarative-dev qt5-qtsvg-dev qt5-qttools-dev eigen-dev"
checkdepends="xvfb-run"
-source="https://download.kde.org/stable/applications/$pkgver/src/analitza-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/analitza-$pkgver.tar.xz"
subpackages="$pkgname-dev $pkgname-lang"
build() {
@@ -28,4 +28,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="962e854383b44b8acaa12188d69dc60122455836275dae3f5f79cce7607a1ce998cfdf18f48d4557b2708d91ebc15964c4842b24aad7f9974b9d7299418912bb analitza-19.08.3.tar.xz"
+sha512sums="6a885e18d6242f560df6ae3bdd3f8450effef4cd49461f3ea4971f4de42d2d0b90874c74a7ed5bf68caf2f4e34e837f788b741b906dc9b320ec75181240520da analitza-19.12.0.tar.xz"
diff --git a/testing/artikulate/APKBUILD b/testing/artikulate/APKBUILD
index db47512702..bf097d2152 100644
--- a/testing/artikulate/APKBUILD
+++ b/testing/artikulate/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=artikulate
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://edu.kde.org/artikulate"
@@ -9,7 +9,7 @@ pkgdesc="Improve your pronunciation by listening to native speakers"
license="(GPL-2.0-only OR GPL-3.0-only) AND GFDL-1.2-only"
depends="kirigami2"
makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtdeclarative-dev qt5-qtxmlpatterns-dev qt5-qtmultimedia-dev karchive-dev kconfig-dev kcrash-dev ki18n-dev knewstuff-dev kxmlgui-dev kdoctools-dev kirigami2-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/artikulate-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/artikulate-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
build() {
@@ -28,4 +28,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="2c27d37462fde6fe4b1b68efb96f71e4ee4b88c2685274872cad44a264a46a98bddc143d2074b3ccb0fe214a73abd54de204a52aeeb0ddae150a55c0c08ffb8c artikulate-19.08.3.tar.xz"
+sha512sums="3c06b2764812cf4f816a75b47f30e45a81b65df82a554a9b52c1116dd3e6e8713e16dd03cc3ac843d1419c55300c8f21c985ce05b27d76a6d2dd49d06080e802 artikulate-19.12.0.tar.xz"
diff --git a/testing/blinken/APKBUILD b/testing/blinken/APKBUILD
index e95569432d..5bcdf227bb 100644
--- a/testing/blinken/APKBUILD
+++ b/testing/blinken/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=blinken
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="http://edu.kde.org/blinken/"
pkgdesc="Memory Enhancement Game"
license="GPL-2.0-or-later AND GFDL-1.2-only"
makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtsvg-dev ki18n-dev kxmlgui-dev kguiaddons-dev kdoctools-dev kdbusaddons-dev kcrash-dev phonon-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/blinken-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/blinken-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
options="!check" # No tests
@@ -28,4 +28,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="0dd9d9afbaab7365878c4137e520e31cd1809a243598e7d1eb0e51b638306edc7860c9c057326f55f1ba3720f0529b4859cbcfaeef094811af19c07466d65c61 blinken-19.08.3.tar.xz"
+sha512sums="61e74c8e96105d1f25897d93fba70b2b7f8e56c75021f33f4096452e273e27c0cc4e84765686f5e887babf675fde81f7f84484b84b2b2c747938853fde52e03f blinken-19.12.0.tar.xz"
diff --git a/testing/bovo/APKBUILD b/testing/bovo/APKBUILD
index 5ed050eaa5..dbb27d9dff 100644
--- a/testing/bovo/APKBUILD
+++ b/testing/bovo/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=bovo
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://kde.org/applications/games/org.kde.bovo"
pkgdesc="A Gomoku like game for two players"
license="GPL-2.0-or-later AND GFDL-1.2-only"
makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtsvg-dev kcoreaddons-dev kcrash-dev kdbusaddons-dev kdoctools-dev kxmlgui-dev libkdegames-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
build() {
@@ -27,4 +27,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="f92150ad31b2230810c573c1ee1f5e5d906587823c747bb347ae62a39385f45b62c28a6452ada80c6c3e7b71c1ce87892d62d4bab41f80bf3fe5da09c3c8a349 bovo-19.08.3.tar.xz"
+sha512sums="01b44e84847f9de98f8ac881220b719112923422666ef9f724e5ad338244ef4e482d192e8dd9eb5456e2010ca7d26bfbcad7672608a53ae3f3adf5c26948b82e bovo-19.12.0.tar.xz"
diff --git a/testing/calendarsupport/APKBUILD b/testing/calendarsupport/APKBUILD
index 25e7aa9e2d..4b20710272 100644
--- a/testing/calendarsupport/APKBUILD
+++ b/testing/calendarsupport/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=calendarsupport
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
pkgdesc="Library providing calendar support"
arch="all !ppc64le !s390x" # Limited by akonadi-calendar-dev -> kmailtransport -> libkgapi -> qt5-qtwebengine
@@ -9,7 +9,7 @@ url="https://kontact.kde.org"
license="GPL-2.0-or-later AND LGPL-2.0-or-later"
depends_dev="qt5-qtbase-dev akonadi-dev ki18n-dev kiconthemes-dev kguiaddons-dev kio-dev kmime-dev akonadi-mime-dev kcodecs-dev kcalutils-dev kcalendarcore-dev kidentitymanagement-dev kholidays-dev akonadi-calendar-dev pimcommon-dev kdepim-apps-libs-dev"
makedepends="$depends_dev extra-cmake-modules qt5-qttools-dev qt5-qttools-static"
-source="https://download.kde.org/stable/applications/$pkgver/src/calendarsupport-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/calendarsupport-$pkgver.tar.xz"
subpackages="$pkgname-dev $pkgname-lang"
prepare() {
@@ -36,4 +36,4 @@ package() {
cd "$builddir"/build
DESTDIR="$pkgdir" make install
}
-sha512sums="a93243c625aab807cf04c57fe60ccdac9d4bb341da4639ceff5aa0c65d569107ebae8a07dc0053f2b83028e9729368a08969dacbebdba8e645fa108b4e1ac567 calendarsupport-19.08.3.tar.xz"
+sha512sums="79e22651a606feb9a3bc2e308d332107c6d783689c6cbe7c88a352f6452105eb526dcdeeb4f9c5a6bb8bf0f7a12a6eb9b94db3f5d5b087e71b8d2426eccb0f84 calendarsupport-19.12.0.tar.xz"
diff --git a/testing/cantor/APKBUILD b/testing/cantor/APKBUILD
index 64ae65750d..b4b813eecc 100644
--- a/testing/cantor/APKBUILD
+++ b/testing/cantor/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=cantor
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://edu.kde.org/cantor/"
@@ -9,7 +9,7 @@ pkgdesc="KDE Frontend to Mathematical Software "
license="GPL-2.0-or-later"
makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtsvg-dev qt5-qtxmlpatterns-dev kconfig-dev kcrash-dev kcompletion-dev kdoctools-dev knewstuff-dev kiconthemes-dev ktexteditor-dev kcoreaddons-dev karchive-dev kparts-dev syntax-highlighting-dev ktextwidgets-dev kio-dev kxmlgui-dev ki18n-dev poppler-qt5-dev kpty-dev analitza-dev python3-dev discount-dev"
checkdepends="xvfb-run"
-source="https://download.kde.org/stable/applications/$pkgver/src/cantor-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/cantor-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
build() {
@@ -28,4 +28,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="1dc545c2c122d0303d418c757d7f4079250354e4326f2ec0d4796de343d00beb580ab47945ecc6ea491f4cd893bbfe6fced7eeb0ab8e3122000b4c75912ca807 cantor-19.08.3.tar.xz"
+sha512sums="d8373c25ad4582938362d393498c96a2e82a15c0c492c6f403d096991950f608e71f2398217824783ee028665e042d755254aed4ed40135edd4f8464b918317d cantor-19.12.0.tar.xz"
diff --git a/testing/cervisia/APKBUILD b/testing/cervisia/APKBUILD
index f6336b4151..522c94fe6d 100644
--- a/testing/cervisia/APKBUILD
+++ b/testing/cervisia/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=cervisia
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://kde.org/applications/development/org.kde.cervisia"
pkgdesc="A user friendly version control system front-end"
license="GPL-2.0-or-later AND GFDL-1.2-only"
makedepends="extra-cmake-modules qt5-qtbase-dev kparts-dev kdoctools-dev kinit-dev kiconthemes-dev knotifications-dev kwidgetsaddons-dev kitemviews-dev kdesu-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
options="!check" # No tests
@@ -28,4 +28,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="82253694b67dfdc87f2887d5a2b1866929440439a66b0145b546207786e2509477a5b3766be378e760f3f6f2a224f8c084e8f4280f980e3738ddcdd571dfb0f3 cervisia-19.08.3.tar.xz"
+sha512sums="1c342d1ffb1ffedf51279648287202ea7111d3ae7c12e9a7a0e1702d2e2f53921bcd3c70e79ee7364c4fd10424e8a49f86693259794e278a29dde4a40033a163 cervisia-19.12.0.tar.xz"
diff --git a/testing/dolphin-plugins/APKBUILD b/testing/dolphin-plugins/APKBUILD
index 9e222528ef..7c61fff826 100644
--- a/testing/dolphin-plugins/APKBUILD
+++ b/testing/dolphin-plugins/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=dolphin-plugins
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://www.kde.org/applications/system/dolphin/"
pkgdesc="Extra Dolphin plugins"
license="GPL-2.0-or-later"
makedepends="extra-cmake-modules qt5-qtbase-dev kxmlgui-dev ki18n-dev kio-dev ktextwidgets-dev ktexteditor-dev dolphin-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-lang"
build() {
@@ -27,4 +27,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="a9155d8811eebfdaf0e76636746eca20e065d994a7c9e69672e8ebb9cdede118ce518e012e165d3ea82786ee53d46d044e63f208564d2de91b0c8d8c9daf509e dolphin-plugins-19.08.3.tar.xz"
+sha512sums="2f02cfd4f5b6596e350a77547f76cb484966393947c2c60940e6570c90121085588b2485ae1e46317b86e6d24189356f123f5243f221217942ede587a2d6400f dolphin-plugins-19.12.0.tar.xz"
diff --git a/testing/dragon/APKBUILD b/testing/dragon/APKBUILD
index 593b093e23..b23385d980 100644
--- a/testing/dragon/APKBUILD
+++ b/testing/dragon/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=dragon
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://kde.org/applications/multimedia/org.kde.dragonplayer"
@@ -9,7 +9,7 @@ pkgdesc="A multimedia player where the focus is on simplicity, instead of featur
license="GPL-2.0-only OR GPL-3.0-only"
depends="phonon-backend-gstreamer"
makedepends="extra-cmake-modules qt5-qtbase-dev kconfig-dev kconfigwidgets-dev kcoreaddons-dev kcrash-dev kdbusaddons-dev kdoctools-dev ki18n-dev kjobwidgets-dev kio-dev kparts-dev solid-dev kwidgetsaddons-dev kwindowsystem-dev kxmlgui-dev knotifications-dev phonon-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/dragon-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/dragon-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
options="!check" # No tests
@@ -38,4 +38,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="932a56f236e0fa7b133b667746fa65ea64e4b3f87045ea87712b3bf19f8f32efa3b73090dd72784363918c5d929dc410e20ffd0870bca24f4d7efd0c6fd489f2 dragon-19.08.3.tar.xz"
+sha512sums="a8516a87a7efbf53f8e73478ed053bed34b529c098e47dfb1fc4dc1535a0beb66bb5afe9862c53fadb8928972452fa7bad09bcbe31177c72d14fc03658bd2bf6 dragon-19.12.0.tar.xz"
diff --git a/testing/eventviews/APKBUILD b/testing/eventviews/APKBUILD
index 89c5f86e72..f62f0d2cbf 100644
--- a/testing/eventviews/APKBUILD
+++ b/testing/eventviews/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=eventviews
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
pkgdesc="Library for creating events"
arch="all !ppc64le !s390x" # Limited by akonadi-calendar -> kmailtransport -> libkgapi -> qt5-qtwebengine
@@ -12,7 +12,7 @@ depends_dev="qt5-qtbase-dev qt5-qttools-static akonadi-dev ki18n-dev kcodecs-dev
libkdepim-dev kcalutils-dev kcalendarcore-dev calendarsupport-dev
akonadi-calendar-dev kmime-dev"
makedepends="$depends_dev extra-cmake-modules"
-source="https://download.kde.org/stable/applications/$pkgver/src/eventviews-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/eventviews-$pkgver.tar.xz"
subpackages="$pkgname-dev $pkgname-lang"
prepare() {
@@ -39,4 +39,4 @@ package() {
cd "$builddir"/build
DESTDIR="$pkgdir" make install
}
-sha512sums="58636b0614f2df5e8f13b63769685c4f13d1beb2d00f6690cfd99999a428687a1004c8ede0854c3bcfd117cabd1b91ea8a5f739945d6d1d4e79d9bba39046d42 eventviews-19.08.3.tar.xz"
+sha512sums="fc00833529079ce10c916cc98809af4b04a9d8d88fef3088b51ba041da33dc5cb24f4875b124147a94a3b4bd3a80b7c2f9f4bc8077bbf407647e404d765509a6 eventviews-19.12.0.tar.xz"
diff --git a/testing/ffmpegthumbs/APKBUILD b/testing/ffmpegthumbs/APKBUILD
index 09428b09fa..c770310f25 100644
--- a/testing/ffmpegthumbs/APKBUILD
+++ b/testing/ffmpegthumbs/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=ffmpegthumbs
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://www.kde.org/applications/multimedia/"
pkgdesc="FFmpeg-based thumbnail creator for video files"
license="GPL-2.0-or-later"
makedepends="extra-cmake-modules qt5-qtbase-dev kio-dev ki18n-dev kconfig-dev ffmpeg-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-lang"
options="!check" # No tests
@@ -28,4 +28,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="84e6da40658d4a7963928a509acb982a5cfbe88c3e164096ca946df9e336ab1bbeca8fbd45be1d8f55ee1377645af914561c74ea1da74736cc573a182f385fca ffmpegthumbs-19.08.3.tar.xz"
+sha512sums="69db3a49d5596d5df30e6dd5a95e9f8bc3d18c2bd5aeac6bd89468338ef4b983af8e67b4c56875dd1cb7b9206c6803732e5151a74c116e6154486221247e9762 ffmpegthumbs-19.12.0.tar.xz"
diff --git a/testing/filelight/APKBUILD b/testing/filelight/APKBUILD
index 44161b1b8d..825c9f2fd9 100644
--- a/testing/filelight/APKBUILD
+++ b/testing/filelight/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=filelight
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://kde.org/applications/utilities/filelight"
pkgdesc="An application to visualize the disk usage on your computer"
license="(GPL-2.0-only OR GPL-3.0-only) AND GFDL-1.2-only"
makedepends="extra-cmake-modules qt5-qtbase-dev kxmlgui-dev kio-dev ki18n-dev kdoctools-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
options="!check" # No tests
@@ -28,4 +28,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="547affcf9b78ec06ee981d68e847174d8811907b5220249a616298c43af19c1a35d4d3932306903cbae2873afe92a9b6655c754c6bcd55a8447ea0fd311745b4 filelight-19.08.3.tar.xz"
+sha512sums="781fbdd34c0ba612ce18218751118df6ed6b09dea237d313b6f70974992463dfba2fc4d4365fe266d909adcff4ee91824b28d4c399b5bc8a8971df38cddb1ea7 filelight-19.12.0.tar.xz"
diff --git a/testing/granatier/APKBUILD b/testing/granatier/APKBUILD
index 0d1539990c..7b8731683a 100644
--- a/testing/granatier/APKBUILD
+++ b/testing/granatier/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=granatier
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://kde.org/applications/games/org.kde.granatier"
pkgdesc="A clone of the classic Bomberman game"
license="GPL-2.0-or-later AND GFDL-1.2-only"
makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtsvg-dev kcoreaddons-dev kconfig-dev kcrash-dev kdbusaddons-dev kwidgetsaddons-dev kconfig-dev ki18n-dev kconfigwidgets-dev kxmlgui-dev knewstuff-dev kdoctools-dev libkdegames-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/granatier-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/granatier-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
build() {
@@ -27,4 +27,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="8407d4e3a7c0f3858301227ac51e9c2d38e54e20b7cc2210ba6e3444e3da8420aa43256218bbc4311277909d32c7faf3a313dffe564bac0bd01dacb8f5c6a0e9 granatier-19.08.3.tar.xz"
+sha512sums="2527c7145e4b753c01dd6327d8bb0ce4b174e37666f675fad9204c084d522535ab8a748d26e25e8617e4b4906f9acab1c08b9b8517dd3242efcef1ccf511a8ed granatier-19.12.0.tar.xz"
diff --git a/testing/grantlee-editor/APKBUILD b/testing/grantlee-editor/APKBUILD
index 095e880f8f..31c7fcbb3b 100644
--- a/testing/grantlee-editor/APKBUILD
+++ b/testing/grantlee-editor/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=grantlee-editor
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all !ppc64le !s390x" # Limited by qt5-qtwebengine
url="https://kontact.kde.org/"
pkgdesc="Utilities and tools to manage themes in KDE PIM applications "
license="GPL-2.0-or-later AND GFDL-1.2-only"
makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtwebengine-dev kcrash-dev kdbusaddons-dev kdoctools-dev kxmlgui-dev ktexteditor-dev knewstuff-dev karchive-dev pimcommon-dev messagelib-dev grantleetheme-dev akonadi-mime-dev libkleo-dev kimap-dev kpimtextedit-dev syntax-highlighting-dev qgpgme"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
build() {
@@ -27,4 +27,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="1be20ad47b04e702eb93aea60c0871d410ecca404c2649fde17f0b0cad423a2845afbd665f065c03ed93136f039cd22bb0327a96a71c7b434b84b050270a7acf grantlee-editor-19.08.3.tar.xz"
+sha512sums="f08cda5c6237c547ea17bc152713e93ec30654642819eb57d04baa35065ef223ad08c0bb7d1aefeeab20ef21a6dbb7f06e7403ba86dd3d9487fd9bf950e5aba4 grantlee-editor-19.12.0.tar.xz"
diff --git a/testing/grantleetheme/APKBUILD b/testing/grantleetheme/APKBUILD
index 3f8b7f8b08..4bf5b4825e 100644
--- a/testing/grantleetheme/APKBUILD
+++ b/testing/grantleetheme/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=grantleetheme
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
pkgdesc="KDE PIM mail related libraries"
arch="all"
@@ -9,7 +9,7 @@ url="https://kontact.kde.org/"
license="GPL-2.0-or-later AND LGPL-2.1-or-later"
makedepends="extra-cmake-modules knewstuff-dev ki18n-dev grantlee-dev"
checkdepends="xvfb-run"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-dev $pkgname-lang"
build() {
@@ -27,4 +27,4 @@ check() {
package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="1e84df335d938963fe1a9c62a0a8909613e63d6fe3279cc7bf149afdcac552078af8c4e0125768556cc216eeb6876f6f1a1c9f8e862aac5da1ec1c55bc3040cf grantleetheme-19.08.3.tar.xz"
+sha512sums="903296cc937a847ba3c798a327e7714c392d8641737fb9e726d47ad669e0362a3cd12ef125e3639030ff04577f49bc1594dd07e774f2cdc27730e7cabd755099 grantleetheme-19.12.0.tar.xz"
diff --git a/testing/incidenceeditor/APKBUILD b/testing/incidenceeditor/APKBUILD
index 8f8562c2dd..052c04a0a8 100644
--- a/testing/incidenceeditor/APKBUILD
+++ b/testing/incidenceeditor/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=incidenceeditor
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
pkgdesc="KDE PIM incidence editor"
arch="all !ppc64le !s390x" # Limited by kmailtransport -> libkgapi -> qt5-qtwebengine
@@ -10,7 +10,7 @@ license="LGPL-2.0-or-later AND GPL-2.0-or-later"
depends_dev="qt5-qtbase-dev akonadi-dev ki18n-dev kiconthemes-dev kio-dev kmime-dev akonadi-mime-dev kldap-dev kcodecs-dev calendarsupport-dev eventviews-dev libkdepim-dev kdepim-apps-libs-dev kcalutils-dev kcalendarcore-dev kmailtransport-dev kdiagram-dev"
makedepends="$depends_dev extra-cmake-modules"
checkdepends="xvfb-run"
-source="https://download.kde.org/stable/applications/$pkgver/src/incidenceeditor-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/incidenceeditor-$pkgver.tar.xz"
subpackages="$pkgname-dev $pkgname-lang"
prepare() {
@@ -37,4 +37,4 @@ package() {
cd "$builddir"/build
DESTDIR="$pkgdir" make install
}
-sha512sums="4d2ac2416810cad38e37d15dfbc7f19af7557164d9d2317aca0f6b9d3c072750281942068fb70a42a0aecf307c69a6f876ce5f73f39fe39529320c09f841aa4a incidenceeditor-19.08.3.tar.xz"
+sha512sums="2c55c01cf27d4e7328854bb94f1346323e47672272756ddf199556bd7fdbaa42976feb9a6f150c3cb6945d5b4102f97649c40bc045f2cd56af46b482aa776d5e incidenceeditor-19.12.0.tar.xz"
diff --git a/testing/juk/APKBUILD b/testing/juk/APKBUILD
index 130e11b1e7..27eadb0199 100644
--- a/testing/juk/APKBUILD
+++ b/testing/juk/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=juk
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://juk.kde.org/"
pkgdesc="A jukebox, tagger and music collection manager"
license="GPL-2.0-or-later"
makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtsvg-dev kcoreaddons-dev kcompletion-dev kconfig-dev kcrash-dev kglobalaccel-dev ki18n-dev kiconthemes-dev kdoctools-dev kio-dev kjobwidgets-dev knotifications-dev ktextwidgets-dev kxmlgui-dev kwallet-dev kwidgetsaddons-dev kwindowsystem-dev phonon-dev taglib-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
build() {
@@ -27,4 +27,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="a523b85c1049f3f76bba1f3ba4e9d1086e4c02783a0c5d6262f3843e96f336d52f649fdcca000e1b6432324eb6bc2a6681034d2ab43065b9a93542095c3b4931 juk-19.08.3.tar.xz"
+sha512sums="0ca5d4114fcbc70f16ee2eda5ffbd384d75d6a055eeb30b33b42d743fbb19d325d8abce4bf257d769bf2f34b805edc03f0e504a12fd3aa19aafa93f62fe62bf4 juk-19.12.0.tar.xz"
diff --git a/testing/kaccounts-integration/APKBUILD b/testing/kaccounts-integration/APKBUILD
index 4150b1c0b2..8df1ad3bb6 100644
--- a/testing/kaccounts-integration/APKBUILD
+++ b/testing/kaccounts-integration/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kaccounts-integration
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://kde.org/applications/internet/"
@@ -9,7 +9,7 @@ pkgdesc="Small system to administer web accounts for the sites and services acro
license="GPL-2.0-or-later AND LGPL-2.1-or-later"
depends_dev="qt5-qtbase-dev kcmutils-dev ki18n-dev kcoreaddons-dev kdbusaddons-dev kdeclarative-dev libaccounts-qt-dev signond-dev"
makedepends="$depends_dev extra-cmake-modules"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-dev $pkgname-lang"
options="!check" # No tests available
@@ -25,4 +25,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="f1e7a1c3959b6739aeba3ab8a2bce51116b1b7263951cb55931564f2628f0fbe7eaa876dff9a4b7a4c6846853360293e5949297d4faf5d6a739579bf29245fd6 kaccounts-integration-19.08.3.tar.xz"
+sha512sums="c40775509f9c336974bef0effade36adf36e19398a0445e5d155a8e4e3062219da191fab912640c610799dc7d6bc114f7daa423fea97304714332b9f00db94b9 kaccounts-integration-19.12.0.tar.xz"
diff --git a/testing/kaccounts-providers/APKBUILD b/testing/kaccounts-providers/APKBUILD
index 5678beb9f4..c255e5c012 100644
--- a/testing/kaccounts-providers/APKBUILD
+++ b/testing/kaccounts-providers/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kaccounts-providers
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://kde.org/applications/internet/"
@@ -9,7 +9,7 @@ pkgdesc="Small system to administer web accounts for the sites and services acro
license="GPL-2.0-or-later"
depends="kaccounts-integration"
makedepends="qt5-qtbase-dev qt5-qtdeclarative-dev kio-dev ki18n-dev kdeclarative-dev kpackage-dev kaccounts-integration-dev extra-cmake-modules intltool"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-lang"
build() {
@@ -24,4 +24,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="bb8e6a409688ca7a31ac802ab75e796eb161b9f4495d1ba1b9c3c5aa2d836b917f4549e81ce327ea157f5f19d15fcb0c50c079be49e114dff897066ae3fa1e06 kaccounts-providers-19.08.3.tar.xz"
+sha512sums="0bc9be70592f7e9a4e8eecf771f86bc89201a97627e177afe071e8581b1ce5c04a304dd3a0f0667e120b7a32b8d6f34558fa42d03460080c71ebfb84800a4278 kaccounts-providers-19.12.0.tar.xz"
diff --git a/testing/kajongg/APKBUILD b/testing/kajongg/APKBUILD
index 2ce69f2bab..f5e66a796e 100644
--- a/testing/kajongg/APKBUILD
+++ b/testing/kajongg/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kajongg
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="noarch"
url="https://kde.org/applications/games/org.kde.kajongg"
@@ -9,7 +9,7 @@ pkgdesc="Mah Jongg - the ancient Chinese board game for 4 players"
license="GPL-2.0-or-later AND GFDL-1.2-only"
depends="python3"
makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtsvg-dev kconfig-dev kdoctools-dev kconfigwidgets-dev libkmahjongg-dev py3-twisted"
-source="https://download.kde.org/stable/applications/$pkgver/src/kajongg-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/kajongg-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
build() {
@@ -28,4 +28,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="49c5877216e9c73ff66e11fa8d14e3a82e08149f92c5cfb54ac7057096b0b53a46bf4a8eb4ca2f3b7bde066249b4a65b81ee42cf8969d06d221cf8c89a2fe97e kajongg-19.08.3.tar.xz"
+sha512sums="e1ef9581038039741d687cf90fe9bb93ee5e6a9e6a7b5a1e350ca5c74532b7f342970a89fba0cacf43b4b45cff175c8f7dde3e73709c73b6a366ed94cc2fb2dc kajongg-19.12.0.tar.xz"
diff --git a/testing/kalarm/APKBUILD b/testing/kalarm/APKBUILD
index cc8e307590..db86d2129a 100644
--- a/testing/kalarm/APKBUILD
+++ b/testing/kalarm/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kalarm
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all !ppc64le !s390x" # Limited by kmailtransport -> libkgapi -> qt5-qtwebengine
url="https://kontact.kde.org/"
pkgdesc="Personal alarm scheduler"
license="GPL-2.0-or-later AND GFDL-1.2-only"
makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtx11extras-dev kauth-dev kcodecs-dev kcompletion-dev kconfig-dev kconfigwidgets-dev kdbusaddons-dev kdoctools-dev kglobalaccel-dev kguiaddons-dev ki18n-dev kiconthemes-dev kjobwidgets-dev kcmutils-dev kdelibs4support-dev kio-dev knotifications-dev kservice-dev kwidgetsaddons-dev kwindowsystem-dev kxmlgui-dev kholidays-dev phonon-dev kimap-dev akonadi-dev akonadi-contacts-dev akonadi-mime-dev kalarmcal-dev kcalendarcore-dev kcalutils-dev kidentitymanagement-dev kdepim-apps-libs-dev libkdepim-dev mailcommon-dev kmailtransport-dev kmime-dev pimcommon-dev kpimtextedit-dev libxslt-dev qgpgme"
-source="https://download.kde.org/stable/applications/$pkgver/src/kalarm-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/kalarm-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
prepare() {
@@ -36,4 +36,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="b1ff5137c4ec1d0067767a7e14a2ce7e2c3c1a621845975140ac538af6aa6dd6bb44f567c2569a8812552379c79f70bfb828ab1b6afa103cabdf07ca492d5dfa kalarm-19.08.3.tar.xz"
+sha512sums="8f0f360fbab1a78a141a02de3b7624074afe4b0a9bfd1336f86571225dd3e4af27148f0f9e684f68b4bcd477fc4516b5bee1deac124f9a6e64f1700bf4cf833a kalarm-19.12.0.tar.xz"
diff --git a/testing/kalarmcal/APKBUILD b/testing/kalarmcal/APKBUILD
index 3cf98a3847..c3428ca7a2 100644
--- a/testing/kalarmcal/APKBUILD
+++ b/testing/kalarmcal/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kalarmcal
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://kontact.kde.org/"
pkgdesc="The KAlarm client library"
license="LGPL-2.0-or-later"
makedepends="extra-cmake-modules kconfig-dev ki18n-dev kholidays-dev akonadi-dev kcalendarcore-dev kidentitymanagement-dev kcalutils-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/kalarmcal-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/kalarmcal-$pkgver.tar.xz"
subpackages="$pkgname-dev $pkgname-lang"
options="!check" # Broken
@@ -37,4 +37,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="18eea0a1629e9491e65d4041cfb14f878521f4a8455129357ee3b831b8de1a54fe5d1909fd30afdead508216d310f7042ccae8f929bbf0fd456833e6e638ceb0 kalarmcal-19.08.3.tar.xz"
+sha512sums="eb7832464fe64414e31508f75c8a8cb91b5b196a0927f96c0266cb220842c77dafd098dc6985477ce27c9bf1b142697bd3d2b48108792e5b51b9351b9c36fdc4 kalarmcal-19.12.0.tar.xz"
diff --git a/testing/kalgebra/APKBUILD b/testing/kalgebra/APKBUILD
index 5213e5a72a..585c9e4fa7 100644
--- a/testing/kalgebra/APKBUILD
+++ b/testing/kalgebra/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kalgebra
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://edu.kde.org/kalgebra/"
pkgdesc="2D and 3D Graph Calculator"
license="GPL-2.0-or-later AND GFDL-1.2-only"
makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtsvg-dev qt5-qtdeclarative-dev analitza-dev ki18n-dev kcoreaddons-dev kconfigwidgets-dev kwidgetsaddons-dev kio-dev kdoctools-dev ncurses-dev readline-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
options="!check" # No tests
@@ -28,4 +28,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="a623e4675b1e188411da358f965648b6f9ea60a65d3155c377dc5e60b288a2c757627f1c76cf98629ed23784374f60b2c748cc80ff22a93e3469ad2e3dff310b kalgebra-19.08.3.tar.xz"
+sha512sums="19f4193671269d1e7d73f74eedffc1bdbe2d4c5a6d548bda1e53064147465c9cac7fc45f7df4ca2f80431429d8d7159fa8fab53e495627ef6e34570c1180332d kalgebra-19.12.0.tar.xz"
diff --git a/testing/kalzium/APKBUILD b/testing/kalzium/APKBUILD
index ed2946b6d5..9a710fbe98 100644
--- a/testing/kalzium/APKBUILD
+++ b/testing/kalzium/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kalzium
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://edu.kde.org/kalzium/"
pkgdesc="Periodic Table of Elements "
license="GPL-2.0-or-later AND LGPL-2.0-or-later AND GFDL-1.2-only"
makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtsvg-dev karchive-dev kconfig-dev kcoreaddons-dev kdoctools-dev ki18n-dev khtml-dev kparts-dev kplotting-dev solid-dev kunitconversion-dev kwidgetsaddons-dev knewstuff-dev eigen-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/kalzium-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/kalzium-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang $pkgname-dev"
options="!check" # No tests
@@ -28,4 +28,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="a500255222f2e3a7ebfcf580f7afcdb119de0afa2e2a2d06f273c23e518fa9901b528fe9ce6d3343940c93d0eb4a39ebb9a38c6301c347907ab3a54658ed7b53 kalzium-19.08.3.tar.xz"
+sha512sums="e4217778fe8ea20b0355725b4f5acabb91c812f05107d7dbae589e34b7e26b7087822c2e893046421575be7ae1e44d88cd0aa66b40b3dbd2f251b57ff69ece6a kalzium-19.12.0.tar.xz"
diff --git a/testing/kamera/APKBUILD b/testing/kamera/APKBUILD
index b5e67793a1..6e156f6d77 100644
--- a/testing/kamera/APKBUILD
+++ b/testing/kamera/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kamera
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://kde.org/applications/graphics"
pkgdesc="KDE integration for gphoto2 cameras"
license="GPL-2.0-or-later AND GFDL-1.2-only"
makedepends="extra-cmake-modules qt5-qtbase-dev kconfigwidgets-dev kxmlgui-dev kio-dev ki18n-dev kconfig-dev kdoctools-dev libgphoto2-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
options="!check" # No tests
@@ -28,4 +28,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="a1388abd72f3905a918fc69341e8cd64c37d205530d05e554444c1fdb8d773496d9783e7a26a8b324a8904ad9ef2b1347c77a23f430c0663014e5a66ec63b913 kamera-19.08.3.tar.xz"
+sha512sums="79b9ab797ed0b191411dd09a26a8b48acdcac49d1439727a1c580f37bb391882758e4fb473270bf2d4af03200cdd2b8a4da4d96f08a7ea9cc3ea2a35f07a8f4e kamera-19.12.0.tar.xz"
diff --git a/testing/kamoso/APKBUILD b/testing/kamoso/APKBUILD
index d4372a6a93..a55ed60108 100644
--- a/testing/kamoso/APKBUILD
+++ b/testing/kamoso/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kamoso
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://kde.org/applications/multimedia/org.kde.kamoso"
@@ -9,7 +9,7 @@ pkgdesc="An application to take pictures and videos out of your webcam"
license="GPL-2.0-or-later AND LGPL-2.1-only"
depends="kirigami2 qt5-qtquickcontrols2 gst-plugins-good gst-plugins-bad"
makedepends="extra-cmake-modules qt5-qtbase-dev kconfig-dev kdoctools-dev kio-dev ki18n-dev purpose-dev knotifications-dev gstreamer-dev glib-dev gobject-introspection-dev gst-plugins-base-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
options="!check" # Broken
@@ -29,4 +29,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="d6c1212a469a684cfdedf8868c60d97bbb499b73dc8ffd44f17619718d3baf4988007f9cbdcd614194ef4cf19a09f99b4d830dbe4ca7a170c65f2186e2144f5d kamoso-19.08.3.tar.xz"
+sha512sums="a88a0289c1340948f27b25e4769917277d321a6731d11543935166dc7714f182ea1f7d76e4239990117436546bb356e442f97737392a9359c57e3e05aa5cc86e kamoso-19.12.0.tar.xz"
diff --git a/testing/kanagram/APKBUILD b/testing/kanagram/APKBUILD
index 70b839faed..c128fe977f 100644
--- a/testing/kanagram/APKBUILD
+++ b/testing/kanagram/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kanagram
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://edu.kde.org/kanagram/"
pkgdesc="Letter Order Game"
license="GPL-2.0-or-later AND GFDL-1.2-only"
makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtdeclarative-dev ki18n-dev kcrash-dev sonnet-dev kconfig-dev kconfigwidgets-dev kcoreaddons-dev kdeclarative-dev kdoctools-dev kio-dev knewstuff-dev libkeduvocdocument-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/kanagram-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/kanagram-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
options="!check" # No tests
@@ -28,4 +28,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="72120d98ff5555ed84fab22716c0871d8bb11bd32529bae62d632aa979668d2ff8166c94b46bff91f77aa88b7a355f1afa13ad769771780a9dd52cb0452f7870 kanagram-19.08.3.tar.xz"
+sha512sums="4ffaf3723a745af61c55d71d991c0892e27066264ebf887422d9e6772e4e817aa465cf120efd188cecc095fe67eb7250ef6d390a6a07f01df3ded613a8cf61d3 kanagram-19.12.0.tar.xz"
diff --git a/testing/kapman/APKBUILD b/testing/kapman/APKBUILD
index 62fb1421d2..961908d963 100644
--- a/testing/kapman/APKBUILD
+++ b/testing/kapman/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kapman
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://kde.org/applications/games/org.kde.kapman"
pkgdesc="A clone of the well known game Pac-Man"
license="GPL-2.0-or-later AND GFDL-1.2-only"
makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtsvg-dev kcoreaddons-dev kconfig-dev kcrash-dev kdbusaddons-dev kdoctools-dev kconfig-dev ki18n-dev kconfigwidgets-dev kxmlgui-dev libkdegames-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/kapman-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/kapman-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
option="!check" # No tests
@@ -28,4 +28,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="8f9054e264017af87d37f11750d803225c498de5e7507bc17be1304e171128bd514e07019ebd8c43bc7604e963bd1596a39ac991ebde0441fa98d22629c1ffce kapman-19.08.3.tar.xz"
+sha512sums="b1e8f4ab2466f44b8abb2d74a78e5bdafb6ab6371c7ea731acc839d6ee134c6ed175cc4090f77fdcb384f48c578fec7c290061872189aa856dbe7c833486bef2 kapman-19.12.0.tar.xz"
diff --git a/testing/kapptemplate/APKBUILD b/testing/kapptemplate/APKBUILD
index dd7b5d6ea9..268f755aaa 100644
--- a/testing/kapptemplate/APKBUILD
+++ b/testing/kapptemplate/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kapptemplate
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://kde.org/applications/development/org.kde.kapptemplate"
pkgdesc="Factory for the easy creation of KDE/Qt components and programs"
license="GPL-2.0-or-lateri AND GFDL-1.2-only"
makedepends="extra-cmake-modules qt5-qtbase-dev kcoreaddons-dev kconfigwidgets-dev kcompletion-dev karchive-dev kio-dev ki18n-dev kdoctools-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/kapptemplate-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/kapptemplate-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
build() {
@@ -27,4 +27,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="215b0144c4a6d2743b9f4cb387f9f7eb75de420949a3e835da992cd7e6d241bea54b225932371741bd4cfcc288b9a2bc89dceee66b47fac84cbc7290e5459baf kapptemplate-19.08.3.tar.xz"
+sha512sums="f6427797f12db97b4ccd16268b71d11ab0f7a3e93a1faf5ae3e74e21208e25daa579de0d41f066766b6fc2c0e88b1925923a69bbf3349385c6148b4a55e35dd9 kapptemplate-19.12.0.tar.xz"
diff --git a/testing/katomic/APKBUILD b/testing/katomic/APKBUILD
index b6b9af2d41..bce5e917b5 100644
--- a/testing/katomic/APKBUILD
+++ b/testing/katomic/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=katomic
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://kde.org/applications/games/org.kde.katomic"
pkgdesc="A fun and educational game built around molecular geometry"
license="GPL-2.0-or-later AND GFDL-1.2-only"
makedepends="extra-cmake-modules qt5-qtbase-dev kcoreaddons-dev kconfig-dev kcrash-dev kwidgetsaddons-dev ki18n-dev kxmlgui-dev knewstuff-dev kdoctools-dev kdbusaddons-dev libkdegames-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/katomic-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/katomic-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
options="!check" # No tests
@@ -28,4 +28,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="cbf777134dd7e6a8fe1684643943ac665c5a87e2e57d6633e61e6fee0528da2eb9b874506e6b4d8f4d83024f0d62c187296bae9a496f4f9bc3b1ad293baf8671 katomic-19.08.3.tar.xz"
+sha512sums="acc172a0d90fb35b1b062e72fb93b0a5eb3141aed01a5fe0f37e033cd999a30c44409fd8a6790a177dfd07a40b619fcc4fcae66394c7fc8c84b68343cdbb78f4 katomic-19.12.0.tar.xz"
diff --git a/testing/kbackup/APKBUILD b/testing/kbackup/APKBUILD
index 6cd0882a3c..448721c743 100644
--- a/testing/kbackup/APKBUILD
+++ b/testing/kbackup/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kbackup
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://kde.org/applications/utilities/org.kde.kbackup"
pkgdesc="An application which lets you back up your data in a simple, user friendly way"
license="GPL-2.0-or-only"
makedepends="extra-cmake-modules qt5-qtbase-dev knotifications-dev ki18n-dev kio-dev kdoctools-dev kxmlgui-dev kiconthemes-dev karchive-dev kwidgetsaddons-dev shared-mime-info"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
options="!check" # No tests
@@ -28,4 +28,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="5bef8202d9f0205c39b14f5ffaf99b7e6694afe0188dec3716ac4eb8c50c7f1acad2912b29d113603915ea6e74695c4fffa20ce7b05e81ff8ec5757c6d0435bd kbackup-19.08.3.tar.xz"
+sha512sums="76ad11fd2d3d85e4a71fd8abb6cc24a00fc912da5f9f4b2156ae9bdeceb2428a30551b29b6233cf818591e438c6e30dc9d8bdc7f41b60d95ff377ad32d005fdd kbackup-19.12.0.tar.xz"
diff --git a/testing/kblackbox/APKBUILD b/testing/kblackbox/APKBUILD
index ef6750ee61..4f452a467a 100644
--- a/testing/kblackbox/APKBUILD
+++ b/testing/kblackbox/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kblackbox
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://kde.org/applications/games/org.kde.kblackbox"
pkgdesc="A game of hide and seek played on a grid of boxes"
license="GPL-2.0-or-later AND GFDL-1.2-only"
makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtsvg-dev karchive-dev kcoreaddons-dev kconfig-dev kcrash-dev kdoctools-dev ki18n-dev kdbusaddons-dev ktextwidgets-dev kxmlgui-dev libkdegames-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/kblackbox-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/kblackbox-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
options="!check" # No tests
@@ -28,4 +28,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="c584fb8a51bf63d6611616f7a3e9b839859a6bb825af77fe5243baa335d78d544581404a03802cb894c6eaa297fcf4492f5c49a7accf971aff63af55aa206851 kblackbox-19.08.3.tar.xz"
+sha512sums="9025609e0f491a86a46676d7f7a2b6ff182de186851a4d49c641c069e9832e3da1bc37c2ba38873732f41b553e41216e447760eb679730d8caf28a37bfb83781 kblackbox-19.12.0.tar.xz"
diff --git a/testing/kbruch/APKBUILD b/testing/kbruch/APKBUILD
index cc673ba30f..d80bb3a996 100644
--- a/testing/kbruch/APKBUILD
+++ b/testing/kbruch/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kbruch
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://edu.kde.org/kbruch/"
pkgdesc="Practice Fractions"
license="GPL-2.0-or-later AND GFDL-1.2-only"
makedepends="extra-cmake-modules qt5-qtbase-dev kconfig-dev kcrash-dev kdoctools-dev ki18n-dev kwidgetsaddons-dev kxmlgui-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/kbruch-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/kbruch-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
options="!check" # No tests
@@ -28,4 +28,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="21a290bc906bb1a9ad93dc6b21e9fe22433679bd74b0484b2060feac74bc37b3b0880032f9d61fc6555b32676707570af4590727299de4efc8b6fd88a0e8fd80 kbruch-19.08.3.tar.xz"
+sha512sums="e49d479623835477970305222c6f50a584b90ac0e6a7e3e45fff75892e8e0212d5277a788471a3265982e4ce6bb7aeca2e8aae9bcfecafad0a7772c79b1ea281 kbruch-19.12.0.tar.xz"
diff --git a/testing/kcachegrind/APKBUILD b/testing/kcachegrind/APKBUILD
index 8f6055f955..82772ff4f1 100644
--- a/testing/kcachegrind/APKBUILD
+++ b/testing/kcachegrind/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kcachegrind
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://kde.org/applications/development/org.kde.kcachegrind"
pkgdesc="A profile data visualization tool, used to determine the most time consuming parts in the execution of a program"
license="GPL-2.0-or-only AND GFDL-1.2-only"
makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qttools-dev karchive-dev kcoreaddons-dev kdoctools-dev kwidgetsaddons-dev kxmlgui-dev ki18n-dev kconfig-dev kio-dev kdbusaddons-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
options="!check" # No tests
@@ -28,4 +28,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="9275e43dd156c661d4aca8d004d75f6822e66c5ed1fe46fb3bc6c30630334ed1ae069c01128d4097fad13e5126f63c0aa56e9bfb5a6f22ac54200f74dfd00f43 kcachegrind-19.08.3.tar.xz"
+sha512sums="ae511c229dc5dc18187bec8cda6a644474456ed320582271aacf1fec7f96db331d9e27e604a87b4acbdc8bf90fa0e39d8b5a15f2a8dd8eda5cab0be662d283de kcachegrind-19.12.0.tar.xz"
diff --git a/testing/kcalutils/APKBUILD b/testing/kcalutils/APKBUILD
index 9bb0c41e59..a316781258 100644
--- a/testing/kcalutils/APKBUILD
+++ b/testing/kcalutils/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kcalutils
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
pkgdesc="The KDE calendar utility library"
arch="all"
@@ -10,7 +10,7 @@ license="LGPL-2.0-or-later"
depends_dev="kcoreaddons-dev kconfig-dev ki18n-dev kcodecs-dev kwidgetsaddons-dev kconfigwidgets-dev kiconthemes-dev grantlee-dev kcalendarcore-dev kidentitymanagement-dev"
makedepends="$depends_dev extra-cmake-modules"
checkdepends="xvfb-run"
-source="https://download.kde.org/stable/applications/$pkgver/src/kcalutils-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/kcalutils-$pkgver.tar.xz"
subpackages="$pkgname-dev $pkgname-lang"
prepare() {
@@ -39,4 +39,4 @@ package() {
cd "$builddir"/build
DESTDIR="$pkgdir" make install
}
-sha512sums="0ff96dfb9cb4a08d982d6c27a2351c703e30f040055ee4c662df7465c4a1656eff369db0bba39e4fec55777a1671c997e6095d7159b36ffa597564c2024d7d84 kcalutils-19.08.3.tar.xz"
+sha512sums="5353d4b7f7b48fb046091390d7211dba19b313467a5bde4350305fd979d1bba5a42f7b751d05a4e3c812d93cd35845c67f8ad942f6d781d8867b212b0ddb6f50 kcalutils-19.12.0.tar.xz"
diff --git a/testing/kcharselect/APKBUILD b/testing/kcharselect/APKBUILD
index be69001c8d..03fba858ba 100644
--- a/testing/kcharselect/APKBUILD
+++ b/testing/kcharselect/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kcharselect
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://kde.org/applications/utilities/org.kde.kcharselect"
pkgdesc="A tool to select special characters from all installed fonts and copy them into the clipboard"
license="GPL-2.0-or-later"
makedepends="extra-cmake-modules qt5-qtbase-dev kbookmarks-dev kcrash-dev kdoctools-dev ki18n-dev kwidgetsaddons-dev kxmlgui-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
options="!check" # No tests
@@ -28,4 +28,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="55c20dc0cacd01f27ea047cf8845c47c93d973b954f3a7481f7949417066b56b031c5bacbf39356f92b785f6ad7113aacec391ec81fafafba6a49dd44366855c kcharselect-19.08.3.tar.xz"
+sha512sums="c9b1e0a57d48b354824041c91039f0d9e9275707687804e6608a12d8f449dfac9609b4b625a4aa32565327844bd5210889ea49bf49e3628eca8719a3e5ad5041 kcharselect-19.12.0.tar.xz"
diff --git a/testing/kcolorchooser/APKBUILD b/testing/kcolorchooser/APKBUILD
index 85dc4cac3b..3708528edc 100644
--- a/testing/kcolorchooser/APKBUILD
+++ b/testing/kcolorchooser/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kcolorchooser
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://kde.org/applications/graphics/org.kde.kcolorchooser"
pkgdesc="A color palette tool, used to mix colors and create custom color palettes"
license="MIT"
makedepends="extra-cmake-modules qt5-qtbase-dev ki18n-dev kxmlgui-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-lang"
options="!check" # No tests
@@ -28,4 +28,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="5f76dafc07597a25126d8faafe8bb88ee16029cb775e47aeb47c440a74f6d7f1b585d6a72fdddb05136e164c6cd61a58b6a74538d7cdb46d388745b44bed81ba kcolorchooser-19.08.3.tar.xz"
+sha512sums="65588efb51f56b73bb9f287b4aef034b85b33b6a6d93fbe3e6e9d102204ece86b8d605551b87b2a74bb4829abf601de5183d4534e59b9b3c200ff3b3fdcddece kcolorchooser-19.12.0.tar.xz"
diff --git a/testing/kcron/APKBUILD b/testing/kcron/APKBUILD
index 163757aa85..87d93d8c7c 100644
--- a/testing/kcron/APKBUILD
+++ b/testing/kcron/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kcron
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://kde.org/applications/system/"
pkgdesc="Configure and schedule tasks"
license="GPL-2.0-or-later"
makedepends="extra-cmake-modules qt5-qtbase-dev kconfigwidgets-dev kdoctools-dev ki18n-dev kiconthemes-dev kio-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
build() {
@@ -27,4 +27,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="44a08ec81d0cf075f17a192ba88aeb6be71c356aac27e3cc8f69ff21295d14dd78fb3ebb19d78f7f669631805259f8eed24705714722a410b8a01fb20793b90a kcron-19.08.3.tar.xz"
+sha512sums="40611f33f822eb61b63a8631cb76bd2b45b504465cba19277b9dd6cd4d2b8e3e02baff14fb5c6fd86182bb6e726dcd5b9bdaecb2f0056695691446686df4c430 kcron-19.12.0.tar.xz"
diff --git a/testing/kde-applications/APKBUILD b/testing/kde-applications/APKBUILD
index bad8f63ada..4d31a5b0a2 100644
--- a/testing/kde-applications/APKBUILD
+++ b/testing/kde-applications/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kde-applications
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="noarch !ppc64le !s390x" # Limited by edu, network and pim
url="https://kde.org/applications/"
diff --git a/testing/kde-dev-scripts/APKBUILD b/testing/kde-dev-scripts/APKBUILD
index 65f6f58364..4d449815e6 100644
--- a/testing/kde-dev-scripts/APKBUILD
+++ b/testing/kde-dev-scripts/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kde-dev-scripts
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://kde.org/applications/development/"
pkgdesc="Scripts and setting files useful during development of KDE software"
license="GPL-2.0-or-later AND GFDL-1.2-only"
makedepends="extra-cmake-modules kdoctools-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-doc"
options="!check" # No code to test
@@ -24,4 +24,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="3e041422830d1a6a9ed70e86875e9a1b10fbdff3a2189d0a8554899a007e9700e1791f88e0701426f7a8d49da89341283db7f72686acced5fc5b26e7301d191d kde-dev-scripts-19.08.3.tar.xz"
+sha512sums="f5c0d6d9a5fe6f3e09b9273ab6b8e1d42784c1af86088284a438e06035d8cbad08be9b0f31b97190aa754cb27019b2cdfe75e42fb3702bdcf5f0bad4d6fc64ec kde-dev-scripts-19.12.0.tar.xz"
diff --git a/testing/kde-dev-utils/APKBUILD b/testing/kde-dev-utils/APKBUILD
index 670e88f964..4a8f80fc5a 100644
--- a/testing/kde-dev-utils/APKBUILD
+++ b/testing/kde-dev-utils/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kde-dev-utils
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://kde.org/applications/development/"
pkgdesc="Small utilities for developers using KDE/Qt libs/frameworks"
license="(LGPL-2.0-only OR LGPL-3.0-only) AND GPL-2.0-or-later"
makedepends="extra-cmake-modules qt5-qttools-dev qt5-qttools-static ki18n-dev kcoreaddons-dev kparts-dev kwidgetsaddons-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/kde-dev-utils-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/kde-dev-utils-$pkgver.tar.xz"
subpackages="$pkgname-lang"
options="!check" # No tests
@@ -28,4 +28,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="272baa3f325cae611dda982174edba025ade4cccde6737b5bbccf426142a3bf4c79b4006bcca0aa57a28947947b9d9d5eb5d565385050e5f2e468bec4094f1aa kde-dev-utils-19.08.3.tar.xz"
+sha512sums="dc5878b89d91ecbcc465facf3a1de44bea207887ec5b4ca36f6865a5e10da392c199d7c60e20b3d02877b5615d15e742096947cc7ad5ed189c8fd69dae7fc7f0 kde-dev-utils-19.12.0.tar.xz"
diff --git a/testing/kdebugsettings/APKBUILD b/testing/kdebugsettings/APKBUILD
index fed5fe004b..5314d6053c 100644
--- a/testing/kdebugsettings/APKBUILD
+++ b/testing/kdebugsettings/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kdebugsettings
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://kde.org/applications/utilities/"
@@ -9,7 +9,7 @@ pkgdesc="An application to enable/disable qCDebug"
license="GPL-2.0-or-later"
makedepends="extra-cmake-modules qt5-qtbase-dev kcoreaddons-dev kconfig-dev kdbusaddons-dev ki18n-dev kwidgetsaddons-dev kitemviews-dev kcompletion-dev"
checkdepends="xvfb-run"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-lang"
build() {
@@ -28,4 +28,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="08201452ebfe8889eced3f2182092a21a839cf717ee8c52b1e26499eaf9541009456397511ec0698968f9767725bff1e4682a603a03654233381509c66aaf514 kdebugsettings-19.08.3.tar.xz"
+sha512sums="0570bcbf0e66ef74d22ac3016fa6d77a7d42f72ad25b47008a146cd3753e3ee9d4474e9c8981440097b5757c5997b60aae523939f9b49df85b1edd85922bdfd2 kdebugsettings-19.12.0.tar.xz"
diff --git a/testing/kdenetwork-filesharing/APKBUILD b/testing/kdenetwork-filesharing/APKBUILD
index c859da9964..748ca9ba52 100644
--- a/testing/kdenetwork-filesharing/APKBUILD
+++ b/testing/kdenetwork-filesharing/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kdenetwork-filesharing
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://www.kde.org/applications/internet/"
@@ -9,7 +9,7 @@ pkgdesc="Properties dialog plugin to share a directory with the local network"
license="GPL-2.0-only OR GPL-3.0-only"
depends="samba"
makedepends="extra-cmake-modules qt5-qtbase-dev kcompletion-dev kcoreaddons-dev ki18n-dev kio-dev kwidgetsaddons-dev kdoctools-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-lang"
options="!check" # No tests
@@ -30,4 +30,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="d75d3579c9c0d83e79bb7731273af01c3644ed632aae7141952586a67d88618e08a92ecf4fe6089ceefc8d5a0c7c5f57afff367bc2162e4a127d4d6958717c8d kdenetwork-filesharing-19.08.3.tar.xz"
+sha512sums="790d017d37b5b1ae8d8e9529d703f490cbfb8b37c81d5ff6648e87e286dda17e67d2a1afc1e7df7fe5d5e1f707154505953a45197468e21eeb332004718ba58c kdenetwork-filesharing-19.12.0.tar.xz"
diff --git a/testing/kdenlive/APKBUILD b/testing/kdenlive/APKBUILD
index 126434df7a..a2b1667c02 100644
--- a/testing/kdenlive/APKBUILD
+++ b/testing/kdenlive/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kdenlive
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://kdenlive.org"
@@ -10,7 +10,7 @@ license="GPL-2.0-or-later"
depends="frei0r-plugins mlt"
makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtsvg-dev qt5-qtmultimedia-dev mlt-dev kxmlgui-dev kfilemetadata-dev purpose-dev kdoctools-dev knotifyconfig-dev knewstuff-dev kdeclarative-dev rttr-dev"
checkdepends="xvfb-run"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
options="!check" # Broken
@@ -30,4 +30,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="187651de7542b86f9332c3eb79e2a27b664f0b4ead19fbb6035963b7be41a2a53b65de37e8c18c50aa794145cfaa2ebaf1b9f721d379c014da9c5f9475048738 kdenlive-19.08.3.tar.xz"
+sha512sums="dc692db5dc4e0c7c8daa51fb8722d5d60efc22bb10b61c1048a67a50c15e9bac44bd009f6379153f1e1c21c12cb4b88f56ebe2db21a095c00bd068d0c1bbcb61 kdenlive-19.12.0.tar.xz"
diff --git a/testing/kdepim-addons/APKBUILD b/testing/kdepim-addons/APKBUILD
index 0ca0bbe31a..7eb1756103 100644
--- a/testing/kdepim-addons/APKBUILD
+++ b/testing/kdepim-addons/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kdepim-addons
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all !ppc64le !s390x" # Limited by kdepim-addons -> kmailtransport -> libkgapi -> qt5-qtwebengine
url="https://kontact.kde.org/"
@@ -9,7 +9,7 @@ pkgdesc="Addons for KDE PIM applications"
license="GPL-2.0-or-later AND LGPL-2.0-or-later"
makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtwebengine-dev ki18n-dev kconfig-dev kdbusaddons-dev akonadi-notes-dev kxmlgui-dev kdeclarative-dev syntax-highlighting-dev kio-dev kiconthemes-dev kparts-dev prison-dev kholidays-dev kcalendarcore-dev kcalutils-dev mailcommon-dev grantlee-dev messagelib-dev libkleo-dev grantleetheme-dev pimcommon-dev libkdepim-dev incidenceeditor-dev akonadi-dev akonadi-calendar-dev libgravatar-dev kpimtextedit-dev kidentitymanagement-dev kimap-dev libksieve-dev ktnef-dev kmailtransport-dev kcontacts-dev akonadi-contacts-dev mailimporter-dev gpgme-dev discount-dev kpkpass-dev kitinerary-dev akonadi-import-wizard-dev kontactinterface-dev"
checkdepends="xvfb-runi drkonqi"
-source="https://download.kde.org/stable/applications/$pkgver/src/kdepim-addons-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/kdepim-addons-$pkgver.tar.xz"
subpackages="$pkgname-lang"
options="!check" # Require OpenGL and running dbus
@@ -39,4 +39,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="bc9d3cc80a50a758052d9f67fbdb26f9babc8f03e3d83928b63040dc5bc96bf38e76664ced3cc89025835850845d03386093705996dc757e6d46c02a7eda6425 kdepim-addons-19.08.3.tar.xz"
+sha512sums="b841cfc05d732979dc9cd58cad8ac2f62610915ba6542f0956491d292b18c28fd0695655e2fcccf7e4352a6b8e14f16153c2689c6d94a8d9e54ffa0e148ffa54 kdepim-addons-19.12.0.tar.xz"
diff --git a/testing/kdepim-apps-libs/APKBUILD b/testing/kdepim-apps-libs/APKBUILD
index 351d10290b..c63fe4a044 100644
--- a/testing/kdepim-apps-libs/APKBUILD
+++ b/testing/kdepim-apps-libs/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kdepim-apps-libs
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
pkgdesc="KDE PIM mail related libraries"
arch="all"
@@ -11,7 +11,7 @@ makedepends="extra-cmake-modules qt5-qtbase-dev kconfig-dev kconfigwidgets-dev
kcoreaddons-dev ki18n-dev kiconthemes-dev kio-dev kservice-dev
kwidgetsaddons-dev akonadi-dev akonadi-contacts-dev kcontacts-dev
grantleetheme-dev pimcommon-dev libkleo-dev gpgme-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-dev $pkgname-lang"
build() {
@@ -25,4 +25,4 @@ build() {
package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="9abdb259134ab357c11f95923afe44f5a7508f7f1da61f8fd5101a49935612f20fc26237791abfe90d337c7ca7dfaab1774d16c1e0848faa6ae9c9faf29c425f kdepim-apps-libs-19.08.3.tar.xz"
+sha512sums="d13ee041a319a5283b76e9d4323fffa7bb083e44a082e3d1d73b6fad4cb5a9988dad74fe8949f9d7b835497ef52ed28a64992f23ccaa4bf973347aea8fb3a82b kdepim-apps-libs-19.12.0.tar.xz"
diff --git a/testing/kdesdk-kioslaves/APKBUILD b/testing/kdesdk-kioslaves/APKBUILD
index 66a3479298..f47adcede5 100644
--- a/testing/kdesdk-kioslaves/APKBUILD
+++ b/testing/kdesdk-kioslaves/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kdesdk-kioslaves
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://kde.org/applications/development"
pkgdesc="KIO-Slaves"
license="GPL-2.0-or-later"
makedepends="extra-cmake-modules qt5-qtbase-dev ki18n-dev kio-dev perl-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-lang"
options="!check" # No tests
@@ -28,4 +28,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="f3824c6c9b72e7b3eeb1ad049d04c1e1b05b1ba08ea11744983f884a0dc71ebe6efd93fabdd7236f0bdf71fcb2c98008c3d5a0c784a480c9b909389cc6a78dab kdesdk-kioslaves-19.08.3.tar.xz"
+sha512sums="83662a57af4ba8f1c9f98f6fb511223bb97bd61e92952b1b938c8c15b8c91c6592118e8fee1756a6a73ede15ed1db186dc2e75f894d89a131b10d2a48c3e8b0c kdesdk-kioslaves-19.12.0.tar.xz"
diff --git a/testing/kdesdk-thumbnailers/APKBUILD b/testing/kdesdk-thumbnailers/APKBUILD
index d4cceb8e39..0b3505bd32 100644
--- a/testing/kdesdk-thumbnailers/APKBUILD
+++ b/testing/kdesdk-thumbnailers/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kdesdk-thumbnailers
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://www.kde.org/applications/development/"
pkgdesc="Plugins for the thumbnailing system"
license="GPL-2.0-only OR GPL-3.0-only"
makedepends="extra-cmake-modules qt5-qtbase-dev kconfig-dev ki18n-dev kio-dev gettext-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-lang"
options="!check" # No tests
@@ -28,4 +28,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="ab0e4ad63783365b846e39dd0b0329bc6bd367e879c4847291b096d6f989d1b4fc43f7838d2357a33fd79284c44d76f4faefa0c7890a26317ad6420fafd16bd5 kdesdk-thumbnailers-19.08.3.tar.xz"
+sha512sums="b77c520838746838d5e90991520c53f50b47068d65a8ff1a95d53575f56d35ac6adf815993125291b0c734b334af60aa44fa1fc35f7f5d8eb9bc278d69ac5783 kdesdk-thumbnailers-19.12.0.tar.xz"
diff --git a/testing/kdf/APKBUILD b/testing/kdf/APKBUILD
index 19e8cadeeb..93a7faa26a 100644
--- a/testing/kdf/APKBUILD
+++ b/testing/kdf/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kdf
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://kde.org/applications/system/org.kde.kdf"
pkgdesc="View disk usage"
license="GPL-2.0-or-later"
makedepends="extra-cmake-modules qt5-qtbase-dev kconfigwidgets-dev kcoreaddons-dev kdoctools-dev ki18n-dev kiconthemes-dev kio-dev kcmutils-dev knotifications-dev kwidgetsaddons-dev kxmlgui-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
build() {
@@ -27,4 +27,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="038db4143b5f657f5cc988bee40bfc6f66809abd535d944427b4fa042ade539125249c914ab08ed36569cbc72483dfcf95ff0949e385952af5ff58d5d3abd9ac kdf-19.08.3.tar.xz"
+sha512sums="5cf0049533c0e92179e6ff528f3a986dcf15242539b668d0f0dbb6893d456c3f1a2e882c08e23bcb58f44e7a3fdc3e28085320725dce61da98d91aea05d39607 kdf-19.12.0.tar.xz"
diff --git a/testing/kfloppy/APKBUILD b/testing/kfloppy/APKBUILD
index aa4db3889f..bf76c4a113 100644
--- a/testing/kfloppy/APKBUILD
+++ b/testing/kfloppy/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kfloppy
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://kde.org/applications/utilities/org.kde.kfloppy"
@@ -9,7 +9,7 @@ pkgdesc="A utility that provides a straightforward graphical means to format 3.5
license="GPL-2.0-or-later"
depends="dosfstools e2fsprogs coreutils"
makedepends="extra-cmake-modules qt5-qtbase-dev ki18n-dev kcoreaddons-dev kcompletion-dev kdoctools-dev kxmlgui-dev kcrash-dev kconfig-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
options="!check" # No tests
@@ -29,4 +29,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="533542c053b3128059188599cd024ed328a72286919efc7786d4c95fb08c602a966a7497788d046d4daa92473c06c001af6740fd1c00ed7aa10860ac1083c335 kfloppy-19.08.3.tar.xz"
+sha512sums="c252fdd33e58c621f2cf63c54b5f81451603c301841b1498aadba6fee205a164d4a647a73fd199a0877f6408a0a4445bf36e0b32a557d953ce06b206660c486c kfloppy-19.12.0.tar.xz"
diff --git a/testing/kgeography/APKBUILD b/testing/kgeography/APKBUILD
index e31a0e9622..02efada662 100644
--- a/testing/kgeography/APKBUILD
+++ b/testing/kgeography/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kgeography
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://edu.kde.org/kgeography"
pkgdesc="Geography Trainer"
license="GPL-2.0-or-later"
makedepends="extra-cmake-modules qt5-qtbase-dev kxmlgui-dev kwidgetsaddons-dev kcoreaddons-dev kconfigwidgets-dev ki18n-dev kitemviews-dev kiconthemes-dev kcrash-dev kdoctools-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/kgeography-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/kgeography-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
options="!check" # No tests
@@ -28,4 +28,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="d975bcce54dcae7a8d6ae28865b4a0a195163bfbef3741636e8cac547962013d7a9b58fa20ae3ec0b3b59d1c9370a350bf2f1d75733e53e18357b1e81f07c4cf kgeography-19.08.3.tar.xz"
+sha512sums="3cd4bfeba0ff82e14530848d3e48d89519efd72f8c332689bf5ccebde520048bee57df8f2f838eeeaa3d873e941850b7ca82a8d97aa4b77c8a747e5fee216261 kgeography-19.12.0.tar.xz"
diff --git a/testing/kget/APKBUILD b/testing/kget/APKBUILD
index 0de071ab77..a28a226871 100644
--- a/testing/kget/APKBUILD
+++ b/testing/kget/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kget
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all !ppc64le !s390x" # Limited by plasma-workspace -> libksysguard -> qt5-qtwebengine
url="https://kde.org/applications/internet/org.kde.kget"
pkgdesc="A versatile and user-friendly download manager"
license="GPL-2.0-or-later AND LGPL-2.0-only AND GFDL-2.1-only"
makedepends="extra-cmake-modules qt5-qtbase-dev kcompletion-dev kconfig-dev kconfigwidgets-dev kcoreaddons-dev kcrash-dev kdbusaddons-dev kdoctools-dev ki18n-dev kiconthemes-dev kitemviews-dev kcmutils-dev kio-dev knotifications-dev knotifyconfig-dev kparts-dev kservice-dev ktextwidgets-dev kwallet-dev kwidgetsaddons-dev kwindowsystem-dev kxmlgui-dev kitemmodels-dev kdelibs4support-dev plasma-workspace-dev sqlite-dev qca-dev gpgme-dev libktorrent-dev libmms-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
options="!check" # No tests
@@ -28,4 +28,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="436139a56f7c7eaaf3983693f455a172d558e7706e5212c9396fd0bde122f7fb3665689b6b81aa8098a20c228d7e9eea8a309c84ab70b325947b2cc11b4718a0 kget-19.08.3.tar.xz"
+sha512sums="5a512a53d0881dba4ad8c1a31e18cdb55ef9df14a1a6d747740351f92b495a8a446cb1b7faf452facaaa5fafea59d0e5d800a218a3420d8452578f1ecdd75cd9 kget-19.12.0.tar.xz"
diff --git a/testing/kgpg/APKBUILD b/testing/kgpg/APKBUILD
index e95c2921f8..ce0f6ec2f2 100644
--- a/testing/kgpg/APKBUILD
+++ b/testing/kgpg/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kgpg
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://kde.org/applications/utilities/org.kde.kgpg"
pkgdesc="A simple interface for GnuPG, a powerful encryption utility"
license="GPL-2.0-or-later"
makedepends="extra-cmake-modules qt5-qtbase-dev karchive-dev kdoctools-dev kcodecs-dev kcoreaddons-dev kcrash-dev kdbusaddons-dev ki18n-dev kiconthemes-dev kjobwidgets-dev kio-dev knotifications-dev kservice-dev ktextwidgets-dev kxmlgui-dev kwidgetsaddons-dev kwindowsystem-dev akonadi-contacts-dev kcontacts-dev gpgme-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
build() {
@@ -27,4 +27,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="fc4aa8bd94ed1e11790828a0a38f03bb36b3b866d7702a92dbf6a02fab87beb48997eac1e077d462456aae23182cc792a383b37695b3e6cec16760db494352db kgpg-19.08.3.tar.xz"
+sha512sums="0cf6fc8516ddbf92a1ab1967940a0a26cb9661986cdd96a878450a64e1ee47745cede5f3b4963bd896ca697d5ebcc52c1ff8105e5ea1057f3eee9fcf3c4195d0 kgpg-19.12.0.tar.xz"
diff --git a/testing/khangman/APKBUILD b/testing/khangman/APKBUILD
index e9a0fea7e9..bcc5e4824f 100644
--- a/testing/khangman/APKBUILD
+++ b/testing/khangman/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=khangman
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="http://edu.kde.org/khangman"
pkgdesc="Hangman game"
license="GPL-2.0-or-later"
makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtdeclarative-dev qt5-qtsvg-dev ki18n-dev kcrash-dev kcompletion-dev kconfig-dev kcoreaddons-dev kconfigwidgets-dev kdeclarative-dev kdoctools-dev knewstuff-dev knotifications-dev kxmlgui-dev kio-dev libkeduvocdocument-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/khangman-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/khangman-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
options="!check" # No tests
@@ -28,4 +28,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="c2b389caf6858205de6a30f77c7423e9cc7da59bac20ae0dbc8efe267363ba9e522ed3f985ac78e818d68e18f19a9920419bfdb059acc77de93fa7139777ec1e khangman-19.08.3.tar.xz"
+sha512sums="888a0bab58ce28c1a1542b30c48a6767f0f92dba61b30682bdb6b3918c78af0dd528ffd836e818c49fb204608db6ebb750474b4d3edafbbef00b84068d9ad496 khangman-19.12.0.tar.xz"
diff --git a/testing/kidentitymanagement/APKBUILD b/testing/kidentitymanagement/APKBUILD
index bcf0d5c93d..22bf821198 100644
--- a/testing/kidentitymanagement/APKBUILD
+++ b/testing/kidentitymanagement/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kidentitymanagement
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
pkgdesc="KDE PIM libraries"
arch="all"
@@ -10,7 +10,7 @@ license="LGPL-2.0-or-later"
depends_dev="qt5-qtbase-dev kcoreaddons-dev kcompletion-dev ktextwidgets-dev kxmlgui-dev kio-dev kconfig-dev kcodecs-dev kiconthemes-dev kpimtextedit-dev"
makedepends="$depends_dev extra-cmake-modules"
checkdepends="xvfb-run"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-dev $pkgname-lang"
build() {
@@ -28,4 +28,4 @@ check() {
package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="495817643fc01081c81cacb18810ea04d7705d37693cd8e0f3904ef08bf4d71f51f924d1c8640746f9ee6b0c92854aeee8bbda18cdd1ab2d7844e7d2afdfb76d kidentitymanagement-19.08.3.tar.xz"
+sha512sums="84362a68b04d005952af1695c5c8177f6282d91d7343d0fcd31d72790568cf0b6d1c2882267862c09907f1f8694a07f09cbface274b7e83b39112615c402fda9 kidentitymanagement-19.12.0.tar.xz"
diff --git a/testing/kig/APKBUILD b/testing/kig/APKBUILD
index 5c033f4252..087d6c52b6 100644
--- a/testing/kig/APKBUILD
+++ b/testing/kig/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kig
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="http://edu.kde.org/kig"
pkgdesc="Interactive Geometry"
license="GPL-2.0-or-later AND GFDL-1.2-only"
makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtsvg-dev kparts-dev kdoctools-dev ki18n-dev ktexteditor-dev kiconthemes-dev kconfigwidgets-dev karchive-dev kxmlgui-dev kcrash-dev kcoreaddons-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/kig-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/kig-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
options="!check" # No tests
@@ -28,4 +28,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="7e5f315695e9678c3e95822da3e86328dd8d6521d83697c623ac0175ae96fe13490d39e8a338c2112939b6b808fe8a213fafdcad951731b45902d9a2a2807b03 kig-19.08.3.tar.xz"
+sha512sums="aa48dfce5b0888142f67090526e33e86ee80f146f5ec52b00ca0d4db476fb1898c8d14159e66801c346e50521209466192956f70fb42bc60075633d24437a2d0 kig-19.12.0.tar.xz"
diff --git a/testing/kimagemapeditor/APKBUILD b/testing/kimagemapeditor/APKBUILD
index 7862f55967..08cc1ceb66 100644
--- a/testing/kimagemapeditor/APKBUILD
+++ b/testing/kimagemapeditor/APKBUILD
@@ -1,19 +1,26 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kimagemapeditor
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://kde.org/applications/development/org.kde.kimagemapeditor"
pkgdesc="An editor of image maps embedded inside HTML files, based on the <map> tag"
license="GPL-2.0-or-later"
-makedepends="extra-cmake-modules qt5-qtbase-dev kconfig-dev kconfigwidgets-dev kcoreaddons-dev kcrash-dev kdbusaddons-dev kdoctools-dev kguiaddons-dev kiconthemes-dev khtml-dev kparts-dev ki18n-dev kwidgetsaddons-dev kxmlgui-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtwebengine-dev kconfig-dev kconfigwidgets-dev kcoreaddons-dev kcrash-dev kdbusaddons-dev kdoctools-dev kguiaddons-dev kiconthemes-dev khtml-dev kparts-dev ki18n-dev kwidgetsaddons-dev kxmlgui-dev"
+source="https://download.kde.org/stable/release-service/$pkgver/src/kimagemapeditor-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
options="!check" # No tests
+prepare() {
+ default_prepare
+
+ mkdir "$builddir"/build
+}
+
build() {
- cmake \
+ cd "$builddir"/build
+ cmake "$builddir" \
-DCMAKE_BUILD_TYPE=RelWithDebInfo \
-DCMAKE_INSTALL_PREFIX=/usr \
-DCMAKE_INSTALL_LIBDIR=lib
@@ -21,11 +28,13 @@ build() {
}
check() {
+ cd "$builddir"/build
CTEST_OUTPUT_ON_FAILURE=TRUE ctest
}
package() {
+ cd "$builddir"/build
DESTDIR="$pkgdir" make install
}
-sha512sums="8ff978bf252b230f213fee0bd4e29c4744e814dea54720c3d50b0faa88fe9bcce393c934d92e9aea4fa8af36bc174d4b4036d7a7a32230519b139af8764c3751 kimagemapeditor-19.08.3.tar.xz"
+sha512sums="0e2d3ce6104de869a2cf12a661034e02a035d6698e4f62943e80e3901d7b8a299bf4f6683f19b18c93cb700cc30515e20dd2486356e704fefde96a63118e81a6 kimagemapeditor-19.12.0.tar.xz"
diff --git a/testing/kimap/APKBUILD b/testing/kimap/APKBUILD
index d651933f9f..a63222c9ec 100644
--- a/testing/kimap/APKBUILD
+++ b/testing/kimap/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kimap
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
pkgdesc="Job-based API for interacting with IMAP servers"
arch="all"
@@ -9,7 +9,7 @@ url="https://community.kde.org/KDE_PIM"
license="LGPL-2.0-or-later"
depends_dev="qt5-qtbase-dev cyrus-sasl-dev kcoreaddons-dev ki18n-dev kio-dev kmime-dev"
makedepends="$depends_dev extra-cmake-modules"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-dev"
build() {
@@ -28,4 +28,4 @@ check() {
package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="6a3bea5e4f442783fc4ab7b1f8b4425d75638edcdbb3c6f1d8c86e050b4b80deedca987cb868dc1190b126f04c70c55d660d2822929639ed70c359608543ea91 kimap-19.08.3.tar.xz"
+sha512sums="1ca537b5b9fad58c16342ad138626f7052428587a5084e694c50bf5588f053400d8ea87d02166eb9bc9de07d427aac019fe35e4fc192bc73c2f07c7a3bc19b42 kimap-19.12.0.tar.xz"
diff --git a/testing/kirigami-gallery/APKBUILD b/testing/kirigami-gallery/APKBUILD
index c9e7214936..cfd61206e1 100644
--- a/testing/kirigami-gallery/APKBUILD
+++ b/testing/kirigami-gallery/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kirigami-gallery
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://kde.org/applications/development/org.kde.kirigami2.gallery"
@@ -9,7 +9,7 @@ pkgdesc="Gallery application built using Kirigami"
license="LGPL-2.0-or-later"
depends="kirigami2"
makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtquickcontrols2-dev qt5-qtsvg-dev qt5-qttools-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-lang"
prepare() {
@@ -37,4 +37,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="2c1d8441e0a8fe3c43e22852993315cc09f3076c15f22fe59f7986996e84eeaea418e53ef74cceed0702136b1204f27ddb7358d3c22b611a95b44ff411f22382 kirigami-gallery-19.08.3.tar.xz"
+sha512sums="e0cce04d098c05f3967d96cadf2ad23142ef927c8d0c04aead1bf9dc3f529f808cb3e82e8ad619c15254c4dcae63978135a8885b796b4d5d6f6d2d20b06183ad kirigami-gallery-19.12.0.tar.xz"
diff --git a/testing/kiten/APKBUILD b/testing/kiten/APKBUILD
index c80d6b1c13..db92eb0487 100644
--- a/testing/kiten/APKBUILD
+++ b/testing/kiten/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kiten
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://edu.kde.org/kiten/"
pkgdesc="Japanese Reference/Study Tool"
license="GPL-2.0-or-later AND GFDL-1.2-only"
makedepends="extra-cmake-modules qt5-qtbase-dev karchive-dev kcompletion-dev kconfig-dev kconfigwidgets-dev kcoreaddons-dev kcrash-dev kdoctools-dev ki18n-dev khtml-dev knotifications-dev kxmlgui-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/kiten-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/kiten-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang $pkgname-dev"
options="!check" # No tests
@@ -28,4 +28,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="330544abf9fbf6723588f4fc476275500da90a03f61f55569779cffbb31d6fd83fb752d3bfa6393a4298bac34ed43b52581c4df3555d9ccbd80be4b401147dfd kiten-19.08.3.tar.xz"
+sha512sums="7462c3ca2f12091a60d007dd6b46f286d5c133d7fa4244cafda08fb65b8006084e4fe048f732a6434c37a09fc6033f6fc951063780af116962a76009f7508c3b kiten-19.12.0.tar.xz"
diff --git a/testing/kitinerary/APKBUILD b/testing/kitinerary/APKBUILD
index e65c12df6d..93675affcb 100644
--- a/testing/kitinerary/APKBUILD
+++ b/testing/kitinerary/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kitinerary
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://kontact.kde.org/"
@@ -21,8 +21,9 @@ makedepends="
zxing-cpp
zlib-dev
libxml2-dev
+ shared-mime-info
"
-source="https://download.kde.org/stable/applications/$pkgver/src/kitinerary-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/kitinerary-$pkgver.tar.xz"
subpackages="$pkgname-dev $pkgname-lang"
prepare() {
@@ -54,4 +55,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="357c8e18353dea4fbf5c73d5948dc81c5ed620e3e43503b62efa6367c13d9807f9c3e6790918c02b968864eabaad12b4f1001f69d2f4cffd4845b40cbb7f2a4d kitinerary-19.08.3.tar.xz"
+sha512sums="1bf57a8ac88261fe4759af13013e404677f0ffdd14ce0263938b99b828eb63a12d544a28554885704c53d683f17e47950ce4e5ed0767c1308838524c88c38d83 kitinerary-19.12.0.tar.xz"
diff --git a/testing/kldap/APKBUILD b/testing/kldap/APKBUILD
index 65192f2ff9..6e8bec25fa 100644
--- a/testing/kldap/APKBUILD
+++ b/testing/kldap/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kldap
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
pkgdesc="LDAP access API for KDE"
arch="all"
@@ -9,7 +9,7 @@ url="https://github.com/kde/kldap"
license="LGPL-2.0-or-later"
depends_dev="kio-dev ki18n-dev kdoctools-dev kcompletion-dev kwidgetsaddons-dev openldap-dev"
makedepends="$depends_dev extra-cmake-modules cyrus-sasl-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-dev $pkgname-doc $pkgname-lang"
build() {
@@ -27,4 +27,4 @@ check() {
package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="c2e21c0b3755228aea5b2612cb495565aa2161e3502b1d72b5063eb2ee15b4ea1ee820b8183b2820607bc1b0e2eaf33a6983eaa025c2224e557f10dd17fc9d37 kldap-19.08.3.tar.xz"
+sha512sums="ae788a0cf42c26d5de832e50dc3083fee8f0a66a1e6a39f3713d26e037d379aab1accb351ea185bfaf3fc99b0fc366e6ae47fe8bd1534ca5bb118d6faea3c2f0 kldap-19.12.0.tar.xz"
diff --git a/testing/kleopatra/APKBUILD b/testing/kleopatra/APKBUILD
index e9c7364170..6cc134a2b2 100644
--- a/testing/kleopatra/APKBUILD
+++ b/testing/kleopatra/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kleopatra
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://www.kde.org/applications/utilities/kleopatra/"
@@ -10,7 +10,7 @@ license="GPL-2.0-or-later AND GFDL-1.2-only"
depends="gnupg pinentry-gtk" # Preferably pinentry-qt, but pinentry is in main and Qt5 is in community so it's disabled
makedepends="extra-cmake-modules qt5-qtbase-dev kcmutils-dev kwidgetsaddons-dev kconfigwidgets-dev kcoreaddons-dev kcodecs-dev kconfig-dev ki18n-dev kiconthemes-dev kitemmodels-dev kxmlgui-dev kwindowsystem-dev kdoctools-dev kcrash-dev kdoctools-dev kdbusaddons-dev gpgme-dev qgpgme libkleo-dev kmime-dev libassuan-dev boost-dev"
checkdepends="xvfb-run"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
build() {
@@ -30,4 +30,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="546f00e2e8d1bedc62bd5e809ef4b888e40b83b7af315f7d74b40e3579bb23f5b91e69f7d819333dbd3c261a7ea10498f29c06e9bd30b091a0b4f58906f6b63c kleopatra-19.08.3.tar.xz"
+sha512sums="4f5710a5fd15ec8205156f45efba824da3a8c4dfa075f55367eff42a8ccb1e07ed519bbc8af2cc1df1ea058b67318cc40171134cfa4db3dd338a067c33af6035 kleopatra-19.12.0.tar.xz"
diff --git a/testing/klettres/APKBUILD b/testing/klettres/APKBUILD
index 4f45761c81..f37adb8565 100644
--- a/testing/klettres/APKBUILD
+++ b/testing/klettres/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=klettres
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="http://edu.kde.org/klettres"
pkgdesc="Learn the Alphabet"
license="GPL-2.0-or-later AND GFDL-1.2-only"
makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtsvg-dev kcompletion-dev kcrash-dev kdoctools-dev ki18n-dev knewstuff-dev kwidgetsaddons-dev kconfigwidgets-dev kcoreaddons-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/klettres-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/klettres-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
options="!check" # No tests
@@ -28,4 +28,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="bb6bf0f2b6ccde4b4f2196e9f0154de059420017352152b1059ab799af4c7c796caeb3539394722e97ee79be8930696eab4a22dc5b98f85d40185e0780c88dfb klettres-19.08.3.tar.xz"
+sha512sums="dd881008e5daf8c40e74e427491bece0763671671a80c60a90e31d5eb0a808ca56e9d2c1ee14ffb60f9dc3721763162da977bc7cc4a1cb68b9df021b8783611c klettres-19.12.0.tar.xz"
diff --git a/testing/kmag/APKBUILD b/testing/kmag/APKBUILD
index 4f19d40b0d..775c9e71de 100644
--- a/testing/kmag/APKBUILD
+++ b/testing/kmag/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kmag
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://kde.org/applications/utilities/org.kde.kmag"
pkgdesc="A screen magnifier"
license="GPL-2.0-or-later AND GFDL-1.2-only"
makedepends="extra-cmake-modules qt5-qtbase-dev kdoctools-dev ki18n-dev kio-dev kxmlgui-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
build() {
@@ -27,4 +27,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="d9ee8e1a12d0b1eb9e20923301094eb65bfd680676e57b4e75fe07448d5490bb0836694eed807b6b555ae119576367d15ef8bd6b4b9db011268ce4f2d2a3771b kmag-19.08.3.tar.xz"
+sha512sums="991b376115abcb30c766d4821b83fdcac41087ce7b6c9cc27d864a3aa4690f39057654524ae33a1dbd1070054716e1429d65d2d21706ea81fa27a1633b30e411 kmag-19.12.0.tar.xz"
diff --git a/testing/kmail-account-wizard/APKBUILD b/testing/kmail-account-wizard/APKBUILD
index 03b49eb15a..ff2313bc0e 100644
--- a/testing/kmail-account-wizard/APKBUILD
+++ b/testing/kmail-account-wizard/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kmail-account-wizard
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all !ppc64le !s390x" # Limited by kmailtransport -> libkgapi -> qt5-qtwebengine
url="https://kontact.kde.org/"
pkgdesc="KMail account wizard"
license="GPL-2.0-or-later AND LGPL-2.0-or-later AND GFDL-1.2-only"
makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qttools-static kwallet-dev kcmutils-dev knotifyconfig-dev kconfig-dev kservice-dev kdbusaddons-dev kdoctools-dev ktexteditor-dev kcodecs-dev kcrash-dev knotifications-dev akonadi-dev kidentitymanagement-dev kldap-dev kmailtransport-dev pimcommon-dev libkdepim-dev libkleo-dev kimap-dev akonadi-mime-dev kross-dev knewstuff-dev gpgme-dev shared-mime-info"
-source="https://download.kde.org/stable/applications/$pkgver/src/kmail-account-wizard-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/kmail-account-wizard-$pkgver.tar.xz"
subpackages="$pkgname-lang"
build() {
@@ -27,4 +27,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="17478c5611bba481f184acd043c8e21f02c832b8da28941ac9f41e37f5b8133c96c6944abd2402e7b42875c058028aaafcc117d5df465214dbae3a93e7e2596a kmail-account-wizard-19.08.3.tar.xz"
+sha512sums="c4f3aadcaf1c60593a0e1c46c3a83aade0a1e5b5dba1b19d3dac22131eda913ce646d091d572c9d13e085ba26791bd42012b6693542af1fffa7dff3433bb9919 kmail-account-wizard-19.12.0.tar.xz"
diff --git a/testing/kmail/APKBUILD b/testing/kmail/APKBUILD
index 59ddfded12..3b6d7f18eb 100644
--- a/testing/kmail/APKBUILD
+++ b/testing/kmail/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kmail
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all !ppc64le !s390x" # Limited by qt5-qtwebengine
url="https://kontact.kde.org/components/kmail.html"
@@ -9,7 +9,7 @@ pkgdesc="Email client, supporting POP3 and IMAP mailboxes"
license="GPL-2.0-or-later"
makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtwebengine-dev akonadi-search-dev gpgme-dev kbookmarks-dev kcodecs-dev kconfig-dev kconfigwidgets-dev kcrash-dev kdbusaddons-dev kdoctools-dev kguiaddons-dev ki18n-dev kitemviews-dev kjobwidgets-dev kio-dev kcmutils-dev knotifications-dev knotifyconfig-dev kparts-dev kservice-dev sonnet-dev ktextwidgets-dev kwidgetsaddons-dev kwindowsystem-dev kxmlgui-dev kiconthemes-dev akonadi-dev akonadi-contacts-dev akonadi-mime-dev kcontacts-dev kcalendarcore-dev kcalutils-dev kidentitymanagement-dev kldap-dev kmailtransport kpimtextedit-dev kontactinterface-dev kmime-dev libgravatar-dev kdepim-apps-libs-dev libkdepim-dev libkleo-dev libksieve-dev mailcommon-dev messagelib-dev pimcommon-dev kdepim-apps-libs-dev ktnef-dev"
checkdepends="xvfb-run"
-source="https://download.kde.org/stable/applications/$pkgver/src/kmail-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/kmail-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
prepare() {
@@ -51,4 +51,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="ba8804a47144b62d35a5fa777616426465d5da5d98aaf34d30c7863c12198139e34249315533752a897d48619eb5546810363d5f2bd50622f513e78eb6367001 kmail-19.08.3.tar.xz"
+sha512sums="48cec2af9d716da9755699f78039f67f9b6630fe97531ec28f57dc22dd93c44cfaaa56bacbcccddbf135e3b195191acd0b694ac95d298eb8a236606238778949 kmail-19.12.0.tar.xz"
diff --git a/testing/kmailtransport/APKBUILD b/testing/kmailtransport/APKBUILD
index 8d0cdd4077..f28c241991 100644
--- a/testing/kmailtransport/APKBUILD
+++ b/testing/kmailtransport/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kmailtransport
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
pkgdesc="Manage mail transport"
arch="all !ppc64le !s390x" # Limited by libkgapi -> qt5-qtwebengine
@@ -10,7 +10,7 @@ license="LGPL-2.0-or-later"
depends_dev="kcmutils-dev kconfigwidgets-dev kwallet-dev ki18n-dev kio-dev kmime-dev akonadi-dev akonadi-mime-dev ksmtp-dev libkgapi-dev"
makedepends="$depends_dev extra-cmake-modules"
checkdepends="xvfb-run"
-source="https://download.kde.org/stable/applications/$pkgver/src/kmailtransport-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/kmailtransport-$pkgver.tar.xz"
subpackages="$pkgname-dev $pkgname-lang"
options="!check" # Requires OpenGL and running dbus
@@ -29,4 +29,4 @@ check() {
package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="9bc81f8f3ca281ea40661505a5bc192b5bc7cdc80c5556ce617b978c5803f42e8e718dda8530a62a944e156058c290f6b9739f1d6f65e03dd445792a6a1de3dd kmailtransport-19.08.3.tar.xz"
+sha512sums="b3970b54830f8e8c4dc57d42f9b454b5b59ec6b672a1033a1efb9dfe1d9af8f9243ddd979e8ef233790ba3b692b4bcd6a09739d581d6e74f700f14620ae651b2 kmailtransport-19.12.0.tar.xz"
diff --git a/testing/kmbox/APKBUILD b/testing/kmbox/APKBUILD
index d104aa9b9b..02f890944b 100644
--- a/testing/kmbox/APKBUILD
+++ b/testing/kmbox/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kmbox
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
pkgdesc="Library for accessing mail storages in MBox format"
arch="all"
@@ -9,7 +9,7 @@ url="https://kontact.kde.org/"
license="LGPL-2.0-or-later"
depends_dev="kmime-dev"
makedepends="$depends_dev extra-cmake-modules"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-dev"
build() {
@@ -27,4 +27,4 @@ check() {
package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="90b0b171df44badfd4a584fe9b6b7d9a874f956eacf5af727cb1d6b019c24e965b7f0830177075ca20ccf7ff3721ed1fa493f34739852555b48a8ac08fc554e2 kmbox-19.08.3.tar.xz"
+sha512sums="ed492de6ec1570ff707ff2ab2b25f021636b19276c974555889e5e4ccbbe981580bec156c22a35e2f797a152018785b84fae92599c24cc6eb626fa69a43ec03f kmbox-19.12.0.tar.xz"
diff --git a/testing/kmime/APKBUILD b/testing/kmime/APKBUILD
index c4ad29700a..6d325ef3f1 100644
--- a/testing/kmime/APKBUILD
+++ b/testing/kmime/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kmime
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
pkgdesc="Library for handling mail messages and newsgroup articles"
arch="all"
@@ -9,7 +9,7 @@ url="https://community.kde.org/KDE_PIM"
license="LGPL-2.0-or-later"
depends_dev="qt5-qtbase-dev ki18n-dev kcodecs-dev"
makedepends="$depends_dev extra-cmake-modules"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-dev $pkgname-lang"
build() {
@@ -28,4 +28,4 @@ check() {
package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="c8c03bfa7e716190e08ae05261226e38aafb4a4c86b3ce35ce9d7ed98c3a8a5a676d14894d4a206193e1ffbcfdd95577210d954661805d3ba901494f0cc70ee2 kmime-19.08.3.tar.xz"
+sha512sums="a6f7b6ccb0171068c2c74532423f4ca0d98f60fa33014fbb39c54ea8b595a383e02bcb707f0049a6817676be87f902e237de148ff125f87bf010b78305b30f87 kmime-19.12.0.tar.xz"
diff --git a/testing/kmix/APKBUILD b/testing/kmix/APKBUILD
index 6a676b81a8..3bc077e320 100644
--- a/testing/kmix/APKBUILD
+++ b/testing/kmix/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kmix
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://kde.org/applications/multimedia/org.kde.kmix"
pkgdesc="A sound channel mixer and volume control"
license="GPL-2.0-or-later AND LGPL-2.0-or-later AND GFDL-1.2-only"
makedepends="extra-cmake-modules qt5-qtbase-dev kcompletion-dev kconfig-dev kconfigwidgets-dev kcrash-dev kdbusaddons-dev kdoctools-dev kglobalaccel-dev ki18n-dev kiconthemes-dev knotifications-dev plasma-framework-dev solid-dev kwidgetsaddons-dev kwindowsystem-dev kxmlgui-dev alsa-lib-dev pulseaudio-dev libcanberra-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
options="!check" # No tests
@@ -28,4 +28,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="d2fb9e02c9981974c3df5438fb3e7544d64a51c7fff6ca5565dbb7bd06beda6bef2268fc5f343cf7acdfc8eb7d0f21d10f85feb7222adaaef1305d587e31cad0 kmix-19.08.3.tar.xz"
+sha512sums="67f62094618491b634f1bc032bba367f8736b80fa46c0bd5a0c2690e8e8206ffa376e9f6b5110d02c734b70e00ef1e5fda5f1c3d1ca74c1cf51fbee1e15cda12 kmix-19.12.0.tar.xz"
diff --git a/testing/kmousetool/APKBUILD b/testing/kmousetool/APKBUILD
index bbfbec2aac..166442f684 100644
--- a/testing/kmousetool/APKBUILD
+++ b/testing/kmousetool/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kmousetool
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://kde.org/applications/utilities/org.kde.kmousetool"
pkgdesc="A program that clicks the mouse for you"
license="GPL-2.0-or-later AND GFDL-1.2-only"
makedepends="extra-cmake-modules qt5-qtbase-dev kdbusaddons-dev kdoctools-dev ki18n-dev kiconthemes-dev knotifications-dev kxmlgui-dev phonon-dev libxt-dev libxtst-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
build() {
@@ -27,4 +27,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="00d3afb4282a379d9771758af86a99ca65fdfce53482873bc32b8f9818ff56ce01350033a9dececbd89a4e06b15fcd21041a708eafdb74d516eed8bfe7ce69da kmousetool-19.08.3.tar.xz"
+sha512sums="40b93453104394764ad6ed86a0db6e3fee627c4d5d398ee34ee79a94b51c576dfa69a46fcdbf572da7715e4f5210c77c63a57491ad5dfd2a7052f8c5fdbe1c7f kmousetool-19.12.0.tar.xz"
diff --git a/testing/kmouth/APKBUILD b/testing/kmouth/APKBUILD
index c1382588d3..e1de54c05d 100644
--- a/testing/kmouth/APKBUILD
+++ b/testing/kmouth/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kmouth
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://kde.org/applications/utilities/org.kde.kmouth"
pkgdesc="Speech Synthesizer Frontend"
license="GPL-2.0-or-later"
makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtspeech-dev kcrash-dev kcompletion-dev kconfig-dev kconfigwidgets-dev kcoreaddons-dev kdoctools-dev ki18n-dev kio-dev kwidgetsaddons-dev kxmlgui-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
build() {
@@ -27,4 +27,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="72643b0185a42614b41b6d575200037eee12492c77e5127624f014a5f7d56e885709b8e12731f434cbe28112fb90faa567c105dca83e6afbb4e75c74d843e76a kmouth-19.08.3.tar.xz"
+sha512sums="786a302edf647eb3be53e3173d2eb52bb29bd5c7af541503b15cd03fa546a2129c883fcc7d5e61a0bc837f8d0c97ba411e4677a782a6e5ed8d0be9c5fc08846d kmouth-19.12.0.tar.xz"
diff --git a/testing/kmplot/APKBUILD b/testing/kmplot/APKBUILD
index 99a30e4982..e2175ab38e 100644
--- a/testing/kmplot/APKBUILD
+++ b/testing/kmplot/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kmplot
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="http://edu.kde.org/kmplot"
pkgdesc="Mathematical Function Plotter"
license="GPL-2.0-or-later AND GFDL-1.2-only"
makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtsvg-dev kcrash-dev kguiaddons-dev ki18n-dev kparts-dev kwidgetsaddons-dev kdoctools-dev kdbusaddons-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/kmplot-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/kmplot-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
options="!check" # No tests
@@ -28,4 +28,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="2a2925658ecae3d976a81a3830f8aff71df5ab314f0326378fb2fa95b9aacb364ab5b5603a7bfbc36aa6f3ec88ee6ccdeda4283ac3a0d9c4bb12ba4bb1681979 kmplot-19.08.3.tar.xz"
+sha512sums="7c6f2d671c7e082d4763f6da66bbae9c2d2e922b3d51518951f4040ab5a6af692488565881f7168ec7edf4277bf0f351685b8395914c58173dddcd9dbd0e3b9d kmplot-19.12.0.tar.xz"
diff --git a/testing/knotes/APKBUILD b/testing/knotes/APKBUILD
index ae17b5b8f0..ea7d758bbb 100644
--- a/testing/knotes/APKBUILD
+++ b/testing/knotes/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=knotes
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://kontact.kde.org/"
@@ -9,7 +9,7 @@ pkgdesc="Popup notes"
license="GPL-2.0-or-later AND LGPL-2.0-or-later AND GFDL-1.2-only"
makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtx11extras-dev grantlee-dev kcompletion-dev kconfig-dev kconfigwidgets-dev kcoreaddons-dev kcrash-dev kdbusaddons-dev kdnssd-dev kdoctools-dev kglobalaccel-dev kiconthemes-dev kitemmodels-dev kitemviews-dev kcmutils-dev knewstuff-dev knotifications-dev knotifyconfig-dev kparts-dev ktextwidgets-dev kwidgetsaddons-dev kwindowsystem-dev kxmlgui-dev knotifications-dev akonadi-dev akonadi-notes-dev kcalutils-dev kontactinterface-dev libkdepim-dev kmime-dev pimcommon-dev kpimtextedit-dev grantleetheme-dev akonadi-search-dev libxslt-dev"
checkdepends="xvfb-run"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
build() {
@@ -28,4 +28,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="abe5fc4306dce76a4880a1abc31a80875004ae6ab8709af4fb373c16d9be53cd7fd54b7e36d0dc405f3a2071258abaffa2804b8a42532a57adec7c90c3b497c7 knotes-19.08.3.tar.xz"
+sha512sums="08b0cb18ab904093493d3de64997b0a0bcc92296233ad4f25101b78858ebf1ef0921c68ff5264cf8698dba4ea7a65107755d24f54c9fff7e3d80f85cd1c2a5de knotes-19.12.0.tar.xz"
diff --git a/testing/kompare/APKBUILD b/testing/kompare/APKBUILD
index 45531aeedf..06b7597083 100644
--- a/testing/kompare/APKBUILD
+++ b/testing/kompare/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kompare
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://kde.org/applications/development/org.kde.kompare"
pkgdesc="Graphical File Differences Tool"
license="GPL-2.0-or-later AND GFDL-1.2-only"
makedepends="extra-cmake-modules qt5-qtbase-dev kcoreaddons-dev kcodecs-dev kdoctools-dev kiconthemes-dev kjobwidgets-dev kconfig-dev kparts-dev ktexteditor-dev kwidgetsaddons-dev libkomparediff2-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
options="!check" # No tests
@@ -28,4 +28,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="9a4f78792f300bd20207c1743c07e4a4fa62d05549caf34388b02232395bfbb98eaf31099bdc9326a527d926550ef973426934aba1e1816b3ba78ce1ebb11f25 kompare-19.08.3.tar.xz"
+sha512sums="7416434746f422730e0790441e596adc04b64dc7a1938222cd503c320cce87eba1a9f3576c27058dd88c0cbbf71341c278aa46953377b070c01c7faf3aaf629c kompare-19.12.0.tar.xz"
diff --git a/testing/kontact/APKBUILD b/testing/kontact/APKBUILD
index fd3b7dcbd2..9b91ca74b2 100644
--- a/testing/kontact/APKBUILD
+++ b/testing/kontact/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kontact
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all !ppc64le !s390x" # Limited by qt5-qtwebengine
url="https://kontact.kde.org/"
@@ -11,7 +11,7 @@ makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtwebengine-dev kdbusaddons-
kdoctools-dev kcmutils-dev kcrash-dev kwindowsystem-dev kiconthemes-dev
kpimtextedit-dev akonadi-dev libkdepim-dev grantleetheme-dev kontactinterface-dev
kdepim-apps-libs-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
build() {
@@ -30,4 +30,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="1ff2e0abc2190b43dff223aa870901230cebb1e6badb7d50a501448e1c7def24b28149712c2856fbf312ca2005160d263f2b2920111c022f59c39e7edb441f74 kontact-19.08.3.tar.xz"
+sha512sums="7cfec4b821b194746e203fd5e273c9d9643413e5441f357a58a2e9a29971a717271ed9803b91f0e71d01a4b6f3b92caec5c559f23ad433f1f503a06153b6a523 kontact-19.12.0.tar.xz"
diff --git a/testing/kontactinterface/APKBUILD b/testing/kontactinterface/APKBUILD
index 5d07b76ab3..737e5d0b87 100644
--- a/testing/kontactinterface/APKBUILD
+++ b/testing/kontactinterface/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kontactinterface
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://kontact.kde.org/"
@@ -9,7 +9,7 @@ pkgdesc="Kontact Plugin Interface Library"
license="LGPL-2.0-only OR LGPL-3.0-only"
depends_dev="kcoreaddons-dev kparts-dev kwindowsystem-dev ki18n-dev kxmlgui-dev kiconthemes-dev"
makedepends="$depends_dev extra-cmake-modules"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-dev $pkgname-lang"
build() {
@@ -28,4 +28,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="b043fec0f67110f83830c674fdebd18413637542e975989a29e6ce1e1299637c5544b2374e07164af5cb3f19f525003e00eb318eec1c728cc508261b7b733ab9 kontactinterface-19.08.3.tar.xz"
+sha512sums="933cc3bc2904b343bd65253a89fcb81ab56a529e502cb639d3ea662ee83f339d406891c34b3f3b799fb458ebb67551604fc0b0a89c40d0d51896f385498d0c95 kontactinterface-19.12.0.tar.xz"
diff --git a/testing/kopete/APKBUILD b/testing/kopete/APKBUILD
index f5271e84f4..1fb2523ce5 100644
--- a/testing/kopete/APKBUILD
+++ b/testing/kopete/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kopete
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://userbase.kde.org/Kopete"
@@ -9,7 +9,7 @@ pkgdesc="An instant messenger supporting AIM, ICQ, Jabber, Gadu-Gadu, Novell Gro
license="GPL-2.0-or-later AND LGPL-2.0-or-later AND GFDL-1.2-only"
makedepends="extra-cmake-modules qt5-qtbase-dev kconfig-dev kcoreaddons-dev kcrash-dev kdbusaddons-dev kdoctools-dev kemoticons-dev ki18n-dev kcmutils-dev khtml-dev knotifyconfig-dev kparts-dev ktexteditor-dev kwallet-dev kdelibs4support-dev kcontacts-dev kidentitymanagement-dev kitemmodels-dev libkleo-dev gpgme-dev kdnssd-dev"
checkdepends="xvfb-run"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
build() {
@@ -28,4 +28,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="41bc20909ec15d6b3cd7c975363dae7a4822a6c563cc721dc2c7afc3ec6c71bc2b7fa90d08d36dedff63e0c68443c55a794743ef0d65b85306a472babe0f2c12 kopete-19.08.3.tar.xz"
+sha512sums="fab1e74fbee8606f5deb3bd75f69ca78c448ed926309d3efff9ed83eae2334aef84dd21d73d0434f0248103ad2ab21274259aaad8b977be361107b6eb38d8c8d kopete-19.12.0.tar.xz"
diff --git a/testing/korganizer/APKBUILD b/testing/korganizer/APKBUILD
index dbb660ff81..0911e83591 100644
--- a/testing/korganizer/APKBUILD
+++ b/testing/korganizer/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=korganizer
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all !ppc64le !s390x" # Limited by kmailtransport -> libkgapi -> qt5-qtwebengine
url="https://kontact.kde.org/components/korganizer.html"
@@ -17,7 +17,7 @@ makedepends="extra-cmake-modules qt5-qtbase-dev akonadi-search-dev kcodecs-dev
phonon-dev kontactinterface-dev kmime-dev akonadi-notes-dev kdepim-apps-libs
pimcommon-dev libkdepim-dev incidenceeditor-dev calendarsupport-dev eventviews-dev"
checkdepends="xvfb-run"
-source="https://download.kde.org/stable/applications/$pkgver/src/korganizer-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/korganizer-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
prepare() {
@@ -47,4 +47,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="f51b2c569d68a1450cf1f57ec168e33015ebb45d4ff8f5e936523e154c72ad349af2d9d6e7e6269486557d6fe27ca7e24da0591c603fed13eb93e6443bdf4f62 korganizer-19.08.3.tar.xz"
+sha512sums="517d6e3f8665344e865d8f62743e694546881c8fc4a5c916f0172bff2397b96bd84e2fcace7c5649fd03ff8cf36cebde146106ec4348fe78e9591033ecaf0d95 korganizer-19.12.0.tar.xz"
diff --git a/testing/kpimtextedit/APKBUILD b/testing/kpimtextedit/APKBUILD
index 695e37760b..d2fdd728ed 100644
--- a/testing/kpimtextedit/APKBUILD
+++ b/testing/kpimtextedit/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kpimtextedit
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
pkgdesc="Advanced text editor which provide advanced html feature"
arch="all"
@@ -10,7 +10,7 @@ license="LGPL-2.0-or-later AND GPL-2.0-or-later"
depends_dev="qt5-qtbase-dev qt5-qtspeech-dev grantlee-dev kcodecs-dev kconfig-dev kconfigwidgets-dev kcoreaddons-dev kemoticons-dev ki18n-dev kiconthemes-dev kio-dev sonnet-dev syntax-highlighting-dev kwidgetsaddons-dev kxmlgui-dev"
makedepends="$depends_dev extra-cmake-modules qt5-qttools-dev"
checkdepends="xvfb-run"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-dev $pkgname-lang"
build() {
@@ -34,4 +34,4 @@ check() {
package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="a85894133f454e540b3199fefea5db310bc5f4e607979a573c26c9f6e24accbf293fad28b0446f5103c779a37fd2e56578b457f25fcc34790f0ad43ac85ed57c kpimtextedit-19.08.3.tar.xz"
+sha512sums="ddb7ef413ddb17b14b4c44f67304689dca9afbf2aa2002e2267930c5fe7d5eab2b0bef99ca2fea26f6d8c638bbae7b21bc7399dace318a1adba202501470cafd kpimtextedit-19.12.0.tar.xz"
diff --git a/testing/kpkpass/APKBUILD b/testing/kpkpass/APKBUILD
index d4e7bdbe18..a7ee070214 100644
--- a/testing/kpkpass/APKBUILD
+++ b/testing/kpkpass/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kpkpass
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://kontact.kde.org/"
@@ -9,7 +9,7 @@ pkgdesc="Apple Wallet Pass reader"
license="GPL-2.0-or-later"
depends_dev="qt5-qtbase-dev karchive-dev"
makedepends="$depends_dev extra-cmake-modules shared-mime-info"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-dev"
build() {
@@ -28,4 +28,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="edb3bb7811eaada34e7b9dc6a30099588d0bc43c8a0634f17bf8bc766050098c49e709477dde6a92e860775d0825786c2a2788367dddb0617bda868bdbe54076 kpkpass-19.08.3.tar.xz"
+sha512sums="726822f55ef4905caa0bde9164483da8599a55189040894a0e5fbd690778ec93cd8a10e09a3b68835a784ed2fc44142876b34a4534fa4b1cfbdebbc4e6a22fe3 kpkpass-19.12.0.tar.xz"
diff --git a/testing/krdc/APKBUILD b/testing/krdc/APKBUILD
index bc21f77cd9..4c107055bb 100644
--- a/testing/krdc/APKBUILD
+++ b/testing/krdc/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=krdc
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://kde.org/applications/internet/krdc/"
@@ -9,7 +9,7 @@ pkgdesc="Remote Desktop Client"
license="GPL-2.0-or-later AND GFDL-1.2-only"
depends="freerdp"
makedepends="extra-cmake-modules kconfig-dev kcmutils-dev kdnssd-dev knotifyconfig-dev knotifications-dev kbookmarks-dev kiconthemes-dev kxmlgui-dev kcompletion-dev kwallet-dev kwidgetsaddons-dev kwindowsystem-dev knotifyconfig-dev ki18n-dev kdoctools-dev libvncserver-dev libssh-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
build() {
@@ -28,4 +28,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="19623548e1ade229cd198361b540c893de8b510099c8819d66034f358b29b13cd7f82a948121187d1a445770f9549a5e59b72394a1f7ace0e0673ed4bca8e1c2 krdc-19.08.3.tar.xz"
+sha512sums="0e8dcf72b80c8797ae66fa6e7b6d650389218c2fdddba4b3f16869b204aef2141ea3d85c4ed30b256cd276a459b4e2252e4435a9ddcea666ae0270f20e790970 krdc-19.12.0.tar.xz"
diff --git a/testing/krfb/APKBUILD b/testing/krfb/APKBUILD
index d5c0f88200..d0a76c058c 100644
--- a/testing/krfb/APKBUILD
+++ b/testing/krfb/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=krfb
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://kde.org/applications/internet/org.kde.krfb"
pkgdesc="Desktop sharing"
license="GPL-3.0-or-later AND GFDL-1.2-only"
makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtx11extras-dev ki18n-dev kcompletion-dev kconfig-dev kcoreaddons-dev kcrash-dev kdbusaddons-dev kdnssd-dev kdoctools-dev knotifications-dev kwallet-dev kwidgetsaddons-dev kxmlgui-dev xcb-util-dev xcb-util-image-dev libvncserver-dev pipewire-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
options="!check" # No tests
@@ -28,4 +28,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="4c2012c0fe8363854bc93f7c86918e4d151bc8eb7505327615688ff8631a1c77a2acbdabe23bc56a072b5ccd3df5fe7a864ba0402ecc6171b4862118c814d40c krfb-19.08.3.tar.xz"
+sha512sums="2447cc2967fae38f9885aa6f451ea7f3218d91ef1f88008aad238a526a2d32b468b27ea9ad0252ab18e4926b5bb3b2896a4df903aba13dfea5c45c08fab35b2a krfb-19.12.0.tar.xz"
diff --git a/testing/kruler/APKBUILD b/testing/kruler/APKBUILD
index 52e139f20b..78e6821cda 100644
--- a/testing/kruler/APKBUILD
+++ b/testing/kruler/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kruler
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://kde.org/applications/graphics/org.kde.kruler"
pkgdesc="An on-screen ruler for measuring pixels"
license="GPL-2.0-or-later AND GFDL-1.2-only"
makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtx11extras-dev kdoctools-dev ki18n-dev knotifications-dev kwindowsystem-dev kxmlgui-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
options="!check" # No tests
@@ -28,4 +28,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="25e146e941f6eaf04e4f93cffad0fae777345800f1b80127e39f3701660d4c0f2839d152a82c15b8e5ebe9351a41974e139223984fd6cd99f49b7de36789d139 kruler-19.08.3.tar.xz"
+sha512sums="696019c062c17b3f9e3d152dc0ccc63afd2a0fd9b4f578eed4a8d5f01e4d4d9f23f2fb7e849068ec360f43dba9586be83efc2c4d479c19c561a50d0d8b8dcb59 kruler-19.12.0.tar.xz"
diff --git a/testing/ksmtp/APKBUILD b/testing/ksmtp/APKBUILD
index ddee174442..2cae2c98f6 100644
--- a/testing/ksmtp/APKBUILD
+++ b/testing/ksmtp/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=ksmtp
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
pkgdesc="Job-based library to send email through an SMTP server"
arch="all"
@@ -9,7 +9,7 @@ url="https://kontact.kde.org"
license="LGPL-2.1-or-later"
depends_dev="qt5-qtbase-dev kcoreaddons-dev ki18n-dev kio-dev cyrus-sasl-dev"
makedepends="$depends_dev extra-cmake-modules"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-dev $pkgname-lang"
options="!check" # Broken
@@ -28,4 +28,4 @@ check() {
package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="156b1a8bea14ae90162a5c373f53ff519b271f23029b5fd420020fd454da49d004551daadea395d771622d4af09b0cf4e6e0701084943e2572f5a93ac097823d ksmtp-19.08.3.tar.xz"
+sha512sums="b72b312a2223648ca68573349b9f8fcd1e545ce112b36dde3f2b6313144ba4be1a170b5cca2c43b5d0cae527260d55208e02593eda0540be80d7bb1c8cde7149 ksmtp-19.12.0.tar.xz"
diff --git a/testing/kteatime/APKBUILD b/testing/kteatime/APKBUILD
index 5ac06c27b6..d451210383 100644
--- a/testing/kteatime/APKBUILD
+++ b/testing/kteatime/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kteatime
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://kde.org/applications/utilities/org.kde.kteatime"
pkgdesc="A handy timer for steeping tea"
license="GPL-2.0-or-later AND GFDL-1.2-only"
makedepends="extra-cmake-modules qt5-qtbase-dev kconfig-dev kcrash-dev kdoctools-dev ki18n-dev kiconthemes-dev knotifyconfig-dev knotifications-dev ktextwidgets-dev kxmlgui-dev kconfig-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
options="!check" # No tests
@@ -33,4 +33,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="ad5349955fbff6fefd7fe97e5ff76ef848ecba2c217399ccc5c101b4cc27c7db6ef9d7c93ede6670dbe8482e4707d619f29d640e440cb20f02f70cc955a674b4 kteatime-19.08.3.tar.xz"
+sha512sums="9bdedbbd6d161cf3b611b3edb39a0a51f1f23e025bbcee4860a4498f2240c8df594a58a1c586152b139673101714217a48fb61c52cd7cbbefeadd6906e67631d kteatime-19.12.0.tar.xz"
diff --git a/testing/ktimer/APKBUILD b/testing/ktimer/APKBUILD
index 9eb994f5f5..f7b1c419ee 100644
--- a/testing/ktimer/APKBUILD
+++ b/testing/ktimer/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=ktimer
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://kde.org/applications/utilities/org.kde.ktimer"
pkgdesc="A little tool to execute programs after some time"
license="GPL-2.0-or-later"
makedepends="extra-cmake-modules qt5-qtbase-dev kdoctools-dev ki18n-dev kwidgetsaddons-dev kio-dev kdbusaddons-dev knotifications-dev kconfig-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
options="!check" # No tests
@@ -28,4 +28,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="8e8eb803cec7ef2b445817584d44f5e0fcf5cb88dc12a65c8a91577fbe7e2462a5d08603198f8ab4c7dfb4ee139ea61f06087cc09c592ace6b759af2d1d487ff ktimer-19.08.3.tar.xz"
+sha512sums="5861751ed9b344ece5fc9dceef7a3407edd16880518c1445cc3d5138b7155fbe999856fa6a9bf9d8a1a88cc9cf42121c66947a54a0ceedf70b5732859fab64db ktimer-19.12.0.tar.xz"
diff --git a/testing/ktnef/APKBUILD b/testing/ktnef/APKBUILD
index da8cc662da..b2b352cc14 100644
--- a/testing/ktnef/APKBUILD
+++ b/testing/ktnef/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=ktnef
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
pkgdesc="API for handling TNEF data"
arch="all"
@@ -9,7 +9,7 @@ url="https://kontact.kde.org/"
license="LGPL-2.0-or-later"
depends_dev="qt5-qtbase-dev kcalendarcore-dev kcalutils-dev kcontacts-dev ki18n-dev"
makedepends="$depends_dev extra-cmake-modules"
-source="https://download.kde.org/stable/applications/$pkgver/src/ktnef-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/ktnef-$pkgver.tar.xz"
subpackages="$pkgname-dev $pkgname-lang"
prepare() {
@@ -36,4 +36,4 @@ package() {
cd "$builddir"/build
DESTDIR="$pkgdir" make install
}
-sha512sums="f8a869116e33962d1c3533bc13abe115412b2764ff033b2b30e2c108dd71d9f30ca3cf8da26de5fd899e50f8324ccd43255e6e5f3cdeaffa3b3e5e3838905baf ktnef-19.08.3.tar.xz"
+sha512sums="f9c016a6de4ac3fac048ff107caa81d82eccade5fcd7d3017dcc36aa3599c8ecfc1e986763b27b89d7cb059b7eaf97eee5c88aec1e661c0a5e1d1c0a76c63543 ktnef-19.12.0.tar.xz"
diff --git a/testing/ktouch/APKBUILD b/testing/ktouch/APKBUILD
index 2cea0fb638..687d36a8fe 100644
--- a/testing/ktouch/APKBUILD
+++ b/testing/ktouch/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=ktouch
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://edu.kde.org/ktouch/"
pkgdesc="Touch Typing Tutor"
license="GPL-2.0-or-later AND GFDL-1.2-only"
makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtdeclarative-dev qt5-qtquickcontrols2-dev qt5-qtxmlpatterns-dev qt5-qtx11extras-dev kcompletion-dev kconfig-dev kconfigwidgets-dev kcoreaddons-dev kdeclarative-dev kdoctools-dev ki18n-dev kitemviews-dev kcmutils-dev ktextwidgets-dev kwidgetsaddons-dev kwindowsystem-dev kxmlgui-dev kiconthemes-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/ktouch-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/ktouch-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
options="!check" # No tests
@@ -28,4 +28,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="934680eb3f43f31ca04058a50b181a1cd6bcc5a9657bc5203c947e05a35706722aa023ce717b6ab4a4b5dd388e91682aee06b2cc1de9ab2030e9437e00ea1176 ktouch-19.08.3.tar.xz"
+sha512sums="19fcd2987547b8383ddfee4681c57ba402e5e7e5be2d3e97bbfdf7cb2ec5bcd55e2dfee3ba9a2f5602cf9d37f90f970b036db5597bdbe9e5b1b969e3cf2e21e4 ktouch-19.12.0.tar.xz"
diff --git a/testing/kturtle/APKBUILD b/testing/kturtle/APKBUILD
index b49f509b1a..bc867fcd20 100644
--- a/testing/kturtle/APKBUILD
+++ b/testing/kturtle/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kturtle
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="http://edu.kde.org/kturtle"
pkgdesc="Educational Programming Environment"
license="GPL-2.0-or-later AND GFDL-1.2-only"
makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtsvg-dev kcrash-dev kio-dev knewstuff-dev kdoctools-dev ktextwidgets-dev ki18n-dev kcoreaddons-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/kturtle-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/kturtle-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
options="!check" # No tests
@@ -28,4 +28,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="2aab0d607b27561f377dd965351706c1fe49eca49f5e57a816f62311ea38ad7bb7c85f00ff71efe6b30edd6bb2798b1e5814e3d3708dffedb0f64c1fe173ec1c kturtle-19.08.3.tar.xz"
+sha512sums="96af2300230e5db7b8221e9323fbebcad43c881b14b2a5426d0aae509518e008fd04dcd8bf8ed55c754bbfd811ef027f9f53939529468559651211ca90ab08db kturtle-19.12.0.tar.xz"
diff --git a/testing/kwalletmanager/APKBUILD b/testing/kwalletmanager/APKBUILD
index 9774e87482..b9b88e9a5e 100644
--- a/testing/kwalletmanager/APKBUILD
+++ b/testing/kwalletmanager/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kwalletmanager
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://kde.org/applications/system/org.kde.kwalletmanager5"
@@ -9,7 +9,7 @@ pkgdesc="A tool to manage the passwords on your KDE system"
license="GPL-2.0-or-later"
makedepends="extra-cmake-modules qt5-qtbase-dev karchive-dev kauth-dev kconfig-dev kconfigwidgets-dev kcoreaddons-dev kdbusaddons-dev kdoctools-dev ki18n-dev kiconthemes-dev kjobwidgets-dev kcmutils-dev kio-dev knotifications-dev kservice-dev ktextwidgets-dev kwallet-dev kwindowsystem-dev kxmlgui-dev kcrash-dev"
checkdepends="xvfb-run"
-source="https://download.kde.org/stable/applications/$pkgver/src/kwalletmanager-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/kwalletmanager-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
build() {
@@ -28,4 +28,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="432c281e468f804076f35c7aa40850c95b7aa0848924349971919baf65c03add00ada921aec6a1882b7e933a5429aac7d1fa0a8fe9569ea0af59fd213df906ec kwalletmanager-19.08.3.tar.xz"
+sha512sums="5a7934dc3a173c1841e47317aa4d84b9cd7640941f0f63128af99a0b84f8f7941a37d49ca8b04f50927efe47c0026d96b1cdd6e918258d63403165ca4849f72e kwalletmanager-19.12.0.tar.xz"
diff --git a/testing/kwave/APKBUILD b/testing/kwave/APKBUILD
index 7a68e9fefc..af151dc83b 100644
--- a/testing/kwave/APKBUILD
+++ b/testing/kwave/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kwave
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="http://kwave.sourceforge.net/"
@@ -9,7 +9,7 @@ pkgdesc="A sound editor for KDE"
license="GPL-2.0-or-later"
makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtmultimedia-dev karchive-dev kcompletion-dev kconfig-dev kconfigwidgets-dev kcoreaddons-dev kcrash-dev kdbusaddons-dev kdoctools-dev ki18n-dev kiconthemes-dev kio-dev kservice-dev ktextwidgets-dev kxmlgui-dev kwidgetsaddons-dev audiofile-dev libsamplerate-dev alsa-lib-dev pulseaudio-dev flac-dev opus-dev libvorbis-dev fftw-dev imagemagick"
checkdepends="xvfb-run"
-source="https://download.kde.org/stable/applications/$pkgver/src/kwave-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/kwave-$pkgver.tar.xz"
subpackages="$pkgname-libs $pkgname-doc $pkgname-lang"
build() {
@@ -36,4 +36,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="ad332004dbd9ab4b0a0c047a6012c071d44dbe1fe81dface3f68fbd556b52ac7ece5c5da66e704d87dab3db69cfb45a92f5fdecbb638decef7265db9c1945554 kwave-19.08.3.tar.xz"
+sha512sums="e0b06b43eb94030e15e3ced8c4aabea324960998657a129d19fc2c6a2da6c2aabde3466d71d3d1129190ce15d1ce36bb12cf774fa95d2c221f2279972e674281 kwave-19.12.0.tar.xz"
diff --git a/testing/kwordquiz/APKBUILD b/testing/kwordquiz/APKBUILD
index 605cc21f55..1169b01f5d 100644
--- a/testing/kwordquiz/APKBUILD
+++ b/testing/kwordquiz/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=kwordquiz
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://edu.kde.org/kwordquiz"
pkgdesc="Flash Card Trainer"
license="GPL-2.0-or-later AND LGPL-2.0-or-later AND GDFL-1.2-only"
makedepends="extra-cmake-modules qt5-qtbase-dev ki18n-dev kcrash-dev kconfig-dev kconfigwidgets-dev kdoctools-dev kguiaddons-dev kiconthemes-dev kitemviews-dev knotifyconfig-dev knewstuff-dev knotifications-dev kwindowsystem-dev kxmlgui-dev phonon-dev libkeduvocdocument-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/kwordquiz-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/kwordquiz-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
options="!check" # No tests
@@ -28,4 +28,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="2eace5904211f44d6ace73122a52f7b970e16e68e25921087560322989823ef0c518d5e8a0d07c06f59ca87959f92a35a836486ccd20d82d1b5225ca479e5404 kwordquiz-19.08.3.tar.xz"
+sha512sums="55780f68344a0dad9def31d042973601c587292c58b75389ca2d5fafc72eda58cc5668a34dc5069bbb576b19148eae98458ad92b50eba546a9a3c0cfc8f94dd0 kwordquiz-19.12.0.tar.xz"
diff --git a/testing/libgravatar/APKBUILD b/testing/libgravatar/APKBUILD
index 12390df842..edb99f29b7 100644
--- a/testing/libgravatar/APKBUILD
+++ b/testing/libgravatar/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=libgravatar
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
pkgdesc="KDE PIM library providing Gravatar support"
arch="all"
@@ -10,7 +10,7 @@ license="LGPL-2.0-or-later"
depends_dev="qt5-qtbase-dev ki18n-dev kconfig-dev kwidgetsaddons-dev ktextwidgets-dev kio-dev pimcommon-dev"
makedepends="$depends_dev extra-cmake-modules"
checkdepends="xvfb-run"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-dev $pkgname-lang"
build() {
@@ -28,4 +28,4 @@ check() {
package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="dea215bc8ea7820b187d0799a1f1e4ed77db0c48247ead770c3e473db03075d8f607e59eb01582c961fa474eea9ead27501f5e6034e58d316d03f1aca3ef7460 libgravatar-19.08.3.tar.xz"
+sha512sums="5548676a83af8fb38c970d91921e65c6194c672f59b0e64bb135578de0ee9a0ff9aa4881f780348d504554e08827a5eb00677fdd73b9b1e66856d59f26172962 libgravatar-19.12.0.tar.xz"
diff --git a/testing/libkdegames/APKBUILD b/testing/libkdegames/APKBUILD
index 320e277ed1..1b75b2e710 100644
--- a/testing/libkdegames/APKBUILD
+++ b/testing/libkdegames/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=libkdegames
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://kde.org/applications/games"
@@ -9,7 +9,7 @@ pkgdesc="Common code and data for many KDE games"
license="LGPL-2.0-only AND GFDL-1.2-only"
makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtdeclarative-dev qt5-qtsvg-dev kcoreaddons-dev kconfig-dev kwidgetsaddons-dev kcodecs-dev karchive-dev kdbusaddons-dev kdnssd-dev kdeclarative-dev ki18n-dev kguiaddons-dev kservice-dev kconfigwidgets-dev kitemviews-dev kiconthemes-dev kcompletion-dev kjobwidgets-dev ktextwidgets-dev kglobalaccel-dev kxmlgui-dev kcrash-dev kbookmarks-dev knewstuff-dev openal-soft-dev libsndfile-dev"
checkdepends="xvfb-run"
-source="https://download.kde.org/stable/applications/$pkgver/src/libkdegames-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/libkdegames-$pkgver.tar.xz"
subpackages="$pkgname-dev $pkgname-lang carddecks::noarch"
build() {
@@ -36,4 +36,4 @@ carddecks() {
mv "$pkgdir"/usr/share/"$subpkgname" "$subpkgdir"/usr/share/
}
-sha512sums="15dfc1818d829071acf7c3190a0efd3b81abe21dc570ad2670846fee874262068f3a493337fb472e6014182aa9f57d9d969d4957166513dd02f61c71e7e40c3b libkdegames-19.08.3.tar.xz"
+sha512sums="7e3fdc24fb7f7e906b1f25ec8ca4181406389af81712f7b3d0881c354ebaf49e8c6234ec227036aa47843d5175a24b7c1a651e3f11ea83872453e0e3feb9d2e7 libkdegames-19.12.0.tar.xz"
diff --git a/testing/libkdepim/APKBUILD b/testing/libkdepim/APKBUILD
index 6439d9b1b8..4f2c1cda81 100644
--- a/testing/libkdepim/APKBUILD
+++ b/testing/libkdepim/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=libkdepim
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
pkgdesc="Lib for common KDEPim apps"
arch="all"
@@ -10,7 +10,7 @@ license="GPL-2.0i-or-later AND LGPL-2.0-or-later"
depends_dev="qt5-qtbase-dev kcodecs-dev kcompletion-dev kconfig-dev kconfigwidgets-dev kcoreaddons-dev ki18n-dev kiconthemes-dev kitemviews-dev kjobwidgets-dev kcmutils-dev kio-dev kwallet-dev kwidgetsaddons-dev akonadi-dev akonadi-contacts-dev akonadi-search-dev kldap-dev"
makedepends="$depends_dev extra-cmake-modules qt5-qttools-dev"
checkdepends="xvfb-run"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-dev $pkgname-lang"
build() {
@@ -29,4 +29,4 @@ check() {
package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="f51973b248c1c6c213dca3da0458e8b8655a46aaae5be780c0fa31e557daba10534c78c8ae327e6f4f4eab55fb654fc720d7e0d71dac2e47a431a9162316f229 libkdepim-19.08.3.tar.xz"
+sha512sums="ac07ce71ffb18437305d10d5a60be8ad90f42610b56e7547e9dbf3475b480d58e453ba33a0d431e0ea3957175459c8abda3e099baf3d77498229be53284eba9c libkdepim-19.12.0.tar.xz"
diff --git a/testing/libkeduvocdocument/APKBUILD b/testing/libkeduvocdocument/APKBUILD
index 197bb59466..1e8f40161d 100644
--- a/testing/libkeduvocdocument/APKBUILD
+++ b/testing/libkeduvocdocument/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=libkeduvocdocument
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://edu.kde.org"
pkgdesc="Library to parse, convert, and manipulate KVTML files"
license="GPL-2.0-or-later AND GFDL-1.2-only"
makedepends="extra-cmake-modules qt5-qtbase-dev ki18n-dev karchive-dev kio-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/libkeduvocdocument-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/libkeduvocdocument-$pkgver.tar.xz"
subpackages="$pkgname-dev $pkgname-lang"
build() {
@@ -27,4 +27,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="a548dd294bd07fd9c14448bc0d69fb5f58ca7a15f513bf56e6402af3678727321fe2f2a6a6345c2dcd220fbf1f4668075d73065b1c00835298da9f8c186828de libkeduvocdocument-19.08.3.tar.xz"
+sha512sums="5432632fe3752f486428e69522b74adf05115d205ef49d3f0a2b41d7cf899be36d97e1d4f810cd9a7cb0bacb1217eb650d687a28bfabc1829252c4c97aa07e21 libkeduvocdocument-19.12.0.tar.xz"
diff --git a/testing/libkgapi/APKBUILD b/testing/libkgapi/APKBUILD
index 64f05ea8ad..f8c965e5af 100644
--- a/testing/libkgapi/APKBUILD
+++ b/testing/libkgapi/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=libkgapi
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
pkgdesc="LibKGAPI is a KDE-based library for accessing various Google services via their public API"
arch="all !ppc64le !s390x" # limited by qt5-qtwebengine
@@ -10,7 +10,7 @@ license="LGPL-2.1-only OR LGPL-3.0-only"
depends_dev="qt5-qtbase-dev qt5-qtwebengine-dev kio-dev kwindowsystem-dev kwallet-dev kcalendarcore-dev kcontacts-dev cyrus-sasl-dev"
makedepends="$depends_dev extra-cmake-modules qt5-qttools-dev"
checkdepends="xvfb-run"
-source="https://download.kde.org/stable/applications/$pkgver/src/libkgapi-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/libkgapi-$pkgver.tar.xz"
subpackages="$pkgname-dev $pkgname-lang"
prepare() {
@@ -39,4 +39,4 @@ package() {
cd "$builddir"/build
DESTDIR="$pkgdir" make install
}
-sha512sums="57e9da2b2357ee05d1ebaeabca758854c5221b081bda86f9ab5b3d6725af2efbaeb045591e222e8966066fde393a10e7195475732aeebfa738a1aeaf6ed3e2b0 libkgapi-19.08.3.tar.xz"
+sha512sums="74c2f03be10d85d2043fdffe9080e1ef3f01863dfef1dbd13c405ef5543ff6887933aa7bddfec519275e8bad7f31d0e651cf8445f84d6d8cf3ec11336ce9dea5 libkgapi-19.12.0.tar.xz"
diff --git a/testing/libkleo/APKBUILD b/testing/libkleo/APKBUILD
index 727e055d67..0fd6e10951 100644
--- a/testing/libkleo/APKBUILD
+++ b/testing/libkleo/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=libkleo
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
pkgdesc="KDE PIM cryptographic library"
arch="all"
url="https://kontact.kde.org"
license="GPL-2.0-or-later"
makedepends="extra-cmake-modules qt5-qtbase-dev ki18n-dev kconfig-dev kwidgetsaddons-dev kcompletion-dev kwindowsystem-dev kcoreaddons-dev kcodecs-dev kitemmodels-dev kpimtextedit-dev gpgme-dev boost-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-dev $pkgname-lang"
build() {
@@ -26,4 +26,4 @@ check() {
package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="b36766d3387e1ca9fda920b50b866c7b736e39037fa65df2c4399bcbee8629b34bd69c08d447273f5368cc14352a58ad32c2ea1ad254d3be1d155eb100ed8883 libkleo-19.08.3.tar.xz"
+sha512sums="35df26dccf805b5fc28956e25a9251f7b17e1c62a981ef474c8b34ff45176768c3317f227cb2280d5dc1187d188777e04f85721e7188a3627f4d0970a4b36ba8 libkleo-19.12.0.tar.xz"
diff --git a/testing/libkmahjongg/APKBUILD b/testing/libkmahjongg/APKBUILD
index 38960dde12..77c7e96753 100644
--- a/testing/libkmahjongg/APKBUILD
+++ b/testing/libkmahjongg/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=libkmahjongg
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://kde.org/applications/games"
pkgdesc="Common code, backgrounds and tile sets for games using Mahjongg tiles"
license="GPL-2.0-or-later AND GFDL-1.2-only"
makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtsvg-dev kcoreaddons-dev kconfig-dev kconfigwidgets-dev kwidgetsaddons-dev kcompletion-dev ki18n-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/libkmahjongg-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/libkmahjongg-$pkgver.tar.xz"
subpackages="$pkgname-dev $pkgname-lang"
options="!check" # No tests found
@@ -28,4 +28,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="d9ee93852fa2493c0842b6d0527fe6c617b074aaefbae24b07a3dbba857e6d565de46c76df37dfad7fdc249a238affd4560c5bda98b1ed27688ef10f21cc48c1 libkmahjongg-19.08.3.tar.xz"
+sha512sums="5aa9f11fba830c42a4d6585000148ec06e62eb7e0c12ab08016db23e2c128289830401082894aabf01ffd04f92ccf0b6b0f49a13b0f251015660be075a56a988 libkmahjongg-19.12.0.tar.xz"
diff --git a/testing/libkomparediff2/APKBUILD b/testing/libkomparediff2/APKBUILD
index 72b661f3bd..9326f7c82c 100644
--- a/testing/libkomparediff2/APKBUILD
+++ b/testing/libkomparediff2/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=libkomparediff2
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://kde.org/applications/development"
pkgdesc="Library to compare files and strings"
license="GPL-2.0-or-later AND LGPL-2.0-or-later"
makedepends="extra-cmake-modules qt5-qtbase-dev kcoreaddons-dev kcodecs-dev kconfig-dev kxmlgui-dev ki18n-dev kio-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-dev $pkgname-lang"
build() {
@@ -27,4 +27,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="e9b8c06c36dec40475571692b18f3cb67a379c315d90d7c807945248940783c51aaa293776644b3a73ef4f0e2d38dfdd5a4d6dd16fbe7e9aeee3f7cc381cf1e9 libkomparediff2-19.08.3.tar.xz"
+sha512sums="b1707ea17faebf6a49f3e03d1ae3fc4df64fb7e7c3af37e8b4ae2c3a1b8560c93094661022f7b57f3ec1661b0c94c67dd68e4bef9d542767fb0a4208f3bca34b libkomparediff2-19.12.0.tar.xz"
diff --git a/testing/libksieve/APKBUILD b/testing/libksieve/APKBUILD
index 29f887334d..77371f3bc6 100644
--- a/testing/libksieve/APKBUILD
+++ b/testing/libksieve/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=libksieve
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
pkgdesc="KDE PIM library for managing sieves"
arch="all !ppc64le !s390x" # Limited by qt5-qtwebengine
@@ -10,7 +10,7 @@ license="GPL-2.0-only"
depends_dev="qt5-qtbase-dev qt5-qtwebengine-dev ki18n-dev kdoctools-dev kio-dev kiconthemes-dev pimcommon-dev libkdepim-dev knewstuff-dev kwindowsystem-dev karchive-dev syntax-highlighting-dev kmime-dev kidentitymanagement-dev kmailtransport-dev kpimtextedit-dev kimap-dev"
makedepends="$depends_dev extra-cmake-modules"
checkdepends="xvfb-run"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-dev $pkgname-doc $pkgname-lang"
build() {
@@ -22,11 +22,11 @@ build() {
}
check() {
- # libksieveui-findbar-findbarbasetest and sieveeditorhelphtmlwidgettest require OpenGL
- CTEST_OUTPUT_ON_FAILURE=TRUE xvfb-run ctest -E "(libksieveui-findbar-findbarbase|sieveeditorhelphtmlwidget)test"
+ # libksieveui-findbar-findbarbasetest, sieveeditorhelphtmlwidgettest and sieveeditor-autocreatescripts-sieveeditorgraphicalmodewidgettest require OpenGL
+ CTEST_OUTPUT_ON_FAILURE=TRUE xvfb-run ctest -E "(libksieveui-findbar-findbarbase|sieveeditorhelphtmlwidget|sieveeditor-autocreatescripts-sieveeditorgraphicalmodewidget)test"
}
package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="f5aee4894b95d48868b08941198ec9370a3855178c2f48330b36473fa2584a43fd7943a9d91f0781a92e79de126d6e78349c8d97b28b96cd2a006126cee3131b libksieve-19.08.3.tar.xz"
+sha512sums="b5153dc011cb1d9595d1db195c8cf8ba97f3129c2cbf483c3de99bf77f9ca59d5c94fe706099122f0d1521be628fdd44a7c131665b5a36d149b8ce9dfc0081a1 libksieve-19.12.0.tar.xz"
diff --git a/testing/lokalize/APKBUILD b/testing/lokalize/APKBUILD
index 100a179b00..25486e2785 100644
--- a/testing/lokalize/APKBUILD
+++ b/testing/lokalize/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=lokalize
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
pkgdesc="Computer-Aided Translation System"
arch="all"
url="https://kde.org/applications/office/org.kde.lokalize"
license="(GPL-2.0-only OR GPL-3.0-only) AND GFDL-1.2-only"
makedepends="extra-cmake-modules qt5-qtbase-dev ki18n-dev kio-dev kxmlgui-dev knotifications-dev kconfig-dev kcoreaddons-dev kdoctools-dev kross-dev sonnet-dev kdbusaddons-dev kcrash-dev hunspell-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/lokalize-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/lokalize-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
options="!check" # No tests
@@ -28,4 +28,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="866e8900fcee9cd1659b85c2438f1348a0030f94a28068f2e8db659823f5364d51dc6277b0d1bfca47c62bd281667136c250f2c58bd25924080346e4f100c729 lokalize-19.08.3.tar.xz"
+sha512sums="19961a138ad75ee14bb36e8d169e6ac9376fb0eb0b3f7392d3bf9dc0cf9a932055842a13d74f2e5662138bbe1e8cdd90722b827adafd379ec79186a1a4792861 lokalize-19.12.0.tar.xz"
diff --git a/testing/mailcommon/APKBUILD b/testing/mailcommon/APKBUILD
index 05d0ea4cfe..d477d19904 100644
--- a/testing/mailcommon/APKBUILD
+++ b/testing/mailcommon/APKBUILD
@@ -1,21 +1,28 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=mailcommon
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
pkgdesc="KDE PIM library providing support for mail applications"
arch="all !ppc64le !s390x" # Limited by messagelib -> qt5-qtwebengine
url="https://kontact.kde.org/"
license="GPL-2.0-or-later"
-depends_dev="qt5-qtbase-dev karchive-dev kcodecs-dev kcompletion-dev kconfig-dev kconfigwidgets-dev ki18n-dev kiconthemes-dev kitemmodels-dev kitemviews-dev kio-dev ktextwidgets-dev kwidgetsaddons-dev kwindowsystem-dev kxmlgui-dev kdbusaddons-dev syntax-highlighting-dev akonadi-dev akonadi-mime-dev libkdepim-dev mailimporter-dev kmailtransport-dev messagelib-dev"
+depends_dev="qt5-qtbase-dev qt5-qttools-dev karchive-dev kcodecs-dev kcompletion-dev kconfig-dev kconfigwidgets-dev ki18n-dev kiconthemes-dev kitemmodels-dev kitemviews-dev kio-dev ktextwidgets-dev kwidgetsaddons-dev kwindowsystem-dev kxmlgui-dev kdbusaddons-dev syntax-highlighting-dev akonadi-dev akonadi-mime-dev libkdepim-dev mailimporter-dev kmailtransport-dev messagelib-dev"
makedepends="$depends_dev extra-cmake-modules"
checkdepends="xvfb-run"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/mailcommon-$pkgver.tar.xz"
subpackages="$pkgname-dev $pkgname-lang"
options="!check" # Requires running dbus server
+prepare() {
+ default_prepare
+
+ mkdir "$builddir"/build
+}
+
build() {
- cmake \
+ cd "$builddir"/build
+ cmake "$builddir" \
-DCMAKE_BUILD_TYPE=RelWithDebInfo \
-DCMAKE_INSTALL_PREFIX=/usr \
-DCMAKE_INSTALL_LIBDIR=lib
@@ -23,10 +30,12 @@ build() {
}
check() {
+ cd "$builddir"/build
CTEST_OUTPUT_ON_FAILURE=TRUE xvfb-run ctest
}
package() {
+ cd "$builddir"/build
DESTDIR="$pkgdir" make install
}
-sha512sums="d1bf8aea689f0cb24dc2030c258795465b3a5e5c16bb49a2f35f62b999faf97cb40f0dd3d4e2bd2d6033e48438bc693fddcfa69d34ad799f4fb22d808f9b06ff mailcommon-19.08.3.tar.xz"
+sha512sums="6fda0b5c7afcb5b66dbb5730ce2256bae2ca0e775a6b32fec9ecb1dde8f38962b16786b71ec7b31c40d0e9f482f47507fdd59c8b0b0bf31b4fda016a54e4107f mailcommon-19.12.0.tar.xz"
diff --git a/testing/mailimporter/APKBUILD b/testing/mailimporter/APKBUILD
index 5e159c40fe..a084403822 100644
--- a/testing/mailimporter/APKBUILD
+++ b/testing/mailimporter/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=mailimporter
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
pkgdesc="KDE PIM library providing support for mail applications"
arch="all"
@@ -10,7 +10,7 @@ license="GPL-2.0-or-later"
depends_dev="qt5-qtbase-dev karchive-dev kconfig-dev kcoreaddons-dev ki18n-dev akonadi-dev kmime-dev akonadi-mime-dev libkdepim-dev"
makedepends="$depends_dev extra-cmake-modules"
checkdepends="xvfb-run"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-dev $pkgname-lang"
build() {
@@ -28,4 +28,4 @@ check() {
package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="f0c924eba0b5dbb262402f3f6ee4f4d883304b0578e61399df366e11c1301a1e00d9e72d7c7e5ee62bd2a1339b69354a4dc2e229e80a4455a7d85923d6c9cf0b mailimporter-19.08.3.tar.xz"
+sha512sums="48a27bb75f6cec5b3aa3788a8c04f2bc39f449551343fa26c455bd8b14abdb41b5b699a2243434526f6944a0dab536e705aa2afd052421b8420a3036650dfe97 mailimporter-19.12.0.tar.xz"
diff --git a/testing/marble/APKBUILD b/testing/marble/APKBUILD
index 1331a5b6aa..42875888f5 100644
--- a/testing/marble/APKBUILD
+++ b/testing/marble/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=marble
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
pkgdesc="A Virtual Globe and World Atlas that you can use to learn more about Earth"
arch="all !ppc64le !s390x" # Limited by qt5-qtwebengine
@@ -9,7 +9,7 @@ url='https://marble.kde.org'
license="LGPL-2.1-or-later AND GPL-3.0-or-later"
depends_dev="qt5-qtbase-dev qt5-qtsvg-dev qt5-qtdeclarative-dev qt5-qtwebengine-dev qt5-qttools-dev qt5-qtserialport-dev qt5-qtlocation-dev kdoctools-dev phonon-dev gpsd-dev kcrash-dev kcoreaddons-dev kwallet-dev knewstuff-dev kparts-dev plasma-framework-dev krunner-dev ki18n-dev kio-dev shared-mime-info"
makedepends="$depends_dev extra-cmake-modules"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-dev $pkgname-doc $pkgname-lang"
options="!check" # Requires itself to be installed
@@ -31,4 +31,4 @@ check() {
package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="7c17b3015ed16d169f7bc2c2c633527a33818495b4894a571b0880011539f9c73eb787ff9705641ff1e4a58ec28418e6a495d6b216bd4807e407eb345cd4dc46 marble-19.08.3.tar.xz"
+sha512sums="755bae04f95cd28b5e0f8eb9f2819cf1a45cab88fce1da1cc190668669d95d786d6c8ec284bcc1f00522822d308db7820b12d1781436536b4179b14d0249f159 marble-19.12.0.tar.xz"
diff --git a/testing/messagelib/APKBUILD b/testing/messagelib/APKBUILD
index 4779cb0a86..55e30b72e7 100644
--- a/testing/messagelib/APKBUILD
+++ b/testing/messagelib/APKBUILD
@@ -1,21 +1,28 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=messagelib
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
pkgdesc="KDE PIM messaging library"
arch="all !ppc64le !s390x" # Limited by qt5-qtwebengine
url="https://kontact.kde.org/"
license="LGPL-2.0-only OR LGPL-3.0-only AND GPL-2.0-or-later"
-depends_dev="qt5-qtbase-dev qt5-qtwebengine-dev kcodecs-dev ki18n-dev kmime-dev knewstuff-dev gpgme-dev karchive-dev kcompletion-dev kconfig-dev kconfigwidgets-dev kiconthemes-dev kitemviews-dev kjobwidgets-dev kio-dev kservice-dev sonnet-dev ktextwidgets-dev kwidgetsaddons-dev kwindowsystem-dev kxmlgui-dev syntax-highlighting-dev kdbusaddons-dev grantlee-dev akonadi-dev akonadi-mime-dev kcontacts-dev akonadi-contacts-dev grantleetheme-dev libgravatar-dev kidentitymanagement-dev kldap-dev libkdepim-dev libkleo-dev kmailtransport-dev kmbox-dev pimcommon-dev kpimtextedit-dev akonadi-search-dev kdepim-apps-libs-dev"
+depends_dev="qt5-qtbase-dev qt5-qtwebengine-dev kcodecs-dev ki18n-dev kmime-dev knewstuff-dev gpgme-dev karchive-dev kcompletion-dev kconfig-dev kconfigwidgets-dev kiconthemes-dev kitemviews-dev kjobwidgets-dev kio-dev kservice-dev sonnet-dev ktextwidgets-dev kwidgetsaddons-dev kwindowsystem-dev kxmlgui-dev syntax-highlighting-dev kdbusaddons-dev grantlee-dev akonadi-dev akonadi-mime-dev kcontacts-dev akonadi-contacts-dev grantleetheme-dev libgravatar-dev kidentitymanagement-dev kldap-dev libkdepim-dev libkleo-dev kmailtransport-dev kmbox-dev pimcommon-dev kpimtextedit-dev akonadi-search-dev kdepim-apps-libs-dev qca-dev"
checkdepends="xvfb-run"
makedepends="$depends_dev extra-cmake-modules"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/messagelib-$pkgver.tar.xz"
subpackages="$pkgname-dev $pkgname-lang"
options="!check" # Requires OpenGL and running dbus server
+prepare() {
+ default_prepare
+
+ mkdir "$builddir"/build
+}
+
build() {
- cmake \
+ cd "$builddir"/build
+ cmake "$builddir" \
-DCMAKE_BUILD_TYPE=RelWithDebInfo \
-DCMAKE_INSTALL_PREFIX=/usr \
-DCMAKE_INSTALL_LIBDIR=lib
@@ -23,10 +30,12 @@ build() {
}
check() {
+ cd "$builddir"/build
CTEST_OUTPUT_ON_FAILURE=TRUE xvfb-run ctest
}
package() {
+ cd "$builddir"/build
DESTDIR="$pkgdir" make install
}
-sha512sums="defcd4534b1e61a6e115aa2106e92c8bd0d3405d7ff3e2f4a0616d4cd418cee513367215da57585a66f47d2208c888ed7fdef8f9bf70758f787551d009f746aa messagelib-19.08.3.tar.xz"
+sha512sums="c8a367ff32a4a0afdab0b57725c24b3592b6fc95bd8d5f2e4ac8c872054f8c9de9157b4c68fcad87e27f1f34aed6db7a08080b5596e274a707b66dc878f5be2b messagelib-19.12.0.tar.xz"
diff --git a/testing/minuet/APKBUILD b/testing/minuet/APKBUILD
index 749e73d8d4..44c75970aa 100644
--- a/testing/minuet/APKBUILD
+++ b/testing/minuet/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=minuet
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://minuet.kde.org/"
pkgdesc="Minuet Music Education"
license="GPL-2.0-or-later AND GFDL-1.2-only"
makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtdeclarative-dev qt5-qtquickcontrols2-dev qt5-qtsvg-dev kcoreaddons-dev ki18n-dev kcrash-dev kdoctools-dev fluidsynth-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/minuet-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/minuet-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang $pkgname-dev"
options="!check" # No tests
@@ -28,4 +28,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="0e21f9f7ef97130f217842ecc430ee3742ab9fb1d86d4b24d11d4b8c42ce77516f0c1c258ebfe731296f7b08a699734daafb25c6a2bb1ae42a32b2e2b414be96 minuet-19.08.3.tar.xz"
+sha512sums="94583c09236c4c20643e130118d80ff1143827ac31ea22644a6d76cbb64e8f009f4e2c43c4ff05bc1ab2306e52e3599063cba6d7c0ab3c923aa44e62efab0478 minuet-19.12.0.tar.xz"
diff --git a/testing/parley/APKBUILD b/testing/parley/APKBUILD
index ff0265e692..0ecd0c7498 100644
--- a/testing/parley/APKBUILD
+++ b/testing/parley/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=parley
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all !ppc64le !s390x" # Limited by qt5-qtwebengine
url="https://kde.org/applications/education/org.kde.parley"
@@ -9,7 +9,7 @@ pkgdesc="Vocabulary Trainer"
license="GPL-2.0-or-later AND GFDL-1.2-only"
makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtmultimedia-dev qt5-qtwebengine-dev kdoctools-dev kcoreaddons-dev kconfig-dev kcrash-dev ki18n-dev kio-dev knewstuff-dev kross-dev sonnet-dev kcmutils-dev kxmlgui-dev knotifications-dev libkeduvocdocument-dev libxslt-dev libxml2-dev"
checkdepends="xvfb-run"
-source="https://download.kde.org/stable/applications/$pkgver/src/parley-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/parley-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
build() {
@@ -28,4 +28,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="5a8ede27d2a0612b1db3f0693e9f1749c6c20394bee4ab1cb1dd8fe41aff5d0c1c409f6be8d91dae3f540301aaac941d99c14e6fbfd8ce9e56e85a83c89d344b parley-19.08.3.tar.xz"
+sha512sums="36ffeba1f9a51f9cf9ecccfaf0b4565df316ac0c2f860ef401b0fa78d46a8f4e078620fdd12961ff46b5dcad682a3ac6e9c4027eaf155f9eda826e307636afa0 parley-19.12.0.tar.xz"
diff --git a/testing/pimcommon/APKBUILD b/testing/pimcommon/APKBUILD
index 8413280d67..a3db5e715d 100644
--- a/testing/pimcommon/APKBUILD
+++ b/testing/pimcommon/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=pimcommon
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
pkgdesc="Common lib for KDEPim"
arch="all"
@@ -10,7 +10,7 @@ license="GPL-2.0-or-later"
depends_dev="qt5-qtbase-dev karchive-dev kcodecs-dev kcompletion-dev kconfig-dev kconfigwidgets-dev kcoreaddons-dev kdbusaddons-dev ki18n-dev kiconthemes-dev kitemmodels-dev kjobwidgets-dev kio-dev knewstuff-dev kservice-dev kwidgetsaddons-dev kxmlgui-dev akonadi-dev akonadi-contacts-dev kcontacts-dev kimap-dev libkdepim-dev kpimtextedit-dev purpose-dev kmime-dev"
makedepends="$depends_dev extra-cmake-modules qt5-qttools-dev"
checkdepends="xvfb-run"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-dev $pkgname-lang"
build() {
@@ -29,4 +29,4 @@ check() {
package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="844d36c8ed63ec4de7d5feafd637e1d6b87725e77910839365e9a1e8cfdfd2f46e6e64b42a1ca3837a95b2f7a194fde46d5068b0609d5806fea9295b94c1a2b1 pimcommon-19.08.3.tar.xz"
+sha512sums="e3f23d63777c33986385f3def720d145029ef61ef1df5e3b6ee733a2610b1f4b6f034307622e88a5b6be602431e001cc17f8613ae7da7ce940009b7e66849f0c pimcommon-19.12.0.tar.xz"
diff --git a/testing/poxml/APKBUILD b/testing/poxml/APKBUILD
index e9952542ee..ffecb89489 100644
--- a/testing/poxml/APKBUILD
+++ b/testing/poxml/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=poxml
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://www.kde.org/applications/development/"
pkgdesc="Translates DocBook XML files using gettext po files"
license="GPL-2.0-or-later AND GFDL-1.2-only"
makedepends="extra-cmake-modules qt5-qtbase-dev kdoctools-dev gettext-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-doc"
build() {
@@ -27,4 +27,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="34cc4323def1c62f0d7e088ff664a9001cb9b0b594bc9f47cb5c6546ab43555cffc5c6c0d2d695a81611fd0fa1bc6b7c2693f2b938645721368adc1da1f836f9 poxml-19.08.3.tar.xz"
+sha512sums="27431a25984ded5a3ec7898bdb66e2187622fdaa3a542a5fb7ff19a14e1d3e63accb3416388fa23cd054bca302117674464c854a8bd334b2cf4b8a83c3ab947c poxml-19.12.0.tar.xz"
diff --git a/testing/rocs/APKBUILD b/testing/rocs/APKBUILD
index 0e85cc360d..1bbf6991ee 100644
--- a/testing/rocs/APKBUILD
+++ b/testing/rocs/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=rocs
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://kde.org/applications/education/org.kde.rocs"
@@ -9,7 +9,7 @@ pkgdesc="Graph Theory IDE"
license="GPL-2.0-or-later AND (LGPL-2.1-only OR LGPL-3.0-only) AND GFDL-1.2-only"
makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtwebkit-dev qt5-qtsvg-dev qt5-qtxmlpatterns-dev karchive-dev kconfig-dev kcoreaddons-dev kcrash-dev kdeclarative-dev ki18n-dev kitemviews-dev ktexteditor-dev kxmlgui-dev kdoctools-dev boost-dev grantlee-dev"
checkdepends="xvfb-run"
-source="https://download.kde.org/stable/applications/$pkgver/src/rocs-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/rocs-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang $pkgname-dev"
build() {
@@ -42,4 +42,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="be33c38d698ee71ca3fd629c96dabd60cf47ac684021a6b8a60ded856476093c0cb09a7b75252b17457abe5430439cf19d81ef108f7d18ae4782e0d6c0c20d7b rocs-19.08.3.tar.xz"
+sha512sums="11d9c6a0e6234c86752e07b5037ddd066673459c9f2bc1a779bfe54a06bce796af01b79af811c056f59ffcc85233ab357502a3597eeb21b5112d0f681cb51c6a rocs-19.12.0.tar.xz"
diff --git a/testing/step/APKBUILD b/testing/step/APKBUILD
index 44e6f7c8de..39192b59ac 100644
--- a/testing/step/APKBUILD
+++ b/testing/step/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=step
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://edu.kde.org/step/"
pkgdesc="Interactive Physics Simulator"
license="GPL-2.0-or-later AND GFDL-1.2-only"
makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtsvg-dev qt5-qttools-dev kcrash-dev khtml-dev kconfig-dev kiconthemes-dev knewstuff-dev kplotting-dev kdoctools-dev eigen-dev shared-mime-info"
-source="https://download.kde.org/stable/applications/$pkgver/src/step-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/step-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
build() {
@@ -27,4 +27,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="685529b065d46cd6b1fa0fc29c71177763c8dadbbe541795766820d6797a0902b0b51c5bda58ad23338c573368e2edf440da4596fb877d175c06f3ca362fae74 step-19.08.3.tar.xz"
+sha512sums="9242677992acb1410bf4b06a8afce17e7b024acebaa8787bef0e0d1984405bcac30c7c532e255d6c2bf597179b9e286869a5a359c12e9a6fd3f980ceb8cc1f17 step-19.12.0.tar.xz"
diff --git a/testing/sweeper/APKBUILD b/testing/sweeper/APKBUILD
index 64a73188d1..5cfa2a5c54 100644
--- a/testing/sweeper/APKBUILD
+++ b/testing/sweeper/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=sweeper
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://kde.org/applications/utilities/org.kde.sweeper"
pkgdesc="System cleaner to help clean unwanted traces the user leaves on the system"
license="LGPL-2.1-or-later"
makedepends="extra-cmake-modules qt5-qtbase-dev kactivities-stats-dev kbookmarks-dev kcrash-dev kconfig-dev kconfigwidgets-dev kcoreaddons-dev kdoctools-dev ki18n-dev kio-dev ktextwidgets-dev kxmlgui-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
build() {
@@ -27,4 +27,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="acdd7ba323c9763eba762c919489bdc5bc81a877616e13167bde9c5ae8cd9f09fd11c68c200b76f1c79c53b67c41fa56b012f422767a1662320b5aef0731f393 sweeper-19.08.3.tar.xz"
+sha512sums="4e00b366ae69c7b806f303abe3f15a4d94868145235954bd7587843c45677eb6f284d717fd0244e6e37356b047a6ef46e4f6ee41759c99b04403f9b7e39a4db7 sweeper-19.12.0.tar.xz"
diff --git a/testing/umbrello/APKBUILD b/testing/umbrello/APKBUILD
index 5005581b40..03728de154 100644
--- a/testing/umbrello/APKBUILD
+++ b/testing/umbrello/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=umbrello
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://umbrello.kde.org/"
@@ -9,7 +9,7 @@ pkgdesc="GUI for diagramming Unified Modelling Language (UML)"
license="GPL-2.0-or-lateri AND LGPL-2.0-or-later AND GFDL-1.2-only"
makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtwebkit-dev karchive-dev kcompletion-dev kconfig-dev kcoreaddons-dev kcrash-dev kdoctools-dev ki18n-dev kiconthemes-dev kdelibs4support-dev kio-dev ktexteditor-dev kwidgetsaddons-dev kwindowsystem-dev kxmlgui-dev kitemmodels-dev"
checkdepends="xvfb-run"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-doc $pkgname-lang"
build() {
@@ -29,4 +29,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="1db25788a60e2a639c649a4d01809751b85a122426bdaedbebf6e6cce539b2b0f37893a8a61675df81517d7fe3e57a59377e49fd11e7ceebea5980372e284c9a umbrello-19.08.3.tar.xz"
+sha512sums="b85a1f099cebe207b65b0f69f6f4c3c7d76c72e7d09e2c025661ad5a8c1ccc6394b6686a59fa1c997d3b29cfaaa67fc4f98d269abd1a5fdae423de8fdf2ab232 umbrello-19.12.0.tar.xz"
diff --git a/testing/yakuake/APKBUILD b/testing/yakuake/APKBUILD
index 268552b984..c8d5b40c54 100644
--- a/testing/yakuake/APKBUILD
+++ b/testing/yakuake/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=yakuake
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://kde.org/applications/system/org.kde.yakuake"
@@ -9,7 +9,7 @@ pkgdesc="A drop-down terminal emulator based on KDE Konsole technology"
license="GPL-2.0-only OR GPL-3.0-only"
depends="konsole"
makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtsvg-dev qt5-qtx11extras-dev karchive-dev kconfig-dev kcoreaddons-dev kcrash-dev kdbusaddons-dev kglobalaccel-dev ki18n-dev kiconthemes-dev kio-dev knewstuff-dev knotifications-dev knotifyconfig-dev kparts-dev kwidgetsaddons-dev kwindowsystem-dev kwayland-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/yakuake-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/yakuake-$pkgver.tar.xz"
subpackages="$pkgname-lang"
build() {
@@ -28,4 +28,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="6326d1923b9bb3c8923ce0b8238d3668c2911346519a5a2c5c9b3a693829d271a83a2ddc061d079d0f4b414814460b39e674e4cb78bf5d069f883fecf5db37f9 yakuake-19.08.3.tar.xz"
+sha512sums="cd01f7e3ea4f5d68bdb7892c21ed6aba4f7f81b4f28c5e2e36d5c7b77e858749960bb4a6194af89edc3a2eea1abfeb2bacfdad9dffdd175458a9082182234fd7 yakuake-19.12.0.tar.xz"
diff --git a/testing/zeroconf-ioslave/APKBUILD b/testing/zeroconf-ioslave/APKBUILD
index b6f06cf39b..1daad3b413 100644
--- a/testing/zeroconf-ioslave/APKBUILD
+++ b/testing/zeroconf-ioslave/APKBUILD
@@ -1,14 +1,14 @@
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=zeroconf-ioslave
-pkgver=19.08.3
+pkgver=19.12.0
pkgrel=0
arch="all"
url="https://www.kde.org/applications/internet/"
pkgdesc="Network Monitor for DNS-SD services (Zeroconf)"
license="GPL-2.0-or-later AND LGPL-2.0-only AND GFDL-1.2-only"
makedepends="extra-cmake-modules qt5-qtbase-dev kdbusaddons-dev kdnssd-dev ki18n-dev kio-dev"
-source="https://download.kde.org/stable/applications/$pkgver/src/$pkgname-$pkgver.tar.xz"
+source="https://download.kde.org/stable/release-service/$pkgver/src/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-lang"
options="!check" # No tests
@@ -28,4 +28,4 @@ package() {
DESTDIR="$pkgdir" make install
}
-sha512sums="24b7e3f581b99a6305b2fe688c9ace69a7b2ecfc4c7226875b23d2e91b03af1f3dde648c731a25b1bdc091ebadf780a3a06c8cafa051be2579e7a4a65d7d8f43 zeroconf-ioslave-19.08.3.tar.xz"
+sha512sums="04d40b0a79323ac138379698db29b3f674533325e965dc22c20891d1519bc25d8acd8baff29553d584fe5563d11cb109f0a9ffe133666175eecca9a85359c9c7 zeroconf-ioslave-19.12.0.tar.xz"